(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     67672,       1776]*)
(*NotebookOutlinePosition[     68349,       1799]*)
(*  CellTagsIndexPosition[     68305,       1795]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["JPEMDC2001`JavaPhotoEditor`", "Title"],

Cell["Junzo Sato", "Subtitle"],

Cell["\<\
Copyright \[Copyright] 2000, Junzo Sato. All rights reserved.

Junzo Sato
jsato@fc.kuh.kumamoto-u.ac.jp\
\>", "Text"],

Cell[CellGroupData[{

Cell["Annotation", "Section"],

Cell[BoxData[
    \(\(\( (*\ \(:\)\(Title : \ 
          JavaPhotoEditor\)\ *) \)\(\[IndentingNewLine]\)\( (*\ \
\(:\)\(Context : \ 
          JPEMDC2001`JavaPhotoEditor`\)\ *) \)\(\n\)\( (*\ \(:\)\(Author : \ 
          Junzo\ SATO . \ Chikara\ MIYAJI . \ 
              Mariusz\ JANKOWSKI\)\ *) \)\(\n\)\( (*\ \(:\)\(Summary : \ 
          The\ entrypoint\ of\ the\ Java\ Photo\ Editor\ \(\(program\)\(.\)\)\
\)*) \)\(\n\)\( (*\ \(:\)\(Package\ \(Version : \ 
            1.1  .1\)\)\ *) \)\(\n\)\( (*\ \(:\)\(Release\ \(Note : \ \
\[IndentingNewLine]Ver\ 1.0\ Reproduced\ with\ Mathematica\ 4.1\ in\ Jul\ \
2001\ \[IndentingNewLine]
          
          Ver\ 1.1\ Fixed\ for\ multiplatform . \[IndentingNewLine]Ver\ 1.1  \
.1\ Imporoved\ tools\ \(\(implementation\)\(.\)\)\)\)\ *) \)\(\n\)\( (*\ \
\(:\)\(Mathematica\ \(Version : \ 
            4.1\)\)\ *) \)\(\n\)\( (*\ \(\(:\)\(Copyright : \ 
          Copyright\ \[Copyright]\ 2000 - 2001\)\), Junzo\ SATO, \ 
      Chiraka\ MIYAJI, \ 
      and\ Mariusz\ JANKOWSKI . \ 
          All\ rights\ \(\(reserved\)\(.\)\)\ *) \)\(\n\)\( (*\ \
\(:\)\(History : \ 
          Ver\ Alpha\ Sep\ 2000\ by\ Junzo\ SATO . \[IndentingNewLine]Ver\ \
1.0\ Apr\ 2001\ \[IndentingNewLine]
        Ver\ 1.1\ Oct\ 2001\ \[IndentingNewLine]
        Ver\ 1.1  .1\ Oct\ 2001\)\ *) \)\(\n\)\( (*\ \(\(:\)\(Keywords : \ 
          Java\)\), \ JavaSwing, \ JavaPhotoEditor, \ 
      DigitalImageProcessing\ *) \)\(\n\)\( (*\ \(:\)\(\(Reference\)\(:\)\)\ \
*) \)\(\n\)\( (*\ \(:\)\(\(Limitation\)\(:\)\)\ *) \)\(\n\)\( (*\ \
\(:\)\(\(Discussion\)\(:\)\)\ *) \)\)\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Package", "Section"],

Cell[BoxData[
    StyleBox[\(Print["\<Welcome to the Java Photo Editor for MDC2001!\>"]\
\[IndentingNewLine]
      Print["\<Loading JavaPhotoEditor...\>"]\[IndentingNewLine]\
\[IndentingNewLine]
      Off[Needs::nocont]\),
      FontWeight->"Bold"]], "Input",
  InitializationCell->True],

Cell["JLink` for InstallJava[] etc", "Text"],

Cell["\<\
for ImageData, PixelInterleave, and RGBtoGray. both \
ImageProcessing` and ImageProcessing`ImageData` are required because DIP \
handles contexts in different way. this is a pitfall:-)\
\>", "Text"],

Cell[BoxData[
    StyleBox[\(BeginPackage["\<JPEMDC2001`JavaPhotoEditor`\>", \
\[IndentingNewLine]{"\<JLink`\>", \[IndentingNewLine]"\<ImageProcessing`\>", \
\[IndentingNewLine]"\<ImageProcessing`ImageData`\>", \
\[IndentingNewLine]"\<ImageProcessing`PointOperators`\>"\[IndentingNewLine]}]\
\),
      FontWeight->"Bold"]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InstallJava[]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(LoadClass["\<java.awt.GridLayout\>"];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(LoadClass["\<java.awt.image.PixelGrabber\>"];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(LoadClass["\<java.awt.image.CropImageFilter\>"];\)\), "\
\[IndentingNewLine]", 
    \(\(LoadClass["\<java.awt.image.ReplicateScaleFilter\>"];\)\), "\
\[IndentingNewLine]", 
    \(\(\(LoadClass["\<java.awt.image.AreaAveragingScaleFilter\>"];\)\(\
\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<java.awt.Toolkit\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<java.lang.Thread\>"];\)\), "\n", 
    \(\(LoadClass["\<java.lang.String\>"];\)\), "\n", 
    \(\(\(LoadClass["\<java.lang.Character\>"];\)\(\[IndentingNewLine]\)
    \)\), "\n", 
    \(\(LoadClass["\<com.wolfram.jlink.MathJFrame\>"];\)\), "\
\[IndentingNewLine]", 
    \(\(\(LoadClass["\<com.wolfram.jlink.MathActionListener\>"];\)\(\
\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<java.awt.Toolkit\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<java.awt.BorderLayout\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<java.awt.FlowLayout\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<java.awt.Color\>"];\)\), "\[IndentingNewLine]", 
    \(\(\(LoadClass["\<java.awt.event.ActionEvent\>"];\)\(\[IndentingNewLine]\
\)
    \)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.ImageIcon\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.SwingConstants\>"];\)\), \
"\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JDesktopPane\>"];\)\), \
"\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JInternalFrame\>"];\)\), \
"\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JPanel\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.ScrollPaneConstants\>"];\)\), "\
\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JScrollPane\>"];\)\), "\[IndentingNewLine]", \

    \(\(LoadClass["\<javax.swing.JMenuBar\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JMenu\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JMenuItem\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JToolBar\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JOptionPane\>"];\)\), "\[IndentingNewLine]", \

    \(\(LoadClass["\<javax.swing.JFileChooser\>"];\)\), \
"\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.JFrame\>"];\)\), "\[IndentingNewLine]", 
    \(\(LoadClass["\<javax.swing.SwingUtilities\>"];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(Unprotect[Evaluate[$Context <> "\<*\>"]]\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Globals", "Section"],

Cell["Path for sample images.", "Text"],

Cell[BoxData[
    StyleBox[\($JavaPhotoEditorMaterial := 
        StringJoin[\[IndentingNewLine]Switch[$OperatingSystem, \
\[IndentingNewLine]"\<Unix\>", \[IndentingNewLine]$TopDirectory, \
\[IndentingNewLine]"\<MacOS\>", \[IndentingNewLine]StringJoin["\</\>", 
              StringReplace[$TopDirectory, "\<:\>" \[Rule] "\</\>"]], \
\[IndentingNewLine]_, \[IndentingNewLine]If[
              StringMatchQ[$OperatingSystem, "\<Windows*\>"], \
\[IndentingNewLine]StringReplace[$TopDirectory, {"\<C:\\\>" \[Rule] "\</\>", \
"\<\\\>" -> "\</\>"}], \[IndentingNewLine]$TopDirectory]\[IndentingNewLine]], \
\[IndentingNewLine]"\</AddOns/Applications/JPEMDC2001/Material/\>"]\),
      FontWeight->"Bold"]], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(\($JavaPhotoEditorMathJPanelFrames = {}\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \($JavaPhotoEditorMathJPanels = {}\)}], "Input",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Tool", "Subsection"],

Cell["Tools", "Text"],

Cell[BoxData[
    \($MarqueeTool\)], "Input",
  InitializationCell->True,
  FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
    \($LineTool\)], "Input",
  InitializationCell->True,
  FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
    \($CurrentTool = $MarqueeTool\)], "Input",
  InitializationCell->True,
  FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
    \($StatusPanel\)], "Input"],

Cell["Dragging state to initialize tool's settings.", "Text"],

Cell[BoxData[
    \($Dragging = False\)], "Input",
  InitializationCell->True],

Cell["Anchor point.", "Text"],

Cell[BoxData[
    \($StartPoint = {0, 0}\)], "Input",
  InitializationCell->True],

Cell["Target canvas on which the tool's image is drawn.", "Text"],

Cell[BoxData[
    \($TargetCanvas\)], "Input",
  InitializationCell->True],

Cell["\<\
Overlay graphics. The image of the tool is drawn on the offscreen \
through this graphics object.\
\>", "Text"],

Cell[BoxData[
    \($OverlayGraphics\)], "Input",
  InitializationCell->True],

Cell["\<\
Left top corner of the image on the frame's pane. This is decided \
in the Java code.\
\>", "Text"],

Cell[BoxData[
    \($LeftTop = {0, 0}\)], "Input",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Marquee Tool", "Subsubsection"],

Cell["\<\
Selected bounds of the region of interest. The list contains {left, \
top, width, height}, where left top corner is in the image's coordinates. \
That is, (0,0) is the left top corner of the image, not the corner of the \
pane.\
\>", "Text"],

Cell[BoxData[
    \($Bounds = {0, 0, 0, \(-1\)}\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Line Tool", "Subsubsection"],

Cell[BoxData[
    \($Points = {{0, 0}}\)], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usages for globals", "Section"],

Cell[BoxData[{
    \(\(frame::usage = "\<nothing\>";\)\), "\n", 
    \(\(pane::usage = "\<nothing\>";\)\), "\n", 
    \(\(glass::usage = "\<nothing\>";\)\), "\n", 
    \(\(layer::usage = "\<nothing\>";\)\), "\n", 
    \(\(menuBar::usage = "\<nothing\>";\)\), "\n", 
    \(\(desktop::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usages", "Section"],

Cell[BoxData[{
    \(\(AskSize::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(DropItem::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(GetSelectedInternalFrame::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(GetImageHolder::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(EvaluateInNewNotebook::usage = "\<nothing\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(GrabPixels::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(ShowJavaImage::usage = "\<nothing\>";\)\[IndentingNewLine]\), "\
\[IndentingNewLine]", 
    \(\(JavaImageToImageData::usage = "\<nothing\>";\)\), \
"\[IndentingNewLine]", 
    \(\(JavaImageToGrayImageData::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(ImageDataToLegendJavaImage::usage = "\<nothing\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(IsJava2OrLater::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(ImageDataToBufferedImage::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(ImageDataToJavaImage::usage = "\<nothing\>";\)\)], "Input",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Tools", "Subsection"],

Cell[BoxData[{
    \(\(mouseListenerMarqueeTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(mouseMotionListenerMarqueeTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(\(internalFrameListenerMarqueeTool::usage = "\<nothing\>";\)\(\
\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(mouseListenerLineTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(mouseMotionListenerLineTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(internalFrameListenerLineTool::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(SetToolInfo::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(\(GetToolInfo::usage = "\<nothing\>";\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(ResetTool::usage = "\<nothing\>";\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(InstallMarqueeTool::usage = "\<nothing\>";\)\), \
"\[IndentingNewLine]", 
    \(\(\(InstallLineTool::usage = "\<nothing\>";\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(RemoveMarqueeTool::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", \

    \(\(RemoveLineTool::usage = "\<nothing\>";\)\[IndentingNewLine]\), "\
\[IndentingNewLine]", 
    \(\(RemoveInstalledTool::usage = "\<nothing\>";\)\[IndentingNewLine]\), "\
\[IndentingNewLine]", 
    \(\(SwitchToLineTool::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(SwitchToMarqueeTool::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tools Imp", "Subsection"],

Cell[BoxData[
    \(\(internalFrameActivatedFuncTools::usage = "\<nothing\>";\)\)], "Input",\

  InitializationCell->True],

Cell[BoxData[{
    \(\(mouseDraggedFuncMarqueeTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(mouseReleasedFuncMarqueeTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(mouseClickedFuncMarqueeTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(internalFrameDeactivatedFuncMarqueeTool::usage = \
"\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(mouseDraggedFuncLineTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(mouseReleasedFuncLineTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(mouseClickedFuncLineTool::usage = "\<nothing\>";\)\), "\
\[IndentingNewLine]", 
    \(\(internalFrameDeactivatedFuncLineTool::usage = "\<nothing\>";\)\)}], \
"Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Java Filter (Addendum)", "Subsection"],

Cell[BoxData[{
    \(\(CropImage::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(ReplicateScale::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(AreaAveragingScale::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Private Implementation", "Section"],

Cell[BoxData[
    \(\(DeleteJObject::usage = "\<\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(NewMathJFrame::usage = "\<NewMathJFrame[title,w,h,x,y] creates a \
MathJFrame object with specified titile,set the location of the frame to \
{x,y},and resize the frame to {w,h}.Where {x,y} is the top left corner of the \
frame on the current graphics coordinates and {w,h} is {width,height} of the \
frame. By default, {x, y} is {0, 0}.\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(CenterizeFrameOnScreen::usage = "\<CenterizeFrameOnScreen[frame] \
locates the frame to the center of the main screen.\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(NewImageIcon::usage = "\<NewImageIcon[path] creates an ImageIcon from \
the specified file.\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(swTop::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swLeft::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swBottom::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swRight::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swNorth::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swNorthEast::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swEast::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swSouthEast::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swSouth::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swSouthWest::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swWest::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swNothWest::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swCenter::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swHorizontal::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(swVertical::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(NewJDesktopPane::usage = "\<nothing\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(NewJInternalFrame::usage = "\<nothing\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(NewJLabel::usage = "\<nothing\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(NewJMenuBar::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(NewJMenu::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(NewJMenuItem::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(ShowMessageDialog::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", \

    \(\(ShowConfirmDialog::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", \

    \(\(ShowInputDialog::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(ShowFileChooser::usage = "\<nothing\>";\)\), "\[IndentingNewLine]", 
    \(\(GetFilePathAndName::usage = "\<nothing\>";\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(Begin["\<`Private`\>"]\)], "Input",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["For menu item \"New..\"", "Subsection"],

Cell[BoxData[
    \(AskSize[
        parent_:  Null, \[IndentingNewLine]defaultW_:  
          400, \[IndentingNewLine]defaultH_:  
          300, \[IndentingNewLine]optionType_:  
          javax`swing`JOptionPane`YESUNOUOPTION, \[IndentingNewLine]title_: "\
\<Question\>", \[IndentingNewLine]messageType_:  
          javax`swing`JOptionPane`QUESTIONUMESSAGE, \[IndentingNewLine]icon_: 
           Null] := Module[\[IndentingNewLine]{result = $Failed, pnl, fld1, 
          fld2, txt1, 
          txt2}, \[IndentingNewLine]InstallJava[]; \
\[IndentingNewLine]JavaBlock[\[IndentingNewLine]If[
            ClassName[
                parent] === "\<com.wolfram.jlink.MathJFrame\>", \
\[IndentingNewLine]JavaShow[parent]]; \[IndentingNewLine]pnl = 
            NewJPanelTitledBorder[
              Null, "\<Create a new panel?\>"]; \ \
\[IndentingNewLine]JavaBlock[\[IndentingNewLine]pnl@
              setLayout[
                JLink`JavaNew["\<java.awt.GridLayout\>", 2, 2, 5, 
                  5]]\[IndentingNewLine]]; \[IndentingNewLine]NewJLabel[
            pnl, "\<Width [pix]\>"]; \ \[IndentingNewLine]fld1 = 
            NewJTextField[pnl, 
              ToString[defaultW]]; \ \[IndentingNewLine]NewJLabel[
            pnl, "\<Height [pix]\>"]; \[IndentingNewLine]fld2 = 
            NewJTextField[pnl, 
              ToString[defaultH]]; \[IndentingNewLine]result = 
            javax`swing`JOptionPane`showConfirmDialog[parent, pnl, title, 
              optionType, messageType, icon]; \[IndentingNewLine]txt1 = 
            fld1@getText[]; \[IndentingNewLine]txt2 = 
            fld2@getText[];\[IndentingNewLine]]; \[IndentingNewLine]If[
          result === 0, \[IndentingNewLine]Return[{ToExpression[txt1], 
              ToExpression[txt2]}], \[IndentingNewLine]Return[{0, 
              0}]]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(DropItem[list_, item_] := 
      Drop[list, Flatten[Position[list, item]]]\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["For internal frames on the desktop", "Subsection"],

Cell["\<\
(*
Because the internal frames are not always selected, this implementation of \
GetSelectedInternalFrame[] does not fit to 
our purpose to detect target (frontmost) internal frame.
*)

GetSelectedInternalFrame[desk_]:=JavaBlock[Module[
      {comps={},found=Null},
      comps=desk@getComponents[];
      If[Length[comps]===0,Return[Null]];
      Do[
        If[comps[[i]]@getClass[]@getName[]===\"javax.swing.JInternalFrame\",
          If[comps[[i]]@isSelected[],found=comps[[i]]];
          ],
        {i,1,Length[comps]}
        ];
      Return[found]
      ]]\
\>", "Text"],

Cell[BoxData[
    \(\(\( (*\[IndentingNewLine]This\ method\ returns\ frontmost\ uniconified\
\ math\ canvas\ frame . \ Actually, \ 
      isSelected[]\ is\ not\ \
\(\(considered\)\(.\)\)\[IndentingNewLine]*) \)\(\[IndentingNewLine]\)\(\
GetSelectedInternalFrame[desk_] := 
      JavaBlock[
        Module[\[IndentingNewLine]{comps = {}, 
            found = Null}, \[IndentingNewLine] (*\ 
            get\ internal\ frames\ \((tools\ palette\ and\ math\ canvases)\)\ \
which\ are\ not\ iconified\ *) \[IndentingNewLine]comps = 
            desk@getAllFramesInLayer[
                javax`swing`JLayeredPane`DEFAULTULAYER]; \
\[IndentingNewLine]If[Length[comps] === 0, 
            Return[Null]]; \[IndentingNewLine]Do[\[IndentingNewLine]If[
              GetImageHolder[comps[\([i]\)]] =!= Null (*\ 
                  has\ canvas\ *)  && \[IndentingNewLine]comps[\([i]\)]@
                    getTitle[] =!= "\<Tools\>" (*\ 
                not\ tools\ palette\ *) , \[IndentingNewLine]found = 
                comps[\([i]\)]; \[IndentingNewLine]Return[
                found]\[IndentingNewLine]], \[IndentingNewLine]{i, 1, 
              Length[comps]}\[IndentingNewLine]]; \[IndentingNewLine]Return[
            found]\[IndentingNewLine]]]\)\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(\( (*\ 
      assuming\ that\ the\ internal\ frame\ has\ a\ scroll\ pane ... \ \
*) \)\(\[IndentingNewLine]\)\(GetImageHolder[internalframe_] := 
      JavaBlock[
        Module[\[IndentingNewLine]{scrl, holder}, \[IndentingNewLine]scrl = 
            First[internalframe@\(getContentPane[]@
                  getComponents[]\)]; \[IndentingNewLine]holder = 
            If[scrl@\(getClass[]@
                    getName[]\) === "\<javax.swing.JScrollPane\>", \
\[IndentingNewLine]First[
                scrl@\(getViewport[]@
                    getComponents[]\)], \[IndentingNewLine]Null\
\[IndentingNewLine]]\[IndentingNewLine]]]\)\)\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Notebook", "Subsection"],

Cell[BoxData[
    \(EvaluateInNewNotebook[str_: "\<Plot[Sin[x],{x,0,2Pi}]\>", 
        close_:  False] := 
      Module[\[IndentingNewLine]{nb}, \[IndentingNewLine]nb = 
          NotebookCreate[]; \[IndentingNewLine]NotebookApply[nb, 
          str]; \[IndentingNewLine]SelectionMove[nb, All, 
          Cell]; \[IndentingNewLine]SelectionEvaluate[
          nb]; \[IndentingNewLine]If[close, 
          NotebookClose[nb]];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Java PixelGrabber", "Subsection"],

Cell[BoxData[{
    \(\(toUINT32[sint_] := If[sint < 0, sint + 4294967296, sint];\)\), "\n", 
    \(\(toSINT32[uint_] := 
        If[uint > 2147483647, uint - 4294967296, uint];\)\)}], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[{
    \(\(alpha[uint_] := BitAnd[Floor[uint/16777216], 255];\)\), "\n", 
    \(\(red[uint_] := BitAnd[Floor[uint/65536], 255];\)\), "\n", 
    \(\(green[uint_] := BitAnd[Floor[uint/256], 255];\)\), "\n", 
    \(\(blue[uint_] := BitAnd[uint, 255];\)\)}], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(toRGB[javapix_] := 
      Module[\[IndentingNewLine]{uint}, \[IndentingNewLine]uint = 
          toUINT32[javapix]; \[IndentingNewLine]{red[uint], green[uint], 
          blue[uint]}\[IndentingNewLine]]\)], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(GrabPixels[img_, x_, y_, w_, h_] := 
      Module[\[IndentingNewLine]{px = Null, pg}, \[IndentingNewLine]JavaBlock[
          pg = JavaNew["\<java.awt.image.PixelGrabber\>", \
\[IndentingNewLine]img, \[IndentingNewLine]Round[x], Round[y], Round[w], 
              Round[h], True]; \[IndentingNewLine]If[
            pg@grabPixels[], \[IndentingNewLine]px = 
              pg@getPixels[]; \[IndentingNewLine]px = 
              Map[toRGB, px]; \[IndentingNewLine]px = 
              Partition[px, 
                w];\[IndentingNewLine]];\[IndentingNewLine]]; \
\[IndentingNewLine]Return[px]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["ShowJavaImage", "Subsection"],

Cell[BoxData[
    \(From8bit = 
      Compile[{{x, _Real, 2}}, Map[\ \((1/255.  #)\) &, x]]\)], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(From24bitRGBColors[colors_List] := 
      Module[{rgbList = {}}, \[IndentingNewLine]rgbList = 
          Map[From8bit, colors]; \[IndentingNewLine]Map[Apply[RGBColor, #] &, 
          rgbList, {2}]]\)], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(From24bitRGBColorsToRasterArray[colors_List] := 
      RasterArray[From24bitRGBColors[colors]]\)], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    RowBox[{\(ShowJavaImage[img_, x_:  0, y_:  0, w_:  0, h_:  0]\), ":=", 
      RowBox[{"JavaBlock", "[", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          
          RowBox[{\({pixels, d, width = w, height = h}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(If[img === Null, Return[]]\), ";", 
              "\[IndentingNewLine]", \(If[width \[LessEqual] 0, 
                width = img@getWidth[]]\), ";", 
              "\[IndentingNewLine]", \(If[height \[LessEqual] 0, 
                height = img@getHeight[]]\), ";", 
              "\[IndentingNewLine]", \(pixels = 
                GrabPixels[img, x, y, width, height]\), ";", 
              "\[IndentingNewLine]", \(d = Dimensions[pixels]\), ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Show", "[", 
                RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
                  RowBox[{
                    RowBox[{"From24bitRGBColorsToRasterArray", "[", 
                      RowBox[{
                        StyleBox["Reverse",
                          FontColor->RGBColor[1, 0, 0]], "[", "pixels", "]"}],
                       "]"}], ",", 
                    "\[IndentingNewLine]", \(AspectRatio \[Rule] 
                      d[\([1]\)]/d[\([2]\)]\)}], "\[IndentingNewLine]", "]"}],
                 "]"}]}]}], "\[IndentingNewLine]", "]"}], "]"}]}]], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["JavaImage\[Rule]ImageData", "Subsection"],

Cell[BoxData[
    RowBox[{\(JavaImageToImageData[img_:  JavaObjectQ, x_:  0, y_:  0, 
        w_:  0, h_:  0]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({pixels, d, width = w, height = h}\), ",", 
          "\[IndentingNewLine]", 
          
          RowBox[{\(JavaBlock[\[IndentingNewLine]If[width \[LessEqual] 0, 
                width = img@getWidth[]]; \[IndentingNewLine]If[
                height \[LessEqual] 0, 
                height = img@getHeight[]];\[IndentingNewLine]]\), ";", 
            "\[IndentingNewLine]", \(pixels = 
              GrabPixels[img, x, y, width, height]\), ";", 
            "\[IndentingNewLine]", 
            RowBox[{
              StyleBox["ImageData",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["[",
                FontColor->RGBColor[0, 0, 1]], 
              RowBox[{
                RowBox[{
                  StyleBox["Reverse",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox["[",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["pixels",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["]",
                    FontColor->RGBColor[0, 0, 1]]}], 
                StyleBox[",",
                  FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
                StyleBox[\(PixelInterleave \[Rule] True\),
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[",",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox["\[IndentingNewLine]",
                  FontColor->RGBColor[0, 0, 1]], 
                StyleBox[\(ColorFunction \[Rule] RGBColor\),
                  FontColor->RGBColor[0, 0, 1]]}], 
              StyleBox["]",
                FontColor->RGBColor[0, 0, 1]]}]}]}], "\[IndentingNewLine]", 
        "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(JavaImageToGrayImageData[img_:  JavaObjectQ, x_:  0, y_:  0, w_:  0, 
        h_:  0] := 
      ToGrayLevel[JavaImageToImageData[img, x, y, w, h]]\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
ImageData\[Rule]JavaImage 
(MemoryImageSource for pre-Java2, BufferedImage for Java2 or later)\
\>", \
"Subsection"],

Cell[BoxData[{
    \(\(LoadClass["\<java.lang.System\>"];\)\), "\[IndentingNewLine]", 
    \(IsJava2OrLater[] := 
      JavaBlock[
        Module[\[IndentingNewLine]{txt, major, 
            minor}, \[IndentingNewLine]txt = 
            java`lang`System`getProperties[]@
              getProperty["\<java.version\>"]; \[IndentingNewLine]{major, 
              minor} = 
            Drop[ToExpression["\<{\>" <> 
                  StringReplace[
                    txt, "\<.\>" \[Rule] "\<,\>"] <> "\<}\>"], \(-1\)]; \
\[IndentingNewLine]Return[
            major + 0.1  minor >= 1.2]\[IndentingNewLine]]]\)}], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(color2pix[r_, g_, b_, a_:  255] := 
      Round[a]*16777216 + Round[r]*65536 + Round[g]*256 + Round[b]\)], "Input",\

  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(gray2pix[gr_] := color2pix[gr, gr, gr]\)], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell[CellGroupData[{

Cell["Legend JavaImage", "Subsubsection"],

Cell["\<\
(* my old implementation which doesn't support planar image data... \
*)
ImageDataToLegendJavaImage[imgData_]:=Module[
    {pixels,imageW,imageH,model,bitmap,image},
    pixels=RawImageData[imgData];
    If[Length[Dimensions[pixels]]===2,
      pixels=Map[{#,#,#}&,pixels,{2}]
      ];
    imageH=Dimensions[pixels][[1]];
    imageW=Dimensions[pixels][[2]];
    pixels=Map[Apply[color2pix,#]&,Flatten[Reverse[pixels],1]];
    pixels=Map[toSINT32,pixels];(*signed*)
    model=JavaNew[\"java.awt.image.DirectColorModel\",32,0,0,0,255];
    bitmap=JavaNew[\"java.awt.image.MemoryImageSource\",imageW,imageH,model,\
pixels,0,imageW];
    image=Toolkit`getDefaultToolkit[]@createImage[bitmap];
    ReleaseObject[model];
    ReleaseObject[bitmap];
    Return[image]
    ]\
\>", "Text"],

Cell["gray image data", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"ImageDataToLegendJavaImage", "[", 
        RowBox[{\(imgData : ImageData[_, opts__?OptionQ]\), "/;", 
          RowBox[{\((PixelInterleave /. {opts})\), "===", 
            StyleBox["None",
              FontColor->RGBColor[1, 0, 0]]}]}], "]"}], 
      ":=", \(Module[\[IndentingNewLine]{pixels, imageW, imageH, model, 
          bitmap, image}, \[IndentingNewLine]{imageH, imageW} = 
          ImageDimensions[imgData]; \[IndentingNewLine]pixels = 
          Map[\[IndentingNewLine]gray2pix, \[IndentingNewLine]Evaluate[
              Flatten[Reverse[
                  imgData[\([1]\)]]]]\[IndentingNewLine]]; \
\[IndentingNewLine] (**) \[IndentingNewLine]pixels = 
          Map[toSINT32, pixels];  (*signed*) \[IndentingNewLine]model = 
          JavaNew["\<java.awt.image.DirectColorModel\>", 32, 0, 0, 0, 
            255]; \[IndentingNewLine]bitmap = 
          JavaNew["\<java.awt.image.MemoryImageSource\>", imageW, imageH, 
            model, pixels, 0, imageW]; \[IndentingNewLine]image = 
          Toolkit`getDefaultToolkit[]@
            createImage[bitmap]; \[IndentingNewLine]ReleaseObject[
          model]; \[IndentingNewLine]ReleaseObject[
          bitmap]; \[IndentingNewLine]Return[
          image]\[IndentingNewLine]]\)}]], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell["color image data", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"ImageDataToLegendJavaImage", "[", 
        RowBox[{\(imgData : ImageData[_, opts__?OptionQ]\), "/;", 
          RowBox[{\((PixelInterleave /. {opts})\), "===", 
            StyleBox["True",
              FontColor->RGBColor[1, 0, 0]]}]}], "]"}], 
      ":=", \(Module[\[IndentingNewLine]{pixels, imageW, imageH, model, 
          bitmap, image}, \[IndentingNewLine]{imageH, imageW} = 
          ImageDimensions[imgData]; \[IndentingNewLine]pixels = 
          Map[\[IndentingNewLine]Apply[
                color2pix, #] &, \[IndentingNewLine]Evaluate[
              Flatten[Reverse[imgData[\([1]\)]], 
                1]]\[IndentingNewLine]]; \[IndentingNewLine] \
(**) \[IndentingNewLine]pixels = 
          Map[toSINT32, pixels];  (*signed*) \[IndentingNewLine]model = 
          JavaNew["\<java.awt.image.DirectColorModel\>", 32, 0, 0, 0, 
            255]; \[IndentingNewLine]bitmap = 
          JavaNew["\<java.awt.image.MemoryImageSource\>", imageW, imageH, 
            model, pixels, 0, imageW]; \[IndentingNewLine]image = 
          Toolkit`getDefaultToolkit[]@
            createImage[bitmap]; \[IndentingNewLine]ReleaseObject[
          model]; \[IndentingNewLine]ReleaseObject[
          bitmap]; \[IndentingNewLine]Return[
          image]\[IndentingNewLine]]\)}]], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell["planar image data", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"ImageDataToLegendJavaImage", "[", 
        RowBox[{\(imgData : ImageData[_, opts__?OptionQ]\), "/;", 
          RowBox[{\((PixelInterleave /. {opts})\), "===", 
            StyleBox["False",
              FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({pixels, imageW, imageH, model, bitmap, image}\), ",", 
          "\[IndentingNewLine]", 
          
          RowBox[{\({imageH, imageW} = ImageDimensions[imgData]\), ";", 
            "\[IndentingNewLine]", 
            RowBox[{"pixels", "=", 
              RowBox[{"Map", "[", "\[IndentingNewLine]", 
                
                RowBox[{\(Apply[color2pix, #] &\), ",", "\[IndentingNewLine]",
                   
                  RowBox[{"Evaluate", "[", 
                    RowBox[{"Flatten", "[", 
                      RowBox[{
                        RowBox[{"Reverse", "[", 
                          
                          StyleBox[\(\(MeshedImageData[
                                imgData]\)[\([\)\(1\)\(]\)]\),
                            FontColor->RGBColor[1, 0, 0]], "]"}], ",", "1"}], 
                      "]"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], ";", 
            "\[IndentingNewLine]", \( (**) \), 
            "\[IndentingNewLine]", \(pixels = Map[toSINT32, pixels]\), 
            ";", \( (*signed*) \), 
            "\[IndentingNewLine]", \(model = 
              JavaNew["\<java.awt.image.DirectColorModel\>", 32, 0, 0, 0, 
                255]\), ";", 
            "\[IndentingNewLine]", \(bitmap = 
              JavaNew["\<java.awt.image.MemoryImageSource\>", imageW, imageH, 
                model, pixels, 0, imageW]\), ";", 
            "\[IndentingNewLine]", \(image = 
              Toolkit`getDefaultToolkit[]@createImage[bitmap]\), ";", 
            "\[IndentingNewLine]", \(ReleaseObject[model]\), ";", 
            "\[IndentingNewLine]", \(ReleaseObject[bitmap]\), ";", 
            "\[IndentingNewLine]", \(Return[image]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]]
}, Open  ]],

Cell[CellGroupData[{

Cell["BufferedImage (Java2)", "Subsubsection"],

Cell["gray image data", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"ImageDataToBufferedImage", "[", 
        RowBox[{\(img : ImageData[_, opts__?OptionQ]\), "/;", 
          RowBox[{\((PixelInterleave /. {opts})\), "===", 
            StyleBox["None",
              FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({w, h, bImage, r}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(If[IsJava2OrLater[] === False, Return[Null]]\), ";", 
            "\[IndentingNewLine]", \
\(LoadClass["\<java.awt.image.BufferedImage\>"]\), ";", "\[IndentingNewLine]",
             
            RowBox[{\({h, w}\), "=", 
              RowBox[{
                StyleBox["ImageDimensions",
                  FontColor->RGBColor[1, 0, 0]], "[", "img", "]"}]}], ";", 
            "\[IndentingNewLine]", \(bImage = 
              JavaNew["\<java.awt.image.BufferedImage\>", w, h, 
                BufferedImage`TYPEUBYTEUGRAY]\), ";", "\[IndentingNewLine]", 
            RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
              
              RowBox[{\(r = bImage@getRaster[]\), ";", "\[IndentingNewLine]", 
                
                RowBox[{"r", "@", 
                  RowBox[{"setPixels", "[", 
                    RowBox[{"0", ",", "0", ",", "w", ",", "h", ",", 
                      RowBox[{"Flatten", "[", 
                        RowBox[{"Reverse", "[", 
                          StyleBox[\(img[\([1]\)]\),
                            FontColor->RGBColor[1, 0, 0]], "]"}], "]"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(Return[bImage]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell["color image data", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"ImageDataToBufferedImage", "[", 
        RowBox[{\(img : ImageData[_, opts__?OptionQ]\), "/;", 
          RowBox[{\((PixelInterleave /. {opts})\), "===", 
            StyleBox["True",
              FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({w, h, bImage, r}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(If[IsJava2OrLater[] === False, Return[Null]]\), ";", 
            "\[IndentingNewLine]", \
\(LoadClass["\<java.awt.image.BufferedImage\>"]\), ";", "\[IndentingNewLine]",
             
            RowBox[{\({h, w}\), "=", 
              RowBox[{
                StyleBox["ImageDimensions",
                  FontColor->RGBColor[1, 0, 0]], "[", "img", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bImage", "=", 
              RowBox[{"JavaNew", "[", 
                RowBox[{
                "\"\<java.awt.image.BufferedImage\>\"", ",", "w", ",", "h", 
                  ",", 
                  StyleBox["BufferedImage`TYPEUINTURGB",
                    FontColor->RGBColor[1, 0, 0]]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
              
              RowBox[{\(r = bImage@getRaster[]\), ";", "\[IndentingNewLine]", 
                
                RowBox[{"r", "@", 
                  RowBox[{"setPixels", "[", 
                    RowBox[{"0", ",", "0", ",", "w", ",", "h", ",", 
                      RowBox[{"Flatten", "[", 
                        RowBox[{"Reverse", "[", 
                          StyleBox[\(img[\([\)\(1\)\(]\)]\),
                            FontColor->RGBColor[1, 0, 0]], "]"}], "]"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(Return[bImage]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]],

Cell["planar image data format", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"ImageDataToBufferedImage", "[", 
        RowBox[{\(img : ImageData[_, opts__?OptionQ]\), "/;", 
          RowBox[{\((PixelInterleave /. {opts})\), "===", 
            StyleBox["False",
              FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({w, h, bImage, r}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(If[IsJava2OrLater[] === False, Return[Null]]\), ";", 
            "\[IndentingNewLine]", \
\(LoadClass["\<java.awt.image.BufferedImage\>"]\), ";", "\[IndentingNewLine]",
             
            RowBox[{\({h, w}\), "=", 
              RowBox[{
                StyleBox["ImageDimensions",
                  FontColor->RGBColor[1, 0, 0]], "[", "img", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bImage", "=", 
              RowBox[{"JavaNew", "[", 
                RowBox[{
                "\"\<java.awt.image.BufferedImage\>\"", ",", "w", ",", "h", 
                  ",", 
                  StyleBox["BufferedImage`TYPEUINTURGB",
                    FontColor->RGBColor[1, 0, 0]]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
              
              RowBox[{\(r = bImage@getRaster[]\), ";", "\[IndentingNewLine]", 
                
                RowBox[{"r", "@", 
                  RowBox[{"setPixels", "[", 
                    RowBox[{"0", ",", "0", ",", "w", ",", "h", ",", 
                      RowBox[{"Flatten", "[", 
                        RowBox[{"Reverse", "[", 
                          
                          StyleBox[\(\(MeshedImageData[
                                img]\)[\([\)\(1\)\(]\)]\),
                            FontColor->RGBColor[1, 0, 0]], "]"}], "]"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(Return[bImage]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  CellFrame->True,
  InitializationCell->True,
  Background->GrayLevel[0.849989]]
}, Open  ]],

Cell[CellGroupData[{

Cell["JavaImage", "Subsubsection"],

Cell[BoxData[
    \(ImageDataToJavaImage[imgData_] := 
      If[IsJava2OrLater[], \[IndentingNewLine]ImageDataToBufferedImage[
          imgData], \[IndentingNewLine]ImageDataToLegendJavaImage[
          imgData]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Switching Tools", "Subsection"],

Cell[BoxData[
    \(SetToolInfo[c_, s_] := 
      JavaBlock[\[IndentingNewLine] (*\ 
          put\ tool\ info\ into\ java\ field\ *) \[IndentingNewLine]c@
          setUserInfo[s]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(GetToolInfo[c_] := 
      JavaBlock[\[IndentingNewLine] (*\ 
          get\ tool\ info\ as\ an\ expression\ *) \[IndentingNewLine]Return[
          ToExpression[c@getUserInfo[]]]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell["(**)", "Text"],

Cell[BoxData[
    RowBox[{\(ResetTool[c_]\), ":=", 
      RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
        StyleBox[\( (*\ remove\ overlay\ offscreen\ *) \),
          FontWeight->"Plain"], "\[IndentingNewLine]", 
        RowBox[{\(c@removeOverlay[]\), ";", "\[IndentingNewLine]", 
          StyleBox[\( (*\ reset\ variables\ *) \),
            FontWeight->"Plain"], "\[IndentingNewLine]", 
          StyleBox[\( (*\ marquee\ *) \),
            FontWeight->"Plain"], 
          "\[IndentingNewLine]", \($Bounds = {0, 0, 0, \(-1\)}\), ";", 
          "\[IndentingNewLine]", 
          StyleBox[\( (*\ line\ *) \),
            FontWeight->"Plain"], 
          "\[IndentingNewLine]", \($Points = {{0, 0}}\), ";"}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell["(**)", "Text"],

Cell[BoxData[
    \(InstallMarqueeTool[f_, c_] := 
      JavaBlock[\[IndentingNewLine]c@
          addMouseListener[mouseListenerMarqueeTool]; \[IndentingNewLine]c@
          addMouseMotionListener[mouseMotionListenerMarqueeTool]; 
        f@addInternalFrameListener[
            internalFrameListenerMarqueeTool]; \
\[IndentingNewLine]$CurrentTool = $MarqueeTool; \
\[IndentingNewLine]SetToolInfo[c, 
          ToString[$CurrentTool]];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InstallLineTool[f_, c_] := 
      JavaBlock[\[IndentingNewLine]c@addMouseListener[mouseListenerLineTool]; 
        c@addMouseMotionListener[mouseMotionListenerLineTool]; 
        f@addInternalFrameListener[
            internalFrameListenerLineTool]; \[IndentingNewLine]$CurrentTool = \
$LineTool; \[IndentingNewLine]SetToolInfo[c, 
          ToString[$CurrentTool]];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RemoveMarqueeTool[f_, c_] := 
      JavaBlock[\[IndentingNewLine]c@
          removeMouseListener[mouseListenerMarqueeTool]; 
        c@removeMouseMotionListener[
            mouseMotionListenerMarqueeTool]; \[IndentingNewLine]f@
          removeInternalFrameListener[
            internalFrameListenerMarqueeTool];\[IndentingNewLine]]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    \(RemoveLineTool[f_, c_] := 
      JavaBlock[\[IndentingNewLine]c@
          removeMouseListener[mouseListenerLineTool]; 
        c@removeMouseMotionListener[
            mouseMotionListenerLineTool]; \[IndentingNewLine]f@
          removeInternalFrameListener[
            internalFrameListenerLineTool];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(RemoveInstalledTool[f_, c_]\), ":=", 
      RowBox[{"Switch", "[", 
        RowBox[{\(GetToolInfo[c]\), ",", "\[IndentingNewLine]", 
          StyleBox["$MarqueeTool",
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox[",",
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox[\(RemoveMarqueeTool[f, c]\),
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox[",",
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\[IndentingNewLine]",
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox["$LineTool",
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox[",",
            FontColor->RGBColor[0, 0, 1]], 
          StyleBox[\(RemoveLineTool[f, c]\),
            FontColor->RGBColor[0, 0, 1]]}], 
        StyleBox["\[IndentingNewLine]",
          FontColor->RGBColor[0, 0, 1]], "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (**) \)], "Input"],

Cell[BoxData[
    RowBox[{\(SwitchToLineTool[]\), ":=", 
      RowBox[{"JavaBlock", "[", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          RowBox[{\({frm, canvas}\), ",", "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ if\ this\ tool\ is\ selected\ already, \ 
                do\ nothing\ *) \),
              FontWeight->"Plain"], "\[IndentingNewLine]", 
            
            RowBox[{\(If[$CurrentTool === $LineTool, Return[]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ check\ existence\ of\ the\ target\ *) \),
                FontWeight->"Plain"], 
              "\[IndentingNewLine]", \(frm = 
                GetSelectedInternalFrame[desktop]\), ";", 
              "\[IndentingNewLine]", \(If[
                frm === 
                  Null, \[IndentingNewLine]$CurrentTool = $LineTool; \
\[IndentingNewLine]Return[]\[IndentingNewLine]]\), ";", 
              "\[IndentingNewLine]", \(canvas = GetImageHolder[frm]\), ";", 
              "\[IndentingNewLine]", \(If[
                canvas === 
                  Null, \[IndentingNewLine]$CurrentTool = $LineTool; \
\[IndentingNewLine]Return[]\[IndentingNewLine]]\), ";", "\[IndentingNewLine]",
               
              StyleBox[\( (**) \),
                FontWeight->"Plain"], 
              "\[IndentingNewLine]", \(ResetTool[canvas]\), ";", 
              "\[IndentingNewLine]", \(RemoveInstalledTool[frm, canvas]\), 
              ";", "\[IndentingNewLine]", \(InstallLineTool[frm, canvas]\), 
              ";"}]}], "\[IndentingNewLine]", "]"}], "]"}]}]], "Input",
  InitializationCell->True,
  FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
    RowBox[{\(SwitchToMarqueeTool[]\), ":=", 
      RowBox[{"JavaBlock", "[", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          RowBox[{\({frm, canvas}\), ",", "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ if\ this\ tool\ is\ selected\ already, \ 
                do\ nothing\ *) \),
              FontWeight->"Plain"], "\[IndentingNewLine]", 
            
            RowBox[{\(If[$CurrentTool === $MarqueeTool, Return[]]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ check\ existence\ of\ the\ target\ *) \),
                FontWeight->"Plain"], 
              "\[IndentingNewLine]", \(frm = 
                GetSelectedInternalFrame[desktop]\), ";", 
              "\[IndentingNewLine]", \(If[
                frm === 
                  Null, \[IndentingNewLine]$CurrentTool = $MarqueeTool; \
\[IndentingNewLine]Return[]\[IndentingNewLine]]\), ";", 
              "\[IndentingNewLine]", \(canvas = GetImageHolder[frm]\), ";", 
              "\[IndentingNewLine]", \(If[
                canvas === 
                  Null, \[IndentingNewLine]$CurrentTool = $MarqueeTool; \
\[IndentingNewLine]Return[]\[IndentingNewLine]]\), ";", "\[IndentingNewLine]",
               
              StyleBox[\( (**) \),
                FontWeight->"Plain"], 
              "\[IndentingNewLine]", \(ResetTool[canvas]\), ";", 
              "\[IndentingNewLine]", \(RemoveInstalledTool[frm, canvas]\), 
              ";", "\[IndentingNewLine]", \(InstallMarqueeTool[frm, canvas]\),
               ";"}]}], "\[IndentingNewLine]", "]"}], "]"}]}]], "Input",
  InitializationCell->True,
  FontColor->RGBColor[0, 0, 1]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Java Filter (Addendum)", "Section"],

Cell[CellGroupData[{

Cell["Java CropImageFilter", "Subsection",
  FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
    RowBox[{\(CropImage[producer_, srcImg_, x_, y_, w_, h_, 
        throwawaysrc_:  False]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({filter, dstImg = Null}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(filter = 
              JavaNew["\<java.awt.image.CropImageFilter\>", x, y, w, h]\), 
            ";", "\[IndentingNewLine]", 
            RowBox[{"dstImg", "=", 
              RowBox[{
                StyleBox["producer",
                  FontColor->RGBColor[1, 0, 0]], 
                "@", \(createImage[\[IndentingNewLine]JavaNew["\<java.awt.\
image.FilteredImageSource\>", \[IndentingNewLine]srcImg@
                      getSource[], \[IndentingNewLine]filter]\
\[IndentingNewLine]]\)}]}], ";", 
            "\[IndentingNewLine]", \(If[throwawaysrc, 
              ReleaseObject[srcImg]]\), ";", 
            "\[IndentingNewLine]", \(Return[dstImg]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Java ReplicateScaleFilter", "Subsection",
  FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
    RowBox[{\(ReplicateScale[producer_, srcImg_, newWidth_, newHeight_, 
        throwawaysrc_:  False]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({filter, dstImg = Null}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(filter = 
              JavaNew["\<java.awt.image.ReplicateScaleFilter\>", \
\[IndentingNewLine]Round[newWidth], Round[newHeight]]\), ";", 
            "\[IndentingNewLine]", 
            RowBox[{"dstImg", "=", 
              RowBox[{
                StyleBox["producer",
                  FontColor->RGBColor[1, 0, 0]], 
                "@", \(createImage[\[IndentingNewLine]JavaNew["\<java.awt.\
image.FilteredImageSource\>", \[IndentingNewLine]srcImg@
                      getSource[], \[IndentingNewLine]filter]\
\[IndentingNewLine]]\)}]}], ";", 
            "\[IndentingNewLine]", \(If[
              throwawaysrc, \(ReleaseObject[srcImg];\)]\), ";", 
            "\[IndentingNewLine]", \(Return[dstImg]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Java AreaAveragingScaleFilter", "Subsection",
  FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
    RowBox[{\(AreaAveragingScale[producer_, srcImg_, newWidth_, newHeight_, 
        throwawaysrc_:  False]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({filter, dstImg = Null}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(filter = 
              JavaNew["\<java.awt.image.AreaAveragingScaleFilter\>", \
\[IndentingNewLine]Round[newWidth], Round[newHeight]]\), ";", 
            "\[IndentingNewLine]", 
            RowBox[{"dstImg", "=", 
              RowBox[{
                StyleBox["producer",
                  FontColor->RGBColor[1, 0, 0]], 
                "@", \(createImage[\[IndentingNewLine]JavaNew["\<java.awt.\
image.FilteredImageSource\>", \[IndentingNewLine]srcImg@
                      getSource[], \[IndentingNewLine]filter]\
\[IndentingNewLine]]\)}]}], ";", 
            "\[IndentingNewLine]", \(If[
              throwawaysrc, \(ReleaseObject[srcImg];\)]\), ";", 
            "\[IndentingNewLine]", \(Return[dstImg]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell["part of JavaSwing", "Section"],

Cell[CellGroupData[{

Cell["Removing Components", "Section"],

Cell["\<\
DeleteJObject[container ,obj ,doRepaint] removes an obj from the \
container. If doRepaint is True, it sends repaint() message to the container.\
\
\>", "Text"],

Cell[BoxData[
    \(DeleteJObject[container_, obj_, doRepaint_:  True] := 
      JavaBlock[
        Module[\[IndentingNewLine]{}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]container@remove[obj]; \[IndentingNewLine]If[
            doRepaint === True, \[IndentingNewLine]container@
              repaint[]\[IndentingNewLine]]; \[IndentingNewLine]ReleaseObject[
            obj];\[IndentingNewLine]]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> com.wolfram.jlink.MathJFrame <<<", "Section"],

Cell[BoxData[{
    \(\(\(NewMathJFrame[
        title_String: "\<MathJFrame\>", \[IndentingNewLine]w_:  0, h_:  0, 
        x_:  0, y_:  0] := 
      Module[\[IndentingNewLine]{frame}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]frame = 
          JavaNew["\<com.wolfram.jlink.MathJFrame\>", 
            title]; \[IndentingNewLine]JavaBlock[\[IndentingNewLine]frame@
            setLocation[x, y]; \[IndentingNewLine]If[
            w > 0 && h > 0, \[IndentingNewLine]frame@
              setSize[w, 
                h]\[IndentingNewLine]];\[IndentingNewLine]]; \
\[IndentingNewLine]Return[frame]\[IndentingNewLine]]\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(CenterizeFrameOnScreen[frame_] := 
      JavaBlock[
        Module[\[IndentingNewLine]{screen, size, newX, 
            newY}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]LoadClass["\<java.awt.Toolkit\>"]; \
\[IndentingNewLine]screen = 
            java`awt`Toolkit`getDefaultToolkit[]@
              getScreenSize[]; \[IndentingNewLine]size = 
            frame@getSize[]; \[IndentingNewLine]newX = 
            Round[\((screen@width - size@width)\)/
                2]; \[IndentingNewLine]newY = 
            Round[\((screen@height - size@height)\)/
                2]; \[IndentingNewLine]frame@
            setLocation[newX, newY];\[IndentingNewLine]]]\)}], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.ImageIcon <<<", "Section"],

Cell[BoxData[
    \(NewImageIcon[path_:  Null] := 
      Module[\[IndentingNewLine]{icon}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]icon = 
          JavaNew["\<javax.swing.ImageIcon\>", 
            path]; \[IndentingNewLine]Return[
          icon]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.SwingConstants <<<", "Section"],

Cell[BoxData[
    \(LoadClass["\<javax.swing.SwingConstants\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swTop = javax`swing`SwingConstants`TOP\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swLeft = javax`swing`SwingConstants`LEFT\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swBottom = javax`swing`SwingConstants`BOTTOM\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swRight = javax`swing`SwingConstants`RIGHT\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swNorth = javax`swing`SwingConstants`NORTH\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swNorthEast = javax`swing`SwingConstants`NORTHUEAST\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swEast = javax`swing`SwingConstants`EAST\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swSouthEast = javax`swing`SwingConstants`SOUTHUEAST\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swSouth = javax`swing`SwingConstants`SOUTH\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swSouthWest = javax`swing`SwingConstants`SOUTHUWEST\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swWest = javax`swing`SwingConstants`WEST\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swNothWest = javax`swing`SwingConstants`NORTHUWEST\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swCenter = javax`swing`SwingConstants`CENTER\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swHorizontal = javax`swing`SwingConstants`HORIZONTAL\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(swVertical = javax`swing`SwingConstants`VERTICAL\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JDesktopPane <<<", "Section"],

Cell[BoxData[
    \(NewJDesktopPane[
        container_:  
          Null, \[IndentingNewLine]tip_String: "\<JDesktopPane\>"] := 
      Module[\[IndentingNewLine]{desktop}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]desktop = 
          JavaNew["\<javax.swing.JDesktopPane\>"]; \
\[IndentingNewLine]JavaBlock[\[IndentingNewLine]If[
            container\  =!= \ Null, \[IndentingNewLine]container@
              add[desktop]\[IndentingNewLine]]; \[IndentingNewLine]desktop@
            setToolTipText[
              tip];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          desktop]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JInternalFrame <<<", "Section"],

Cell[BoxData[
    \(NewJInternalFrame[
        container_:  Null, \[IndentingNewLine]layerConst_:  
          Null, \[IndentingNewLine]title_String: "\<JInternalFrame\>", \
\[IndentingNewLine]x_:  0, y_:  0, width_:  0, 
        height_:  0, \[IndentingNewLine]resizable_:  
          True, \[IndentingNewLine]closable_:  
          True, \[IndentingNewLine]maximizable_:  
          True, \[IndentingNewLine]iconifiable_:  
          True, \[IndentingNewLine]icon_:  
          Null, \[IndentingNewLine]tip_String: "\<JInternalFrame\>"] := 
      Module[\[IndentingNewLine]{frame}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]frame = 
          JavaNew["\<javax.swing.JInternalFrame\>", \[IndentingNewLine]title, 
            resizable, closable, maximizable, 
            iconifiable]; \[IndentingNewLine]JavaBlock[\[IndentingNewLine]If[
            layerConst =!= Null, \[IndentingNewLine]If[
              container\  =!= \ Null, \[IndentingNewLine]container@
                add[frame, 
                  layerConst]\[IndentingNewLine]], \[IndentingNewLine]If[
              container\  =!= \ Null, \[IndentingNewLine]container@
                add[frame]\[IndentingNewLine]]\[IndentingNewLine]]; \
\[IndentingNewLine]frame@setLocation[x, y]; \[IndentingNewLine]If[
            width > 0 && height > 0, \[IndentingNewLine]frame@
              setSize[width, 
                height]\[IndentingNewLine]]; \[IndentingNewLine]If[
            icon =!= Null, \[IndentingNewLine]frame@
              setFrameIcon[
                icon]\[IndentingNewLine]]; \[IndentingNewLine]frame@
            setToolTipText[tip]; \[IndentingNewLine]frame@
            setVisible[True];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          frame]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JLabel <<<", "Section"],

Cell[BoxData[{
    \(\(InstallJAVA[];\)\), "\[IndentingNewLine]", 
    \(\(\(LoadClass["\<javax.swing.JLabel\>"];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(NewJLabel[
        container_:  
          Null, \[IndentingNewLine]title_String: "\<JLabel\>", \
\[IndentingNewLine]icon_:  Null, \[IndentingNewLine]x_Integer:  0, 
        y_Integer:  0, width_Integer:  0, height_Integer:  0, 
        horizontalAlignment_:  javax`swing`JLabel`CENTER, 
        tip_String: "\<JLabel\>"] := 
      Module[\[IndentingNewLine]{label}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]If[
          icon =!= Null, \[IndentingNewLine]label = 
            JavaNew["\<javax.swing.JLabel\>", title, icon, 
              horizontalAlignment], \[IndentingNewLine]label = 
            JavaNew["\<javax.swing.JLabel\>", title, 
              horizontalAlignment]\[IndentingNewLine]]; \
\[IndentingNewLine]JavaBlock[\[IndentingNewLine]If[
            container\  =!= \ Null, \[IndentingNewLine]container@
              add[label]\[IndentingNewLine]]; \[IndentingNewLine]If[
            width > 0 && height > 0, \[IndentingNewLine]label@
              setBounds[x, y, width, 
                height]\[IndentingNewLine]]; \[IndentingNewLine]label@
            setToolTipText[
              tip];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          label]\[IndentingNewLine]]\)}], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JScrollPane <<<", "Section"],

Cell[BoxData[{
    \(\(InstallJAVA[];\)\), "\[IndentingNewLine]", 
    \(\(\(LoadClass["\<javax.swing.ScrollPaneConstants\>"];\)\(\
\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(NewJScrollPane[
        container_:  Null, \[IndentingNewLine]view_:  
          Null, \[IndentingNewLine]vsbPolicy_:  
          javax`swing`ScrollPaneConstants`VERTICALUSCROLLBARUASUNEEDED, \
\[IndentingNewLine]hsbPolicy_:  
          javax`swing`ScrollPaneConstants`HORIZONTALUSCROLLBARUASUNEEDED, \
\[IndentingNewLine]tip_String: "\<JScrollPane\>"] := 
      Module[\[IndentingNewLine]{pane}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]If[
          view =!= Null, \[IndentingNewLine]pane = 
            JavaNew["\<javax.swing.JScrollPane\>", \[IndentingNewLine]view, 
              vsbPolicy, hsbPolicy], \[IndentingNewLine]pane = 
            JavaNew["\<javax.swing.JScrollPane\>", \
\[IndentingNewLine]vsbPolicy, 
              hsbPolicy]\[IndentingNewLine]]; \[IndentingNewLine]JavaBlock[\
\[IndentingNewLine]If[
            container\  =!= \ Null, \[IndentingNewLine]container@
              add[pane]\[IndentingNewLine]]; \[IndentingNewLine]pane@
            setToolTipText[
              tip];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          pane]\[IndentingNewLine]]\)}], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JMenuBar <<<", "Section"],

Cell[BoxData[
    \(NewJMenuBar[frame_:  Null] := 
      Module[\[IndentingNewLine]{menubar}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]menubar = 
          JavaNew["\<javax.swing.JMenuBar\>"]; \[IndentingNewLine]JavaBlock[\
\[IndentingNewLine]LoadClass["\<javax.swing.border.BevelBorder\>"]; \
\[IndentingNewLine]menubar@
            setBorder[
              JavaNew["\<javax.swing.border.BevelBorder\>", 
                javax`swing`border`BevelBorder`RAISED]]; \
\[IndentingNewLine]menubar@setBorderPainted[True]; \[IndentingNewLine]If[
            frame =!= Null, 
            frame@setJMenuBar[
                menubar]];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          menubar]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JMenu <<<", "Section"],

Cell[BoxData[
    \(NewJMenu[menubar_:  Null, \[IndentingNewLine]title_: "\<JMenu\>", 
        mnemonic_: "\<\>", enabled_:  True] := 
      Module[\[IndentingNewLine]{menu}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]menu = 
          JavaNew["\<javax.swing.JMenu\>"]; \[IndentingNewLine]JavaBlock[\
\[IndentingNewLine]menu@setText[title]; \[IndentingNewLine]menu@
            setEnabled[enabled]; \[IndentingNewLine]If[mnemonic =!= "\<\>", 
            menu@setMnemonic[FindChar[mnemonic]]]; \[IndentingNewLine]If[
            menubar =!= Null, 
            menubar@add[
                menu]];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          menu]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell[">>> javax.swing.JMenuItem <<<", "Section"],

Cell[BoxData[
    \(NewJMenuItem[menu_:  Null, \[IndentingNewLine]title_: "\<JMenuItem\>", 
        mnemonic_: "\<\>", enabled_:  True] := 
      Module[\[IndentingNewLine]{item}, \[IndentingNewLine]InstallJAVA[]; \
\[IndentingNewLine]item = 
          JavaNew["\<javax.swing.JMenuItem\>"]; \[IndentingNewLine]JavaBlock[\
\[IndentingNewLine]item@setText[title]; \[IndentingNewLine]item@
            setEnabled[enabled]; \[IndentingNewLine]If[mnemonic =!= "\<\>", 
            item@setMnemonic[FindChar[mnemonic]]]; \[IndentingNewLine]If[
            menu =!= Null, 
            menu@add[item]];\[IndentingNewLine]]; \[IndentingNewLine]Return[
          item]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["End", "Section"],

Cell[BoxData[
    \(End[]\)], "Input",
  InitializationCell->True],

Cell["\<\
(*
  Protect[ Evaluate[ $Context <> \"*\" ] ]
    
    Unprotect[$JavaPhotoEditorMathJPanelFrames,$JavaPhotoEditorMathJPanels,$\
CurrentTool,$Dragging,$StartPoint,$TargetCanvas,$OverlayGraphics,$LeftTop,$\
Bounds,$Points]
  *)\
\>", "Text"],

Cell[BoxData[{
    RowBox[{
      StyleBox[\(EndPackage[]\),
        FontWeight->"Bold"], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
    RowBox[{\(On[Needs::nocont]\), 
      "\[IndentingNewLine]"}], "\[IndentingNewLine]", \(Print["\<Finished \
loading JavaPhotoEditor\>"]\)}], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
AutoGeneratedPackage->Automatic,
WindowSize->{589, 662},
WindowMargins->{{80, Automatic}, {Automatic, 2}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 44, 0, 115, "Title"],
Cell[1774, 54, 30, 0, 64, "Subtitle"],
Cell[1807, 56, 127, 5, 90, "Text"],

Cell[CellGroupData[{
Cell[1959, 65, 29, 0, 59, "Section"],
Cell[1991, 67, 1632, 30, 430, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[3660, 102, 26, 0, 59, "Section"],
Cell[3689, 104, 287, 7, 90, "Input",
  InitializationCell->True],
Cell[3979, 113, 44, 0, 33, "Text"],
Cell[4026, 115, 208, 4, 52, "Text"],
Cell[4237, 121, 360, 7, 130, "Input",
  InitializationCell->True],
Cell[4600, 130, 74, 2, 30, "Input",
  InitializationCell->True],
Cell[4677, 134, 102, 2, 30, "Input",
  InitializationCell->True],
Cell[4782, 138, 110, 2, 30, "Input",
  InitializationCell->True],
Cell[4895, 142, 2425, 47, 670, "Input",
  InitializationCell->True],
Cell[7323, 191, 101, 2, 30, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[7461, 198, 26, 0, 59, "Section"],
Cell[7490, 200, 39, 0, 33, "Text"],
Cell[7532, 202, 737, 12, 250, "Input",
  InitializationCell->True],
Cell[8272, 216, 202, 4, 70, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[8499, 224, 26, 0, 47, "Subsection"],
Cell[8528, 226, 21, 0, 33, "Text"],
Cell[8552, 228, 105, 3, 30, "Input",
  InitializationCell->True],
Cell[8660, 233, 102, 3, 30, "Input",
  InitializationCell->True],
Cell[8765, 238, 120, 3, 30, "Input",
  InitializationCell->True],
Cell[8888, 243, 45, 1, 30, "Input"],
Cell[8936, 246, 61, 0, 33, "Text"],
Cell[9000, 248, 78, 2, 30, "Input",
  InitializationCell->True],
Cell[9081, 252, 29, 0, 33, "Text"],
Cell[9113, 254, 81, 2, 30, "Input",
  InitializationCell->True],
Cell[9197, 258, 65, 0, 33, "Text"],
Cell[9265, 260, 74, 2, 30, "Input",
  InitializationCell->True],
Cell[9342, 264, 121, 3, 33, "Text"],
Cell[9466, 269, 77, 2, 30, "Input",
  InitializationCell->True],
Cell[9546, 273, 109, 3, 33, "Text"],
Cell[9658, 278, 78, 2, 30, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[9761, 284, 37, 0, 43, "Subsubsection"],
Cell[9801, 286, 251, 5, 52, "Text"],
Cell[10055, 293, 88, 2, 30, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[10180, 300, 34, 0, 43, "Subsubsection"],
Cell[10217, 302, 79, 2, 30, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[10357, 311, 37, 0, 59, "Section"],
Cell[10397, 313, 349, 7, 130, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[10783, 325, 25, 0, 59, "Section"],
Cell[10811, 327, 168, 3, 50, "Input",
  InitializationCell->True],
Cell[10982, 332, 193, 4, 50, "Input",
  InitializationCell->True],
Cell[11178, 338, 110, 2, 30, "Input",
  InitializationCell->True],
Cell[11291, 342, 367, 7, 110, "Input",
  InitializationCell->True],
Cell[11661, 351, 115, 2, 30, "Input",
  InitializationCell->True],
Cell[11779, 355, 191, 3, 50, "Input",
  InitializationCell->True],
Cell[11973, 360, 109, 2, 30, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[12107, 366, 27, 0, 47, "Subsection"],
Cell[12137, 368, 606, 13, 150, "Input",
  InitializationCell->True],
Cell[12746, 383, 940, 18, 310, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[13723, 406, 31, 0, 47, "Subsection"],
Cell[13757, 408, 122, 3, 30, "Input",
  InitializationCell->True],
Cell[13882, 413, 406, 9, 90, "Input",
  InitializationCell->True],
Cell[14291, 424, 394, 9, 90, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[14722, 438, 44, 0, 47, "Subsection"],
Cell[14769, 440, 256, 4, 70, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15074, 450, 41, 0, 59, "Section"],
Cell[15118, 452, 95, 2, 30, "Input",
  InitializationCell->True],
Cell[15216, 456, 406, 6, 150, "Input",
  InitializationCell->True],
Cell[15625, 464, 187, 3, 70, "Input",
  InitializationCell->True],
Cell[15815, 469, 160, 3, 50, "Input",
  InitializationCell->True],
Cell[15978, 474, 1084, 16, 310, "Input",
  InitializationCell->True],
Cell[17065, 492, 104, 2, 30, "Input",
  InitializationCell->True],
Cell[17172, 496, 106, 2, 30, "Input",
  InitializationCell->True],
Cell[17281, 500, 98, 2, 30, "Input",
  InitializationCell->True],
Cell[17382, 504, 246, 4, 70, "Input",
  InitializationCell->True],
Cell[17631, 510, 425, 8, 110, "Input",
  InitializationCell->True],
Cell[18059, 520, 83, 2, 30, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[18167, 526, 45, 0, 47, "Subsection"],
Cell[18215, 528, 1871, 34, 590, "Input",
  InitializationCell->True],
Cell[20089, 564, 135, 3, 30, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[20261, 572, 56, 0, 47, "Subsection"],
Cell[20320, 574, 589, 19, 356, "Text"],
Cell[20912, 595, 1287, 23, 450, "Input",
  InitializationCell->True],
Cell[22202, 620, 699, 14, 210, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[22938, 639, 30, 0, 47, "Subsection"],
Cell[22971, 641, 485, 9, 210, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[23493, 655, 39, 0, 47, "Subsection"],
Cell[23535, 657, 274, 6, 66, "Input",
  InitializationCell->True],
Cell[23812, 665, 357, 7, 106, "Input",
  InitializationCell->True],
Cell[24172, 674, 317, 7, 126, "Input",
  InitializationCell->True],
Cell[24492, 683, 671, 12, 270, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[25200, 700, 35, 0, 47, "Subsection"],
Cell[25238, 702, 186, 5, 46, "Input",
  InitializationCell->True],
Cell[25427, 709, 313, 7, 106, "Input",
  InitializationCell->True],
Cell[25743, 718, 209, 5, 66, "Input",
  InitializationCell->True],
Cell[25955, 725, 1447, 28, 290, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[27439, 758, 47, 0, 47, "Subsection"],
Cell[27489, 760, 1914, 42, 250, "Input",
  InitializationCell->True],
Cell[29406, 804, 207, 4, 50, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[29650, 813, 126, 4, 66, "Subsection"],
Cell[29779, 819, 701, 16, 226, "Input",
  InitializationCell->True],
Cell[30483, 837, 219, 6, 66, "Input",
  InitializationCell->True],
Cell[30705, 845, 153, 4, 46, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[30883, 853, 41, 0, 43, "Subsubsection"],
Cell[30927, 855, 789, 21, 356, "Text"],
Cell[31719, 878, 31, 0, 33, "Text"],
Cell[31753, 880, 1380, 26, 446, "Input",
  InitializationCell->True],
Cell[33136, 908, 32, 0, 33, "Text"],
Cell[33171, 910, 1411, 27, 446, "Input",
  InitializationCell->True],
Cell[34585, 939, 33, 0, 33, "Text"],
Cell[34621, 941, 2183, 44, 446, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[36841, 990, 46, 0, 43, "Subsubsection"],
Cell[36890, 992, 31, 0, 33, "Text"],
Cell[36924, 994, 1801, 37, 346, "Input",
  InitializationCell->True],
Cell[38728, 1033, 32, 0, 33, "Text"],
Cell[38763, 1035, 2017, 43, 346, "Input",
  InitializationCell->True],
Cell[40783, 1080, 40, 0, 33, "Text"],
Cell[40826, 1082, 2099, 45, 366, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[42962, 1132, 34, 0, 43, "Subsubsection"],
Cell[42999, 1134, 273, 5, 90, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[43321, 1145, 37, 0, 47, "Subsection"],
Cell[43361, 1147, 241, 5, 90, "Input",
  InitializationCell->True],
Cell[43605, 1154, 259, 5, 90, "Input",
  InitializationCell->True],
Cell[43867, 1161, 20, 0, 33, "Text"],
Cell[43890, 1163, 799, 16, 190, "Input",
  InitializationCell->True],
Cell[44692, 1181, 20, 0, 33, "Text"],
Cell[44715, 1183, 497, 10, 150, "Input",
  InitializationCell->True],
Cell[45215, 1195, 448, 8, 150, "Input",
  InitializationCell->True],
Cell[45666, 1205, 398, 9, 110, "Input",
  InitializationCell->True],
Cell[46067, 1216, 384, 8, 110, "Input",
  InitializationCell->True],
Cell[46454, 1226, 916, 22, 90, "Input",
  InitializationCell->True],
Cell[47373, 1250, 39, 1, 30, "Input"],
Cell[47415, 1253, 1663, 33, 410, "Input",
  InitializationCell->True],
Cell[49081, 1288, 1678, 33, 410, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[50808, 1327, 41, 0, 59, "Section"],

Cell[CellGroupData[{
Cell[50874, 1331, 74, 1, 47, "Subsection"],
Cell[50951, 1334, 1015, 21, 250, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[52003, 1360, 79, 1, 47, "Subsection"],
Cell[52085, 1363, 1081, 22, 290, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[53203, 1390, 83, 1, 47, "Subsection"],
Cell[53289, 1393, 1089, 22, 290, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],
Cell[54405, 1419, 36, 0, 59, "Section"],

Cell[CellGroupData[{
Cell[54466, 1423, 38, 0, 59, "Section"],
Cell[54507, 1425, 170, 4, 52, "Text"],
Cell[54680, 1431, 451, 8, 190, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[55168, 1444, 55, 0, 39, "Section"],
Cell[55226, 1446, 1402, 28, 490, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[56665, 1479, 48, 0, 39, "Section"],
Cell[56716, 1481, 324, 7, 130, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[57077, 1493, 53, 0, 39, "Section"],
Cell[57133, 1495, 104, 2, 30, "Input",
  InitializationCell->True],
Cell[57240, 1499, 99, 2, 30, "Input",
  InitializationCell->True],
Cell[57342, 1503, 101, 2, 30, "Input",
  InitializationCell->True],
Cell[57446, 1507, 105, 2, 30, "Input",
  InitializationCell->True],
Cell[57554, 1511, 103, 2, 30, "Input",
  InitializationCell->True],
Cell[57660, 1515, 103, 2, 30, "Input",
  InitializationCell->True],
Cell[57766, 1519, 112, 2, 30, "Input",
  InitializationCell->True],
Cell[57881, 1523, 101, 2, 30, "Input",
  InitializationCell->True],
Cell[57985, 1527, 112, 2, 30, "Input",
  InitializationCell->True],
Cell[58100, 1531, 103, 2, 30, "Input",
  InitializationCell->True],
Cell[58206, 1535, 112, 2, 30, "Input",
  InitializationCell->True],
Cell[58321, 1539, 101, 2, 30, "Input",
  InitializationCell->True],
Cell[58425, 1543, 111, 2, 30, "Input",
  InitializationCell->True],
Cell[58539, 1547, 105, 2, 30, "Input",
  InitializationCell->True],
Cell[58647, 1551, 113, 2, 30, "Input",
  InitializationCell->True],
Cell[58763, 1555, 109, 2, 30, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[58909, 1562, 51, 0, 39, "Section"],
Cell[58963, 1564, 661, 13, 270, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[59661, 1582, 53, 0, 39, "Section"],
Cell[59717, 1584, 1807, 32, 710, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[61561, 1621, 45, 0, 39, "Section"],
Cell[61609, 1623, 1427, 27, 570, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[63073, 1655, 50, 0, 39, "Section"],
Cell[63126, 1657, 1336, 26, 530, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[64499, 1688, 47, 0, 39, "Section"],
Cell[64549, 1690, 767, 15, 270, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[65353, 1710, 44, 0, 39, "Section"],
Cell[65400, 1712, 733, 13, 270, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[66170, 1730, 48, 0, 39, "Section"],
Cell[66221, 1732, 719, 12, 270, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[66977, 1749, 22, 0, 39, "Section"],
Cell[67002, 1751, 66, 2, 30, "Input",
  InitializationCell->True],
Cell[67071, 1755, 250, 8, 128, "Text"],
Cell[67324, 1765, 320, 7, 110, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

