(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     90189,       1455]*)
(*NotebookOutlinePosition[     91018,       1486]*)
(*  CellTagsIndexPosition[     90948,       1480]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  "Java Photo Editor for ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Developer Conference 2001"
}], "Title"],

Cell[TextData[{
  "JPEMDC is the limited version of Java Photo Editor for ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Developer Conference 2001. This distribution is created for the \
evaluation purpose only. The user of Digital Image Processing can try this \
application by installing J/Link 1.1.2 and JDK1.3.1 on the computer."
}], "Subsubtitle"],

Cell[CellGroupData[{

Cell["\<\
Junzo SATO
Chikara MIYAJI
Mariusz JANKOWSKI\
\>", "Subtitle",
  TextAlignment->Right],

Cell["\<\
Copyright @ 2000-2001, Junzo SATO, Chikara MIYAJI,and Mariusz \
JANKOWSKI.
All rights reserved.\
\>", "Text",
  TextAlignment->Right],

Cell["Email: jsato@fc.kuh.kumamoto-u.ac.jp", "Text"],

Cell["Oct. 14. 2001. MDC2001", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\"Digital Image Processing\" Package", "Subtitle"],

Cell["The Digital Image Processing application package is loaded.", "Text"],

Cell[BoxData[
    \(<< ImageProcessing`\)], "Input"],

Cell["\<\
The user can freely access variety of codes provided by this \
package. Here is the simple example of loading an image and creating an \
ImageData.\
\>", "Text"],

Cell[BoxData[
    \(\(A = 
        Get[ToFileName[$ImageDataDirectory, "\<boat.txt\>"]];\)\)], "Input",
  CellTags->"2.2"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"G", "=", 
      StyleBox[\(ImageData[A, PixelInterleave \[Rule] None, 
          ColorFunction \[Rule] GrayLevel]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input"],

Cell[BoxData[
    \("\[SkeletonIndicator]ImageData\[SkeletonIndicator]"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[Graphics[G]];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
%%ImageSize: 106 106 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00898473 0.0238095 0.00898473 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.02381 .02381 translate
.95238 .95238 scale
106 string
106 106 8 [106 0 0 106 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage
9FB0ABB8BEAFB1ADB4909C9D9B87899EACA5A7A09BA47C84959D969582999F8E93838F98
938D96A9939B938E9B8A9FA5A49CB9A79B8E9FA98D97A0807F7A7782899393969DA76D89
85929587888A8797978A89848E8E828294987971715557597D8A90928A91878C938E
AAB2A6B3B6B7B5C7C3B6ADAFB2ACA4A7ADA7A7AFACB1ACA8A8A796A59C9C9EA39DA4A693
92A5AEA37F82A8ABB07F7B959A93A996A8A8AA8FA9818E929C959696929092959A9B979A
998C9A889A9BA1978EA49AA190A09E9D9597A0999CA49E978D9593939796949C9694
9DA1A8A4A0A4869AAA97A3A6A7B39E9BA6A4A0B1A9B7A19AA39C978C9EA39CABA4A49A91
8F87919CA094A6A48E8D8D828A88938A949B9B9B9C959796939793869687789586927883
8D889291919289838A9F8C9682868E9399958A9C898E998C858D95898F8184878395
A8B0A8ABAAAFB7AFB4B5A4B0BDBEB8ABB9A8B9ABB89C9596B0A3BCADB5AFB6BDB8B7AEB3
A1A99AA19285A4A497999AA3AEA7918978787E909385897A6B7C798C928A938F9994818D
8C987A797C75697A7C7A8A867C7E7D867D7C7D8E837A7C81888179889B8E8A7B7B64
A39F8C9D9895A6B3CBC1B29AB3805C69797E769C96938E808388869B90A5A19DA096A397
A5A5ADABA499AC9E9EACAEB7AEA8ACB4AC7A96AE9879937E95967F847C8095858288858A
7F7E8A886C677E86887B7A717F736A7170717A718D8781838783818C888A82797A82
8A898C8E8797A69F8EAFBEB77D735C473E3327A59B958C6C6F66786B7173657068677C7D
84A45E51586257676D5E786F68797A86736163676C675B5E665E6475615959474240585C
574651445B5B6D7B82908F89809B849159988C8A85828C968D92928F917F8A838985
7E8196937D7E83888A88956C6385945744443896949B917690858E88887A6B4B43404142
323D24252C2D262A2616563F32292538354F32263A3A313233312726211D1C1B1F20252F
29272523262728353A4741483F605068575A48537776647F99898A878C8986878F84
6061877C7A8D9286917D7C7377ABA78F78874E94823C33349A94987D8A8148312D252224
201F1C1F1B1B1D1E1B1A1F24211D16191F1C1B1819191D1D1B191A1A1D1B191B18161F1B
191E201E2326262F262D22251F293E3128342314141A181B1F1B292D25312F4F5478
87898C86878E848D848F8D69649AA8A0A09E707990382D1D88858A8696858750493C3C33
34322F2C262923211E231F201B181D201C1D151B1A19161E1E1E1D201F1C1E19191D2323
26262D293033343929312D32312B3F423F3A3D21131210141811536120162D68393C
6A6885798387888E928C909A8C7A7182889E7F7A888432218C8F8D8C8A88736C664B3E3A
34302A221F221D1E211B1A161516131616151216151215161618161A14151416181A221F
21211F24252F2836342B322829273843302A43211518161515135C54224350242319
54537B79677C817F7C78949D9E9C8A6F6B67896775AC3625848782878A8E7F6B573E2D25
1E1E18191414141214121514121412121312131110120F1414141513161419121C1B1D20
232423282A2F332F3327391D1D18212A20232A271D1B19261D11403956793C34221C
424D775B525651655A6B647E829C8EA3A998925776C134248D8781867F87837E643A2921
1E15131314131212121412111412131112101010101111111414121411161619201E1E1F
2028262D313432353B323420111E150E10121511141110142D1D3F2F6A5238251F25
4F308A513F363437333437322D5B4D4E7A92AD8036C33F2D675550584F61787E6736241E
1B1A16151519131511151413141514130F1411140F10121314131512181613191E1D231E
2827292D30333736322A371E1825120C101452161111130E929288866244611B110E
201B9B43281C2016191918181B1E33282221322818C53E2F23221E1F1B767670482C1F19
1415181618161915130F141212141211101410101015131113121113151414181D191E1E
2128273033353438382F242925271F0E0E139720121514125C483D6B35391F13100F
191EAD3C21191D1A121919181B14582F1F211F1E12CC41322520191D1E916C4F3A261E1A
1B191B191B191A131416161115141316121212131111151611141218111415161B1B201B
2229292F3432343735362927272622120D11881F1216191871887760483D1E111011
1316A1392019181815191819151453241E181E1C15CC43312B1E1A1F2253363C362A2322
221F1E1F1B1D1B18141314141315121512131512151314141515151114191B1916181B1E
20222830342D37353233262F2F2A280F0D10691814141010998A845C9EA05E1E140E
1A16A3391F191915161914191615862F1B1A1E1C19D54732231E1D6A5E51473A35272626
252124221E1E19201E1C1A151815161F25221F11121118141413101518191A1F1A191E20
2329262D33343533393730342F2A210C071058150D0E0D138F938A8291995B191011
19169D331D151B1412151418191684322615181A19CD4935273B75755F3F3631292D2D32
332726252C26232A2625231E211B1F1816212613121315151416121513151414131E2023
292723282B302F3430313229292D2B0D091941110D0F0F107D4734797C6B3C160E0D
16159B37211B1B121415131819147241231A191C18CC4D352F80715E4135323037332D37
3532303030342C2B27262525231E201F1B1A191218161815181212151B1E191513151B1E
2324262D302B31372F26312B2C2C260B0C183F161011110F6E443A785E5536100B0C
1B1899331C1B1C1616151519191B2139301E1A1A19D24B2D5379584B4A37363D393D3C3E
3A38393937323325282926242421251E1F1D201C1F1D1A191619181D1E1A181518191620
282A2B312B2B313130312B2A2B272D0D1030331D1E1415586C3A735B1D6E310D0C0C
342D92391E1A24282926242020201365351E1E1C1ECD4B354D654F41504D4A47474E5444
403F3E39323336312F291A26292728272424211E1F1B1D1D1F20221D181B1D1D1D1B1918
1D222D29332F323534332927262B3112103434191B1B07B35A6671311570240D0F0D
5749887B381F3B3F3C353B2D3229195A4B24221E1FC85136355A3F4C51525150504D5967
6968534142393933251F1B1C272421282325272A2222232224221E181A20201F1E211D1F
1B1D202F3032303731361B21233025160D3625191C1B036730833F2F4D54150B0E11
6B65855B2F3F51504946433B39352F846026292A26C5553A3058425558575046464D4943
46516C6350483B3429221D211D1D2122292A2B2528222222211E181A1B1F24201E1E1F22
2222182437313434342F1825242D31220F332715161A116347633E36563F10100D18
7F6B6F302166686A696660444043407E3D38302D28AF513C3B4F5B665A5454545A575B54
52474846575A5E4B3023251F1F1E211F22272626232322211E1F1E1E21211F1D1D1F2323
2C201B1D1E2F34332B33161B1A2827240D34321614150F584444383C6331100C2328
D8CC69284B85797A7E6F76686866597846433F347DA95A3B3641666867656C676A64736E
715E544F49474747312B30272323212222252824212623232420211D1C21221F21231E22
2523231D1E12343028371D0D0A10120F0D372A1216160E605746694B6C2C10194227
D5C85F55C5D5CDA7918D7B81726C6D736E584F97ADB6573E343D70727975727C7B7A7670
706E6A5F59504B38384333252B22202425221F212526292527262323211E1F2221212022
22221C2821231B2B2F31190C0B120C0F0C4F240A0A0D0D5E4448777A4220184F361D
C9B86270C1D9DADED6C9B496857C796D756961BCCFB95840304176767E807E7E7E817F79
7A77716C6255543E35444028282423222226222227232926272626222120211E21212224
21251E2122222819322F1A0D11110E0D0D60250B0D0A0D4838647E6C381F184F3923
E0AC7BA7CBC9C7CFC9C5D4CFDDD0BD99829998D5DAC75E3F3A67767B8887868C88848283
807F7E78767549525448373F3D33283222211D202827222B262426261D2222232022221F
241F1D1E1E231E241C3018151415150F13681D0A0A0A14276268615A2C2318383954
CAA788B1CBD3E0D7DCDCE1DADDCAC7D6B7D8C3D8DCCD5B443BB4AF8F90727C8E8E8C8C87
7D89897F79755785937C514F4341392F212C271E2931252D2C2B2B2C26251F242723201E
20201E201E2220251E1E1514181616110C851D0B0A0C481B0C18886E2A3376592D3C
C1A789ACBDC8CAC6CDDCDAD6DEDBE0DDE7A3D8E3DDAC503733C9D7A888626396918A8D91
958E8A8A86857EA1A98EA58C58403C3C342B2F261D282A332C2B2926272723231F212325
222323221F1F1E221D1110121412150E0F86190C0E093E0E0C0C0E8135257C713E24
49965E7B929CACB9CDC5CAD4CEDDD3DAE371E0DBDEB8563E2FCDDCD682665AB19F949591
96979088889093969C95AFB08C6047443D2F2C34281937392C2C2D29312C26221E1E2122
232322251F2020221F1E111313151A0D0C64140C0F0653130F0B0E43361B8E7F7629
985230708E969797989E8AA4A495B8C2D77AD5E3D3BE5E4B34D2DFC2A5957E9CBDB9A09A
9997959396A0A9B39C96AFADA0AB8878493A393132241F29332A2F292A2D282723232226
2627212227212027251D160E151211111038100D0F10110C0C0D08080E758C885926
2566283E5E7080828890969099473B533C65D5EFD6D8796C3CDADFC0A97EC1CCDCDAC9E0
CEC2A09691A9B0ADB8ABA6A9A09697874D3E42343338241D2433332F2D333028261F2925
2524251F221F2627211D20140F101010142D110C0E0E120D0D0F0E0B090789813722
1F351C1C272929343131384A543A69656B90687365A9766850E7E9CAC2AE9CD4E1E1DBC9
BEE2D4D6ACB2BCA9B4AFAEAEA49A98967662433A2D282A232122252F332F292D28292521
24232426202224242126211C1813110F14110C0C10101A110C0C0C0C0F12698F2C27
1F381D1C242B2D2D292F2F3431343635768281617CA0625635B8E6D5CDB9B3E5E5E2E2E5
C6D9D7DEBCC0B9B3B0ADAFADABA7999B9878653F2D2B302924292427332F302F29272629
24272922261E20231E242720161514130C0F1448332743120B0B0E0A10110BA62B3F
1A36191E2C252B2D2C2B2B2F28323244766C705F8397484126A84F64799AB8E3E7E3E3D8
DFEAD9C7C4CAC9D5C3B1A3ADB1B8AF9EA9A5935E83522B3635352B29282F30312C302F29
27292121211D2322211E271E161511141116282F514948130B0F0C0D110D0E19153A
2736161C25272D2B2D28312C272D3282695E477283AD3F3B2955435446493A788EC3DDE1
E7E0EDD6D9D9DAC9D8C8DCDFB4ACB5ADADB8AB7A68696F3431322D3532292D3133302B30
292326232723232121221E1B241A3C272C22182851768325111511070A0D0D0E0F0B
2B2D1C1E2B262D2D2D322D2F2831297C6249975B64B5492B27464A53393D2D514138537F
ABD3E3DDDBD8E2D0D7D9D6D5D6D9D3C8B3AB9E8F7F82657F47333B3B342B26252628312F
312D242521252322251E1F1C1A19324726151414111248391411120F0D0D0C0F0F0D
3E261B2A2B262D312C29322C2832337158516B4D5AA341292B37493735342B313D314359
547DB5E0DFDAD5DDD8DCDCD4CCB9C7CAB5AC9189AA92805B7772353B3A36292127282C2F
2B252D26282424212023211F1A203E381F1212110F0D5C461912140F0E1011110E0E
614959635B7E7A60543E362F2935E9DFD8DBA6C1979146322F34322B273028272F303852
4C72887AAAD5E0E1E3DFE5E0D9C8D0CFC8B5C69C7EA5A78768517E3D2D302F2D2828262C
2B2627292A2C23221D201F1B1C263C2D161A150E110E473F1810130E0F100C101211
92855C32275936433B4449404D4BBDBEC5CACFC297C1A19ACD99543B302D2625292D2F5A
568890A4877879B8E0E6E3E1D6D6D7CFDCCAC5E0C49A84A67C87625C4C3836312F2D2428
2D2B272829262520201F1E1C193C472B1C1E141112113437161011121113100E120E
515535234B3138333A2F3A363D3CB0B5C4BCDF82ACBE3F27A75E3465BD5B2A2726282767
689C969AAA899A827B79BCE0DAD9E1DBCEDBDCD9D0CCDB8160A8855B496A5F3032322C24
2526292A26292F2B27262219194647241212160F12122D4416111312141311131610
4B733554341D2339373339393D7FB7BBC2C5E053BE9032252A251C0DDB5423223A392B62
60A890AE9490A7A8B176618FCFE2DCDADADBADDBD6CEDEC88A8297755B5964412D322D29
2026272C23282829201F1D1B14304924161415161E12373215141613111311111111
28434A5B2F1851433137353936B7C9C8D6D7D67BBE6C32241F201E1C3D2F1E1F3B84AA9F
81A890ABB59394A4BB9D93667179A0DBE1E3E5C0C4D9DCDADCD88A7C886954474332303F
3E4642383F3C3D493B42393435305A24161D1313111233262A2B231B191519141512
46544749381E41283037373A4FADB9C7DCCCDA858EA45427251A211F1D47272200DA7DE4
E0B39B5E9B8191ABCAB49587928385609CC1E9E5E6DAC3DAD6E0D9CE7F5C79434D3C5392
888C8A7C86787765606D504037317C3218112F141120362A342C413927343125221B
3D4758363743503B3633373396A5BEB4CEC6C7CCDAA35529221824201E22292114E26EDF
E5B2D7C5927E7EB0C1AF999BA19C898778879FC7E3DBE6E4B8C2DEDDD7CB7B575A578AA7
98A5A5A0A7A59F9E968E8983726B4F58201D961E13354A5365675B674E50353E3431
4D4F46473E48423933363C5AA6B1BFC1C0D9CBCFCCA1422B2618221B1A1A291E1EAC4DD6
E6D3DBE2E0CE8287A9AD96959DA7AB948C96899CB6C8EDE3E5E0AFCCDEDBCA794D829AA6
A19DA8A39BA0A8A6A3A1A59790906783341FDD1E3346546B717D6A707F7E46726F6E
593E3C443E3D4232362B31A3A7B3A6C29EC6C2CECF8233332718291F1A1D362221A465D6
D9D6C1CFDEDFDFD69582949A95A4A1A3A09698849E846AC3ECECF0D69CAFBCCF8A9AA1A5
9A9DA6A3A19B9B97A8A3A9A49F998F8E7A4DD94A87878D86958A8E929489887B868D
6B6C6253576F586461208097A6B7B9C8A6DA91CFC587313D2A193822181D322221FF58E2
E5C1DDD9D7E6E1DDDED5C29193949998909D8A988A796550629ADEE6EDDA8A7E98A6A8A9
9E9DADAFA9A89DA8AAA5A69C9A9C9E99A55CBE989A97999B9B969E9D999E99969B9B
6D6A7950566A659664286C5E5772819AAAC0CFE489803744391A3E291D1B352523AE63E0
E3CB9CB9DDD5D0D3DACFC9CECABF8F8C97A38CA09F8E966556464871EAEBE96091AAA1A9
B1ADA8B4A4A5A6A9A8A6A4A59EA7A59F9E87909B95969CA19D9AA0A3A4979D979AA6
6261705A637B486F49525955443A3A3F426092BC547233504021482F1E203927266E85D7
D6E5D6A7DFE1E9D0C9C9D2CEC8D8DA9E7F948E9E8F8298987E6B574D5995DF5698A3B1A9
AEADADB1AFB2A0B2ACA5A89EA4A89FA897AC959B999BA19CA09A9EA69B9B9499999C
574F7E617B683C65485748423E34303633313C70795B315B572A6733210D4F30294FDAE0
DCE0DADAE6E1E6DDDDD0C2BFD7E5E1D8C3A77C96898587B38D84808150416058607E93A5
AFAEA9A9ADA9A8ABA5A0A8A3A0A9A89EB4858D818C8E9B9AA1979FA59E9EA59F9893
7E9172797C873C7C3F6C8899898463463938372AA4513B6F7130853B28254A352B7FDEE0
DBDFE7E9E4D8D7D4DDC9D6D5C9C9CBDAA4B399C584766D9D838886885C4658492D2B2626
3039536E7F97A49FA8ACA7A5A6A4A99D93B18E819398A19D9A979AA79CA69F979D99
8E7D92967F9B30544F3C385E3C618C7372825B598950688167307F44262C6A3F1EE9DFE9
E3DDE1E0DDD8CACDD5CFCCC4D5DFDDD48EE7E3DAE2CCAC71685A81917766674725222021
1C201E1F211C1F282B2C3F546A717F983C88977B8D9BA196A19AA3A59E988293837C
899198938E9346BFAD4B3C58397A7B352D553769BE696A72614B64553339DF5127B9DAE3
ECD7DBDCDFD9D0D0DFD7C2D5C1D5DEDE82D6E0D9DBD0D6B87D58646D644C6A4029231F1F
1C1E1B1C1E1D1E19251E1B201B1E231F3C36684134383C413A3B363832291D1C1C18
9597949D9F41B3C5649651878F8758774A3829233F42365285977B656530AB6B3837AFA6
C5DFDED6E3DEBDDDE1CFC8E0C0CDD8DB6AB2E9D4CCDACDE7D8C68767494D713E24222019
1C2218211B1A191D181816151A1A198022180680221E23151415161213131413100F
7B899C8C6A3AB0AA8368A35E7877616F351F3B60423B35303A3161A15F55705934494A64
4D7790D5DFDDD5D2CDADB2D2E0CED8D4C8C088D8DDCAC7E5DDE5E4DBAC7F5B4031211F1D
1C191C1E1A1B161A1A14161615151031191B1A78391D1D211010131E160F13121111
8DAABB443BA0598C4D506872837EA8392D1B343B2847577E777BAE96A49588867962474B
524F4F4C76A0DEE1DADEBFB2C2C8B8C9C4D9D8D0D7CCC9CACCDDE0E0D9E4CB5F3E3E362C
2626221E1A1B1C18191915151814611916151811BC37151F161512161D1513150F11
928855337EA7B8523B3D3F6AACAA364B3A414242629090765592A9B0A8A97F9672B69877
4D5350726B545B7ECCE1DDD7CCC8B6AEC1C5E4C5DCD8D2D7DCD6CAE5E2E2E5A0A4AD9BB9
AB8C8064483F30251D1A1B1D182929121515141A257A201521151113140F14101111
8C754637B8919AA4924A417BC18C2F5A547946547BB05E3A31AAB8A78FAA988490A999AC
8789575A5B495E587A9DC1E7D8D0CFB8B7C2DDB4D6C1CDDED7DDDACDE3E5DB82999DAAAB
C5C8D6C8BDAD9B7E585344371F66271D1F1F151E08E53218261E1414161315161015
78534335E47A9B898ABCD0B3B084623F2B353A2637813D311BA5A98A91A8A386989CA0AE
B58DBE866B535054875E8C87B2D5CFC5CDC1C8C8D5D3CDDDC7DBDFDFE1CFD47D8C808D92
8A878E84898992A0B3B5B9C57EAABE9CA6A68F8A979A738A7383737F8A88A49C6967
7D664438F37EB589B8B1979DB8A0B36537BF4E35487A3A2B225869608278889598A896BC
CBA9CDB4C0B88A62775773787F7D96C4AFB7CED6CAD6C7E1CCE2E5E3DEDFE77E75626F69
787E83858E8C8787868484797E808286828E90948F98A7907F75797E7F7F7C778069
3E42643CE378AA98BBA6AE91775E8F652FC669DFBF934E292542524C5E5769618F906EA3
9B9BAAAE7C419D869D8172857663978A92B0C4C4E1D6ACD3DEDBE0DCDAD8E777767D8187
848282776F64636667726E72817A8687858781898A7E7F7D7C68777A7B827A7E7871
3C34763CE376B28DB8A5A89B93487E473B5A427E726960302B616A6E5B61677E888F6491
838D86655733336579848F808D69997C7F90AEC9DAE0AFCADBE2DFDFDDDDDE7B81848784
8589827E8380807D7673656462595B5E63616867695B6797575459504F55495A5E60
40407842DE7396A3BCADAB8456396082563836525B42555036817B73606B7F7F91937788
998A916A552F2F3843444E769F84969A8489847BBBD4C7D6DEE0D8E5DBE0C87A8A85827F
888D8384766468696768616A6B6C73697575707A7D73817F6B71707871777B7A7E75
43407D41DF7D8199BCB8AA696C507582866E3951795283637B766B694B7070847B856D86
7F73564686554F4D4247434C485592858A856254A485A9DBDBD9DFDAD6E5D57A80868383
7F808080753B483C3048444A30493822475922414255613C844D51493E6956566664
6565966BCCD3C4A8B9BCB29875655370737B64353F6A736B8054667771757A6B687E8484
8D894A75C58CB0E3C7A370534B4754578D9C7168867F6965A4D5D7E1E4E0DF7F82828181
7F7F7F7C64667D5F48685E387131351B3518461531303C26756F633164786A774E40
A3A59EA0D8D6DDD5C5B7A693A79185878D888A7836657D6F793F585B6E6781717285895B
86904387BE7CACD5E1E6D6A4675E4B54435C8F7675786E656069D4DAE7E4DD7E877E7D80
827F7E755768876D793139215B29581E2311471B3D3B673479A66A313A6A66484F58
9BA3A79DD6D9DCCBBCB29860A69E9FA6A9A1A5887082A89DA68CAB879D7F929283A4876B
777E4D67A577BDDDC9D6E0D6D9D8B4774F342F858C7F727965525268C9E5E2827F7E7D86
7E827F7B3B75873A872F5E372F352D23272132254F5F713283516427656E6A636573
A1A09A9CCFDCD5CDC5B79844B0AAA4A6A59FA83EBB80A5A0A5AD999EA381A4A4A4AA9DA5
A19760938E6BC4D8D5C5DDD6D6CDDDDFC87E687B47508C705254524F5655B7877E827E7E
7E807E7A667C7E777E633482686779534F735E5C65527F4481399E322F666C576167
99A3A1A8CDDDD7C2BEABAA48A4A89F9E979DB05C80A4A3969E8C44A79A9E9F9EA3A9969D
999D81597F5EC6DECDCEDED7D7DFD0E3CA817962423E2D60947F4D4C4A4F48633E3F5472
737F797E7E75706F7D76777F6760656A75527779797B7E757D757E6268686B757370
9A9D9DA6C8D0C9C9BFAEB547A4A1969A9CA3A3AE7CA1A3A09F8D5F9B9DAA9EA39EA8979A
A4A6A4368268D0DAD6D6D7D7D2DAD5DDC97F7A63483A2D5E767E934F4653488534222228
303A4A596766667A7F7D817D827F837B763C767E7C777A7E807E7B6D646A70717767
9C949C9ACBE0CEC9BDAAAC549FA38AA0A39F65BE78A3A6A0ADA890899AA49DAAA3A59791
A09F9A7B8593DDDAD6CFD3D9E5D5DCDCC37C706947362A617569697E7D5446822F222226
1D1F1B201D2034272C3139474A525A566155616268655C53595154924D3931292219
9997979CC3CCD0C4C0A7A398A39D82A09DA33AB354A8A1A6A3A0A56A879E8DA39AA8908A
A4A6A19C7D84A1C5D5CDD5DEDBDFDDE3C07E6F55423D265C736D6D5E305AA0753125241E
1F1E2121157A251E211E1B1C221C1F23221E1F1A1B181B1D1B1A211388361E1D1A19
9C9798A3CEDFCCC0B9AE9F8DA1A07E95A0B091A659A4A0A4868FA456A79F81A09DAE9089
999D9D988C5BAC9182DCC9CFDCDDE0E0B8826E514A352161736A6A602D253597827C7258
3D37272686372123231F221E1C1E1D1E1F1C25231D1F1D1B1C182521A84F201A1E1B
979A979CCEDACBC7BBACA0859F9C8684A496A6A46E9C9FAA88819F978986979B9CAA8D8C
A49AA6A1856CB19D87DEB0BFD5DCDFDCB47E726B48502463716C655A2925367376687C89
9B7C6B55764C4338362F2423201C21211D2327541B1F24201D1F1F1F12932D272D31
8D979797CBCED0C2C1AA9D769E99858F9C3F96957CA0A6A0A5A0A3AD4FA1A19E93A6928D
9DA3A1988480A87187E5A6A7DBE2D6DAA8807672409C2F66736C63582D253B736B71795C
5447B4AA7C75A3B1AC989F979B9C93783931619B736F7C838550935C769775909C99
989E9897C8D5D7C1ADA89C53A4A07AA1AF66A18C9A97A881A0A39C9C96A08CA6A1A48C98
A4A19F958175988081CF8AA4DEDEDFE397767B6C66464F6C6E6E65572A2444717279737B
846C709E8188A1A3987E99A09CBDA49581439E8F9F8096AE8979A86D4829B395937D
9C8A9793C8D6CDCEB7A69E68A6A180A197A6B3799C95A898859E9EA6AB87A7939FA49698
A8A39B98806A8A7E9CC666ADDCDCD5D6877F6E6F572B7A6B696D6C5229244E6D6961647C
7A69659AB59B919DAE7E9AA7B2BB98B675A89B91A35AA3A3969743A34814897E928D
969A989AC7D2DFC5B1A39869989F82AB68A3BC6AA69EA3A391A19C99A65BA37B9AA7899F
A39C898E77577370A5D972ACDDDBD3D78E81766F5427766E65636B54262257725B3B3476
7B665FC8BDA09C9BB37899989DA6A38270AEAF99B95C9AA39BA43A7D41139E3B7F6F
97998997C1D6CAABB1A49978959C8CA5499FBD69A1A3A3899F98A4A09A849C8F96AE959D
92A85C2D87527258AED6DEBDD7DADBD3867F756B4E3B717568696D4F2421626C4B31306C
7E6164959A939D939F7F968C94989C989894949DA5558C87ABA94C3B571E9A699785
969C9D8CBECFB5B7A7A58F858E9F9868909ED887A49986869B9DA59A9FAB9AA097A691A0
8A9D76599357C886B3D9D5D5B9DCE0C37F84726D3D377671666C5F4628246060482D2C79
7B5E63979D9B8F9BAC8F9884AF979B8282949096A369976E9AB04D4A5B23A37E9791
94979A8FADB7AFA6A89C948F9AA39D31A79CC7959B9F8E9EA19FA5A09D9F639C8A98969D
8E8492C48D50DBE2DBDCE0DBD8B9DEC48085777344406C76636B603B2721616B50312D7A
7E62589799939797AC988798A49C846D859692929B87917A8C895F71512288817B86
969A9F9E7DA8A59B9B9C8988A1A5B46A9D9CA9A59A9BA1A1A59FA19DA39D76A4898D9BA8
9490A5D7844CBDD9DEDDD8DBD4DFD0C38080786B404A667563625838292657656B627277
7F66539194989A98979594969EA3547B8F99939497928AB4B97160A3872BAAABA7AD
A49A9C72594F4E4F4A4B4B3798A750A9978EA7A39EA08C9FA4A19C9C9F9CB4A49C9B829F
9A9CAAE585A57B96C8D9CFDBC8D8CDC1838573683D515E6F635F4F3124244F646C737B6F
7E7C4A9496909797629A9895979C8180968A969680A39A9CAB475EA66C3E9298958E
A19AA08787716C645F51534342B53AA6A19AAB9C9E8F869C9A9AA09A9D9AA3819FA692A6
83A39CCDD2E6DEA88A99B9D0DBD6DCAD897F696A3C57436F595241252421215661636969
71765097949498899C969491997794969A86968C8D93939B9B76549E573F9C908C95
A19A878CA08D7A7370624B978398659E95A09C9D9C83A59D9E97A09B999C9F4AAB989794
9298999EB6A69CADBDA99794B9CCDCB57F7B7266373F556A4B483A232522205E68627368
6570539893997F8E9793959260A8729D968A978F9593989D495F59A3561C9B929590
989C8E8998897B73645E489B8E7393889AA88E999E989C9C979A9B999D9A987585939A87
9BA0A5A6A88AA49B9AA9CA958E9AC2B0817E6E663937676B433F34302D37234A55505657
4A734A9597979193959A9796397E949C9A8D988D969196984B5677B04A2991978E8F
939789899B848069645643979056768791B47C8D8A839898A0999A959D959AA038809798
929D96949FADB9A0A4AFEBE3CEAA7F86706B696C257A7B5E7768353A75A1347170787B7B
7F7565988A97989491969497918CA5A39C979694928E8D9D65529AB14A3494928A94
8E99988D9A807F615B4E4398887F9B9F9BC78A9D908D95978E91978E9A9B9EA479AD5496
94A49F9F9E9EA9D8A0AADDE1D9D0B59D806B60623851B94B55553036899B4F3B4444544A
5054568F969A8E91969B948F9C979D8798A09691968F9CA85A5096B6443A93938E93
919797999A9A936B585864989D9C989797C8989F859D9D99979F9B948C939B9CAA893F9D
9E8D9F9EA6ACA1AFB19ACDA9E0C89DA9EFC5E98339C3AA8F8A3A9349B3CA6E416D92999A
DFAE83979B979996877E9D979A92947B98998E8F96989280604D90B2433B8E938C95
9493999998918C48325E7E99989D9C9B98B7A09C8C999C99949A989C9A9D8E96A7479C97
98949A9F9BA6A994D697C1CDE5CA9D98BCB9EC7B57E9D6D5A83FF23795BFA86532A79CA8
AF9C7B9996949998509A96929792937C90908E919393944A62628EC2374291948D8E
9CA196A397839343205C82989C98A09498A89C9584979A959A979B9B969DA4999343829A
988E9C989EA6A096C1A39D9E93989E9A96D9E07F71E3DADD5415E1401DDBCFAB4435999A
928A9C899E979D619A9D83958F96A1A87E8E879894989832657E909D3A4F92958D9B
A69BA0A8A4848D8E6863819B969D9D8F9B949B81939797989A979DA19E959D9187618FA3
9E8D9A9C9B98939399A59A999F7E9C9DAADAE07579D8D0E74476DA3C3ECCCD9E86438E97
91979A829F9F669E9693959B92939FAE639395979591A43D7094958E3B4F908E8F8F
A0A1A5A5A96E5C5244445AA19DA5A1859A84997F9C96A3979C9D9D8C9597869898929B9C
9B859C9099A388999E9CBD95969AA19D96F4E5658FBDC69723CCB93964BCC0A9A6862889
969997A950398496958994969D999898505A959898989E338882989A4242937E8E96
ABA9A3A19DA38D80765E7C9FABA09881A978A082989897989A9997999A959F9C9D8E9EA3
9C81A696989D7E98A19DC6989B99AB949BF6F253A5B8C45764ACA73C689D948E9EA0447E
9A969782463CA099948A978F989398A0543B929693938522786EA4963C2A9890927F
9FA49FA3A0A8B0A19268B2899DA48E88BE769B95949C98999A9D978E9FA89BA3A69AA6A1
9F91A4AB96A481A69B9B9AB5929B989F9AD5E547F5E6ED46F7E6DE3ECCE5E7A79C9C8631
9D97967A9068998E859298929096969E94769193888F43138557A9943E237F988793
99A5A69C9EA3AA9794ADA3A3949F8A68BC7C86A39D98A39A9798A4A1A4A3AAA7A59DABAD
AAA1ACABACA978A5A8A0A4C5AAA3A4A9A0A74756E9E5C421F0DFE540F3ECE2969A92A056
3F9E7A94A9A49595958E9095928F94989D94958D919A3C2A9D61B1943D3E946D8D8A
9E979DA7A79DA06CACA6A1A3989D867C9A8C6D9E9BA0A09297A0A39CA89EA6A9A99DACAE
A9B0A5A9B49F7DB2A5A9A9A5B7AFA6A8A8A483C4CACE5470D5D5D637F8E7A59C928E979B
39559A9D959A7B8C959291909598929E9D9D968D95AE36A99776AA863D4794939294
9BA1A4A39EA4A38693A59D9C9B9485B7A094819FA0A09C9D9CA4A5A0A8A6A6ABAA97A0AB
B4B4ACADACAD71ABB3B1A8ACC5AEA6AAA7B1ADA99DB137A9919B9C36AF998C9495938E9C
5A4B989393989E85938F95939292939C9C90948C929B32AB9F8396943E5383938E9B
A8A49F9EA4A39E9AA89E9C979684799FAE859EA3989BA09E969AA0A7A8AC989DA197A4AB
AEB0A8A8ACAB68ACA8A7AFA9A7CEA4A4A8ACA6A4AB86219797967A36AE989697989A8FA0
807158949494987993988E968D93909DA5888D979B651D6C9296989C3A469892918C
ACA69DA4A5A99B9C9C9B94939597659FA8679892A59B9B9A959C9E9DA4A6959EA692A9A0
ABABB5AAACAA6BAEA6A7B8A7ACACA9A3A59EACACBE444B9E98956731A8938F9396969B76
969E3B979596809590968F88979A9296AB8C8696A6370F808F9C9D853957968D8E93
A7A5B0ACADAC9C8A9C97979491978D759A42899D9C9DA79495949C9E9994939A925FB3A4
A4A7AD9EA4AA6B9CA49EA9A7ABA8CCA4A3A3A6AA7D3AAC939A9C622BA184979899978A93
A09A732B9F9B909D77959297938A948EB692A8988F3D659A8E9985953858908D948F
9C9CA3A9A7A0A08D9892979092928F35464F929A9DA49B9793909D979F93969BA85BB0A9
ADABA7A4ACA76AB1ACA7ABA1A1A3ACAAABADA9AC431EA1989D9E602FA4809893949781A0
9EA49B3A948A979798878E958D8A9192AB9A96936833AC93939E87863C648A928E92
93A48E939D8E898E918D979594909448378498949A8F99939A909495929F9498AFB7AFA9
AEB199B2ADB066B38EA09FA39BA5A9B8A8A3AEB6422F9F98949C53278D84969898799799
A19A9A7A2D9A8C9B9B84929696909389B4A09C9548299B91958A79963964888AAB8F
8C8C8D9195918C8D8F918997978F936A679B959997959796939B949C97949898A0ACBBA8
B2B49DC5BCB77EA69A989A9BA798A7ADADA0A58621A4969A969A4A299A8798977A87989A
989A959D71299C9897907F958E928E8FABA49B98431D82958EB873933C5C86979197
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{106, 106},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001Z0000JQ000`40O003h00OJVNK001ZIi/006YW
V`00JVNK0002Ii/00dicF]IF]@02G_L015JeF]IF]DYB0dic00A244HaCW=F]@=BU008CW=BU3g_@Q1:
DTicBU92409>L`0<AS5:DT8@AS5>LdYBAS5:DUJeBU9>LdYB0THa019>Le:DDYA>LekgDYA>LdHaCW=F
]DHaBU9BU48@?NlicT8@AS43BU801DicDY@e[DHa@Q000TYB00E244HaAS5244YB0096<@03@Q16<DHa
00924003BU9>Lcg_008icP8YBP0:;F/mkdYBBU96<DYB@Q16<DYBAS44Ii/0009WV`03E[EJeU:D00AJ
eP06HaQJeUJeE[EJeUJe0U:D00=F]E:DDY@00UJe00AJeUJeE[EF]@9BU0=>L`04DYA>Le:DDY@2BU80
1E:DE[EBU3g_@Q000UJe0Sg_00E:DTicBU9F]DYB00=F]@06AS5F]D8@AS5:DTic1TYB0Tic00I:DTic
CW=6<DicAS42CW<01e:DAS5BU4icDYA:DU:D009>L`9:DP07DYA>LdicDYA>LdYBAS401DYB00=>LdYB
BU8016NK0002Ii/00dicDYAF]@03DY@00d8@CW=:DP03DY@00e[FCW=>L`03DY@035[FE[EJeU:DCW=B
U4icAS5>Le:DCW=F]@9BU008CW=:DTHa@Q1:DTicDYA:DP9BU096<@06@Q16<DHaBU96<DYB14ic1DYB
00U244YB@Q0mkdYB@Q1:DSg_@Q000THa14YB0THa00=>LdHaBU800T8@00I6<DYBCW=:DTHaCW<2AS40
14icAS5244YB0THa148@00=:DVNKIi/00VNK0002Ii/00eJeF]IF]@03E[D01E[FE[EJeU:DF]H00ekg
00MF]EkgE[ENmeJeG_M>L`02BU801U[FDYAF]E[FE[EJeP9Nm`09F]IF]E[FDYAF]DicDYA:DT8@009B
U09>L`05DYAF]E:DBU96<@03?Nl2BU803D8@AS4mkcF]?Nm6<DYBAS5:DTHaCW=:DT8@0096<@06CW<m
kcg_?NlicSF]0Sg_00=6<D8@?Nl00Sg_00I243g_?NlmkdHa@Q02?Nl01D8@AS4mkdHaCW<00THa0Sg_
00<aS6NKIi/00VNK0002Ii/00e:DCW=6<@02CW<02TYBDYAJeV<HF]I>Le[F@Q0]JcF]0Sg_00DicTic
BU9:DTHa00924003AS5>LdYB009BU005CW=BU4YBDYA:DP02DY@2E[D015:DCW=F]Dic0UJe01=JeUJe
E[EF]E[FE[DmkdYBE[E>Lcg_BU8mkdYB?Nm243g_@Q1:DP02@Q000dHa@Q16<@02?Nl2AS4013F]<H`m
kdHa0Sg_00@icSg_>Lhe[@<icP03?NlicTHa00E240=6<@04@Q0mkcg_@Q04Ii/0009WV`A6<@0B@Q1:
DU:DCW=F]EkgF]HmkcW>;F/Q21cW6<H@Q5:DCW=:DTHa0SF]00PaS3F]>LhicS6<>Lhe[C6<0Sg_00Y2
45:D;F/YBRe[<H`YBS6<;F/mk`8e[@8mk`03@Q0icS6<008aS004=JdaS2e[;F/2<H`013W><H`]Jbe[
0b480Re[00@YBR48:DXQ208]J`03=Je244YB0096<@06@Q1>Ld8@BU8]Jdic0THa0T8@00]6<DYBAS5:
DTHaBU8mkdHa@Q16<D8@00AWV`000VNK00@mkd8@BU9:DP8mk`09@Q16<DHaBU8e[C6<@Q1:DRU:008Q
20087>M:DTYBCW=:DSW>BU924096<@03?Nle[BDY00@Q20046<HLia2448@25:D03A245:D8@RU:7>LH
aQBU48@LiaS69BTHaQ24008Li`<HaP<@Q0@<H`8@Q08DY@D@Q00=5:DLib488@PU:AcW<H`YBSF]:DX]
JbDY:DX00SW>00DaS3g_CW=6<D8@0096<@924003AS5246NK00=WV`000VNK0S6<00I243g_?Nm6<DYB
@Q02?Nl2>Lh02EJeDYA6<Cg_@Q0U:DYB@Q0Li`026<H024icBU8mkdHa@Q0U:AS65:D448@936<248@0
0`aS248<H`0@36<00`Q236<<H`0236<00a2436<@Q00348@02QBU48@@Q0aS5:DLiaS65:DHaQ240PQ2
10aS0QBU00H@Q1S65:DU:BU:?Nl4Ii/0009WV`8e[@04@Q0mkd8@@Q03AS4024YBCW=6<Cg_>Li244Ha
CW<2?Nl014Ha@Q0HaQ241DHa00@icSF]<H`U:@8Li`8HaP045:D@Q0aS48@436<?24800`aS2488@P02
248236<01A2436<@Q12436<00Q240QBU00<HaQBU6<H00QBU00T@Q1cW8@PHaQBU8@P@Q0Q236<00`Q2
00D]JbU:48@Q22U:008@Q00336=WVfNK009WV`000VNK0RU:0Sg_00<aS3g_@Q000Sg_00E:DTicCW=>
LdHa008e[@07<Ha6<C6<>LiF]AS648@00d8@0THa00HmkcF]:DXLiaBU48@436<A24800`@Q2488@P04
24800`aS248<H`0236<448@35:D26<H00a247>L<H`0236<01Q245:D@Q1245:D@Q0<<H`0:48@<Hb48
7>LYBSg_7>LHaQ2436<4Ii/0009WV`048@PU:CW>;F/3:DX04C6<=JdaS3g_@Q1>LdHaDYAF]DicBU8Y
BSW>HaPHaQ24AS400T8@00Tmkd8@@Q0mkc6<7>LDYA2436<070Q200<<Ha2436<00PaS00@@Q1BU48@D
Y@<HaP087>LHaQS648@8@PaS24848@P8@P095:DLiaBU=JdYBQcW48@<Ha2400AWV`000VNK00DU:AS6
AS4YBQcW00HHaP0A5:D]JbDY9BTmkdYBE[E241S6HaPLiaBU<H`YBRe[9BTaS002?Nl00c6<6<H@Q003
36<324800`aS2488@P0724801@@Q2488@PQ212401PQ200<<H`Q224800`aS00@@Q0aS5:D@Q08DY@@H
aP075:DHaPaS36<@Q0Q212400PQ200<YBPQ224800PQ200X48DYBAS52436<8@PaS0aS24848@AWV`00
0VNK00P@Q0aSCW<Q21BU36<@Q0Q21@aS00XHaQBU48@@Q1S65:D<Hf<H7>LDY@8@Q08<H`<icP049BTD
Y@aS36<224801`aS248<H`Q236<8@P@Q01@8@PD<H`0348@DYA2400@HaP047>LDYA245:D248@01PaS
12448@Q2BU8@Q0@8@P06;F/LicF]6<HLi`aS0PQ200<48FNKIi/00VNK0002Ii/236<00eJe7>L@Q007
36<01@Q2;F/DY@aS48@00PaS00@8@VLi8@PHaP8@Q08<H`05BU8e[BDY7>L@Q00936<B24800`aS2488
@P02248236<00a2436<@Q0035:D56<H00aBU48@@Q00248@01@Q21248@THa36<00PQ20PaS0SW>00@a
S2DY7>L<H`<8@PAWV`000VNK0PQ200=BU1cW48@01PaS0PQ200<YBQ2436<00`aS00D8@VLi8@PHaQBU
008<H`0648@YBQS67>LHaQBU0a241`aS4`Q20`aS00@8@PaS36<<H`8@Q0045:DHaQS65:D36<H00a24
5:DDY@025:D212400`Q2=Jd<H`0424802Dic@Q0]JdicDY@]J`aS24848@04Ii/0009WV`0436<8@U:D
7>L336<010Q236<8@PaS0PQ200=241BU36<010aS00][FR486<H@Q0aS=Jd]JbU:8@PLiaS600L@Q0<<
H`0548@<H`aS248<H`02248010aS48@@Q0aS0`Q200<<H`Q224800PQ21`aS0Q2400<DYA245:D00aS6
00@LiaS66<HHaP8DY@0648@48@00248]J`Q20`@Q00P8@THaAS5244YBCW<]J`aS0PQ216NK0002Ii/0
1`aS249>LaS636<8@PaS00<8@P8<H`05249241S648@8@P0336<026Li9BTHaQ247>LicRe[7>L26<H3
5:D26<H348@011BU48@@Q1BU0Q2400<<Ha2436<00PaS00<8@Q2448@03@Q200@<Ha2448@DY@8@Q08D
Y@036<HDYAS6008HaP@DY@848@0336<Q20Q200<48@03248mkaS6008mk`03=JdLi`Q200848@AWV`00
0VNK0PQ200=>LaS648@00PaS0`Q20PaS00@8@SW>8@P@Q0@<H`07IcTU:AS65:E242e[8@P01AS600<D
YAS66<H01AS60QBU112400<<Ha2436<00`aS00H8@PaS248<H`Q236<2248336<3248236<348@01aBU
6<HDYAS65:D@Q1S600<DY@0548@48@@Q36<Li`04248020@Q=JdLicg_;F/YBQS624821244Ii/0009W
V`8<H`03CW<HaPaS008<H`<8@P<<H`0348@LiaS600@<H`05JeXU:ABU:DXmk`029BT26<H97>L36<H0
0a245:D@Q00448@336<00a2436<<H`0336<00`Q236<<H`0336<01@Q236<<H`Q248@00aBU00<HaQBU
5:D00aS60aBU00@@Q1BU1248@P8HaP8<H`88@P07;F/e[CW>;F/<HcF]6<H00`@Q16NK0002Ii/011S6
5:E:DQcW0PaS00<@Q1BU48@0112400<8@S6<6<H010aS00MW>BDY6<HU:C6<8@PYBP029BT28@P012DY
:DXQ22480acW11S600HDY@aS48@DYA245:D448@636<00a2436<<H`0836<01A245:DDYAS65:D00aS6
00DDYA2448@DYAS60088@P8HaP<<H`08001JeRe[>LhHaPQ2>Lh@Q0<48@AWV`000VNK00HYBRDYAS4m
kacW36<27>L021S67>LDYAS65:D<Hbe[9BT248@236<01VLi:DXHaQS6;F/U:@DYBP039BT]Jc6<008e
[@03:DXQ2248008Li`046<H<H`aS36<348@01ABU48@@Q1245:D01A240`aS0Q240PaS00<@Q0aS36<0
0PaS00<@Q1BU6<H011S600T<Ha2448@HaQ2424848AS648@00`aS00P0036<6<HLiaBU9BTYBPQ20P@Q
00<8@VNKIi/00VNK0002Ii/01SF]<Ha242e[5:DLi`8YBP8Q208Li`056<HDYD8@<H`@Q0025:D02124
HaPYBQcW6<H]JbU:;F/2:DX28@P29BT28@P02RU:=JdaS2U:9BTLiaS648@<Ha240PaS0Q240aBU00<@
Q1BU48@00a2410aS0Q240`aS0a2400<<Ha246<H00aS600XDY@aS48@@Q1BU6<H@Q0@Q6<H@Q088@P08
36<8@S6<8@PLiaS6:DXLi`88@P03124<HfNK00=WV`000VNK00HmkcF]=JdHaQ24<H`2=Jd2<H`48@P0
13g_7>LLiaS60QBU00MF]BU:7>LLibDY<H`]J`03:DX00be[:DX]J`02:DX012489BTQ22U:0Re[00<U
:A2448@00`aS00<@Q0aS48@01a240`aS0Q2410aS0Q2400<DYA2436<00PaS00DDYAS65:DHaPQ2008<
H`045:D@Q12412426<H324800`@Q;F/Q20027>L01S6<6<H8@P@Q48@DY@AWV`000VNK00I_NfLi=JdD
YBDY@Q02?Nl01cF]>Lhe[CF]<H`]Jcg_008Q20097>LHaSg_E[D]JacW6<HQ23F]008aS009=JdaS3F]
<H`icSF]>Lh]JbU:008U:@<Q20035:DHaQ2400H@Q0035:D@Q12400D@Q08<H`8@Q00436<@Q12436<4
48@236<01@Q26<HDYAS636<00P@Q0PQ20P@Q00<HaQBU24800PQ200/48C6<:DXe[BDY=JdDY@Q236<Q
212400AWV`000VNK00a[FVLi;F/YBV<HJeYW>E:DAS4mkd8@>Lh2=Jd03CW>=Jd]JbDYBU9F]E[F:DXL
iaS67>LicSg_008icP<mk`<icP8e[@8]J`07:DXU:AcW8@PHaQ245:D01A2400D<Ha2448@@Q1BU00D@
Q08<H`L@Q00836<DYA2448@<HaBU6<H<H`848@0624848@@Q124U:A2410@Q00X]Jb48>Lhmkb4848@<
HbDY6<H<H`AWV`000VNK00AcW5Je?NmBU09W>@0:HaQW>F<HJeYW>FmkJeYNmdic@Q02CW<016]JKg]S
62e[0QcW00<aS3g_AS400T8@0THa148@0cg_0SW>00@U:BU:9BTHaP8Li`036<HDYAS6008@Q00336<@
Q1BU008@Q0055:D@Q12448@<H`0648@00`aS48@<H`0336<01A2436<<HaS636<010Q200@48@Q2=Jd<
H`<48@08248@Q36<<H`]JaBU48@<H`8Li`03:DYWVfNK009WV`000VNK00YW>E:DAS5JeVLiJeYcW6]J
Kg]cW09_N`06IcUS66]JF]I_Nf<H0Vmk00UW>Be[8@PLie[FAS5:DSW>?Nl014Ha00A243g_AS56<@8m
k`06>LhYBT8@?NlYBRDY0R4800TLiaBU48@DYA2436<DYAS648@011BU0Q2400<<Ha2448@00Q2400H<
Ha2448@<Ha2436<248@236<224801`aS2488@PQ2125240aS00<48@0;9BT<H`@QAS4e[ABU6<HicRe[
5:DLi`04Ii/0009WV`05HaQBU4HaE[ENm`02IcT016<HKg]_Nf]J0Vmk00UcW6mkLiaBU6mkLia_NeJe
:DX00QS600=W>EJeAS400S6<0TYB0THa0TYB0dHa0T8@00Lmke:DAS5BU4Ha;F/Q20027>L01AS65:DD
YA2436<00QBU00<HaQBU5:D01A2400<<Ha2448@01A2410aS1PQ20P@Q00=240aS12400P@Q00/Li`@Q
12448D8@6<H@Q3g_>LhLia2400AWV`000VNK018U:DYB;F/mkdYBCW=F]EkgHaQW>F]JIcU_Nf]JKg]c
W3W>Li`2Kg/02ekg:DXLiaBUIcU[FT8@<H`]Je[FCW<01TYB0THa14YB00AF]E[FAS4aS08Q20087>LD
YABU6<HDY@aS6<HLi`<DY@046<HDYA2448@236<648@00`aS48@@Q00236<424801@aS12448C6<2480
0P@Q00<002U:24800P@Q00LQ21S636=6<Cg_>LhDY@04Ii/0009WV`05CW<YBQS6>Li6<@03BU805Tic
AS5BU5:DBU9Nmf<HJeXmkf]JLia[FUkg;F/U:AS6JeYS65:DBU8mkdic0Ukg00=BU4icCW<014YB00AB
U5JeF]I:DP9F]@05DYAF]DHa?NlU:@027>L26<H0112436<DYAS61ABU3A2400<<H`Q212401@Q200@L
i`Q212448@88@PD48@05>Li6<DHa;F/@Q004Ii/0009WV`0648@aS1BU7>L]JcW>0T8@0dYB01=>Lb48
7>LYBQcW<Ha[FWNmJeY_Ncg_=JdLifmkHaQF]Cg_HaQW>@02Kg/01FLiLiaW>F<HDY@00TYB00MF]E[F
E[EF]E:DE[EBU002BU80148@9BTLib480QS600DLia2436<@Q1S6008DY@8HaP045:D@Q0aS5:D448@0
0`aS48@<H`0248@010aS48@8@P@Q10Q200<DY@Q212400P@Q00<8@P@Q12400`@Q00D004Ha@Q0HaQ24
00AWV`000VNK00D<HaS636<<Ha24008DY@8HaP0E7>LU:BU:7>Le[C6<=Je:DSF]>LhaS5Je>Lhe[BU:
LiaW>F<HE[E>Lf]J009cW004Kg]W>EkgLi`2JeX00eJeF]INm`04E[D025:DCW=>LdYB>LhaS2487>L3
5:D348@00aBU6<HDY@045:D<48@236<224800`@Q2488@P02124224800`aS24848@0312401@Q2=Je6
<ABU48@016NK0002Ii/01@aS7>L<H`aS48@01ABU1AS600hicT8@@Q0aS3g_DY@aS2U:6<INmf]JIcUN
me[F1G>L00QS66mkJeY_NekgHaQNme[F15Je00MBU4icCW=>Lcg_<H`Li`025:D00aS65:D@Q00248@0
0aS65:DHaP025:D248@011BU48@@Q1BU0Q2400<<Ha2436<00a2410Q20P@Q00H8@RDY6<H@Q2482483
1242248010@QDY@DYAcW16NK0002Ii/01PaS6<H<H`aS5:D@Q0HDY@8HaP0?8@PicSF]>Lh]Jd8@BU8U
:B4848AF]C6<?Nm>Lekg00AcW09_N`04Mke_Nf<HHaP2IcT03f]JF]IBU5JeF]INmeJeCW=F]E:DBU8]
Jd8@:DXDY@026<H45:D26<H01QBU6<HDYABU48@DY@<@Q00636<@Q12436<@Q0aS1PQ20QBU00@YBRDY
9BT8@P<48@0624848@@Q36<8@QcW16NK0002Ii/011246<H8@PaS0Q240aBU00`HaQBU48@DYAS6@Q0e
[Be[8@PicT8@E[D27>L02QBU:DXYBR489BTLicg_AS5S66mk0g>L00=g_F]JKg/00Vmk0VLi0Vmk00=J
eUJeF]H00UJe00=NmeJe?Nl00cF]0QS600<DYAS66<H00QBU0aS600<DYAS65:D021240PaS00`@Q0aS
7>L@Q1BU48@<HaBU:DXicT8@48@224800`0012448@041244Ii/0009WV`8DY@8<H`055:D@Q1BU5:DH
aP035:D03QS65:Dmkc6<9BU:DRe[<HaJeRDY5:D@Q248:DX27>L02ABU:DXQ21cW:DXmkeJeJeYcW003
Kg/00g>LJeY_N`03JeX036mkJeYW>E[FE[E>LdHa?Nm2436<?NlQ208Li`036<HDYA24008@Q0055:DH
aQBU6<HDY@0648@536<00aS68@P@Q005248012DY7>L8@PQ21`@Q16NK0002Ii/00acW48@<H`025:D0
1A245:DHaQBU6<H00QBU0QS600PicRe[:DXe[BDY;F]BU2480QBU11S600XDYAS67>LHaR48;F/YBSg_
F]IcW09_N`0CJeY_NfmkKg][FVLiG_MS66LiF]IF]DYBAS5F]DYB@Q0]JcW>6<H00QcW00@HaQBU48@@
Q0@DY@0448@DYA245:D548@236<011247>LLi`aS0`Q20P@Q00@]Jb4836<8@P848@<8@P848@AWV`00
0VNK00DaS2DY;F/aS2e[008mk`03<H`LiaS6008DY@036<Ig_Fmk009_N`0GDYAS64YBBU8Q21S65:DH
aQBU48@HaQBU48@DYAS67>LYBRDY>Li6<Cg_E[E[FP02Li`01VmkLiacW6mkIcU[FP9W>@04F]IS64ic
?Nl2DY@01T8@=JdmkacW5:DHaP@DY@0348@DYABU008@Q0<DY@0348@<Ha2400<<H`0=48@LiaBU248<
H`Q21248@P@Q8@PLi`aS24800P@Q00<8@P@Q24800PQ216NK0002Ii/01dYB@Q0]JaS648@]JaS6008Q
20049BTQ22DY9BT2G_L03F<HIcUW>F<HBU9S65:DCW=W>Dic7>LHaQBU008@Q0<DY@06;F/YBTHaBU9B
U48@0Sg_00ANmg>LLiacW0=[FP0>IcU_NfLiHaQcW6<HCW=245:D?NlaS2e[9BTLi`8HaP8DY@0548@D
YABU5:D@Q0025:D348@436<00acW8@PDY@0236<424826<H624800`@Q24848@04Ii/0009WV`8YBP09
6<H@Q2DY6<HLiaS65:DLiaS6008Li`9JeP0>HaQNmfmk@Q1F]Ekg7>L@Q5:D;F/aS5kg;F/DY@8@Q00>
5:D@Q36<=Je>LdYBCW=F]DHaCW=243g_G_McW09_N`03Lia_NfLi00=_N`0:JeYW>Fmk@Q0aS48@;F/U
:CF];F/36<H011BU48@@Q1240QBU00<@Q1BU5:D00a240PaS0R4800D@Q0Q22488@P@Q0088@P035:DQ
20Q200P8@PAWV`000VNK00TU:CW>6<HYBQS636<@Q1cW6<H00acW00<mke[FG_L00V<H00]cW2U:G_M:
DQS648@DYA24125_NbU:008@Q08Li`065:DaS36<E[E:DUJe0TYB00MBU5Je>LhaS4HaIcUcW004Kg/0
2EJeKg][FVLiKg]W>DHaBU8icP02;F/0136<8@PDYAS60QBU0a2400DDYA245:DDYA2400<<H`04248H
aRDY48@4248010aS248HaQS62@Q216NK0002Ii/021BU8@PU:Be[5:D<HbU:8@P26<H00acW6<IJeP02
IcT3JeX02Sg_G_Le[AS648@<Ha2436<LiaBU0PaS00TLid8@E[E>Ld8@E[E:DUJeF]H00TYB00QBU4ic
BU8aS3W>?NmBU6mk0g>L0V<H16mk00E6<Cg_AS4e[BU:008Q208HaP8Li`8Q20DLi`038@PLiaS6008H
aP04;F/@Q0Q236<4248011S648@DYA240PaS00<8@PaS24800PQ216NK0002Ii/00acW8@P]J`026<H0
0b48:DXLi`036<H01DYBDYANme[FIcT00V<H01EW>FmkDY@YBQBU48@<Ha2436<@Q1BU48@8@W>L=Je_
Ng>LF]I[FV<HBU800Sg_00iJeUJeCW=>Le:DCW=6<D8@?Nm244icHaQcW6mk0W>L00aNmfmkKg][FVLi
?NlYBRe[:DY6<E:DCW<5DY@064icBU96<DHa@Q0icSF]9BT]Ja2436=:DPaS248HaRDY:DXaS2e[<H`U
:BU:6<HLi`8HaPAWV`000VNK0RDY0R4800XLibDY8@PLiaS67>L]Je:DF]INm`9S6008Kg]W>FLiIcUB
U2485:D@Q0@<H`095:D<H`aSE[DU:F]JLia[FVmk009cW004IcU2448@E[D2BU802dicDYAF]DYBAS5:
DTHaCW=JeVLiMkd00W>L00UF]FLiKg]_NfLi?NlU:D8@CW<00U:D00I>LeJeDYA>Le:DE[D3DY@3BU80
3C6<@Q0HaPaSKg/<HaS68@PYBSF]>Lhe[CW>008mk`048@PicSF]=Jd4Ii/0009WV`04;F/LiacW8@P2
7>L012486<HDYAS60U:D00AJeU:DHaQ>L`9S609W>@04@Q0HaQS648@436<02QS648@@Q5:D<Ha[FVmk
JeYS66Li0fmk00E[FT8@BU9>LdYB00ABU00@BU9>Ld8@CW=243F]HaQg_G_NJeY>LeJeG_MW>DHaCW<2
DY@2CW<3DY@2CW<015JeDYAF]E:D0Tic0THa00@mkbDYKg/U:@924004AS5244YBAS42BU82AS400cg_
@Q16<@04Ii/0009WV`8e[@0H<H`YBRU:=Jd]Jc6<48A244YBDYAJeUkgIcUBU6mkBU9W>F<H@Q0HaQcW
5:D<Ha240PaS00DHaQ2448Aoobe[009cW004HaQ_NfmkJeX2Li`00fmkJeYS6003BU82CW<04DYBCW=6
<DicAS4mkc6<:DXaS6mkLiag_FmkAS4mkdicDY@00UJe0Tic15Je00A>LeJeDYABU0E>L`03DY@]Jekg
009>L`03BU9>Ldic00I>L`03BU9>Ldic00AWV`000VNK0SF]01PmkbU::DXe[C6<BU8DYCF];F/YBSW>
@Q1>LeJeHaQW>G>LAS5241S68@PLi`aS5:D236<01AS648@@Q5Je<H`00W>L00AW>DicG_M_N`=[FPAW
>@0>G_M6<DHaBU9BU4HaDYA>LdHaBU8aS2U:9BTicP=g_@06<Ha:DUJeDYAF]E[F0UJe00EJeU:DDYAB
U5Je00=BU003CW=BU5:D009>L`03@Q1:DTic009:DP03CW=BU4ic00=BU005BU9>LdYBCW=BU004Ii/0
009WV`8aS00:>Lh]Jc6<?NlU:CF]:DX]JbU:8@P37>L03R48<Ha:DUkg:DXicQS6:DXQ21245:D<Ha24
7>L248@03CF]@Q1[FV]JLia[FU:DKg]cW7NmJeYW>F]J009W>@9_N`07CW<mkdYBAS5>LdHa@Q000Tic
00XmkbU:9BT]JdYBKg/YBTicDYAJePAF]@0?F]IF]E[FDYAF]E:DE[E>Le:DE[E>LeJeBU9F]DYB00=>
L`05DYA>Le:DCW=BU002CW<014YBCW=>Ldic16NK0002Ii/032U:9BTmkc6<?Nle[AcW<H`YBRDY8@PL
i`DHaP0C7>LicSg_;F/HaRe[:DXDYAS648@48BDY6<HDYBDYKg]cW6mkLi`00Vmk0g>L00E_Nf]JHaQN
mf]J009cW006Kg]S65:D?Nm:DTHa0T8@00aJeTHa@Q1242U:8@PaS2e[<H`mkdYBDY@7E[D2DY@00eJe
DYABU002E[D01DicF]I244Ha@Q000THa0Tic00=BU4icDY@00Tic00ABU4icCW=:DPAWV`000VNK00<m
kdYB>Lh00Sg_00Y241cW?Nle[DHaCW=6<D8@<H`Q208Li`0A6<HDYE:D:DXLicF]>LhHaQcW5:D@Q2DY
6<HDYCg_Kg]cW002Kg/017>LMkecW6mk0V]J00=W>F]JJeX00fLi00U_Ne:DF]I>Lf<H@Q0icSF]CW<0
0T8@00E6<Be[8@P]JbDY008DY@8@Q0076<HLibU:=JdmkdYBDY@00UJe15:D00UF]DicBU9JeTHa@Q1:
DTicDY@00dic00EBU4icDYA>LdYB009>L`AWV`000VNK00Q6<Cg_BU9:DSg_CW<HaRU:0QcW00@]JacW
<Ha6<@8icP0D@Q0]Jbe[AS4YBSF]@Q0aS1S68@P@Q1BU=JdLi`aSMke_NgNmLia_N`9cW09_N`AW>@06
HaQ[FVmkKg][FTHa0W>L00U_Ng>LIcUF]CW>=Je244YB>Lh00S6<00<Q212448@00Q2400D<Ha2436<<
Ha24008<H`8DY@0>7>LYBSF]>Lhmkdic7>M6<DYB?Nm6<DicDYA:DP=BU09>L`04@Q1:DT8@?Nl4Ii/0
009WV`0<AS5:DTicBU96<DYB8@QNmbDY7>L]JacW0Sg_00HHaQBU:DXHaSF]G_L2=Jd03SW><H`U:BU:
6<HLifmk:DX@Q5kgKg]cW7NmJeX4Kg/3JeX016<HJeYS66]J0Vmk00=246]JLi`00Vmk0V]J00YNmcg_
<H`e[C6<9BTe[B485:D@Q0T<H`0448@<H`aS48@236<01a2436<LiaS6=JdQ21S6008Li`068@PLiaS6
7>LHaQBU10aS16NK0002Ii/3BU82CW<05248F]IS64YB:DY244Ha@Q0]JcW>9BTLiaBU48@Lib486<HY
BT8@BU82<H`021S6E[De[AcW6<IF]E:DHaP2Kg/01F]JLia_NekgKg/00VLi00=cW6<HIcT00Vmk00/e
[E[FMke[FVLiKg]W>G>LKg]2436<008U:@03>LhLia24008@Q08<H`0348@<Ha2400D<H`88@P<<H`08
@Q0@Q0aS0012412436<@Q0T8@P03125WVfNK009WV`000VNK01DmkdHaCW=6<CF]7>MJeUJe=JeBU2e[
?NlicS6<=JdHaPaS7>LaS2487>L00QS600PLiaS6DY@]JbU:>Lh]JaS60RDY00DaS2DY>Li:DV]J009_
N`9[FP0:E[EJeV]JLiaW>FmkJeYW>F<HAS42Kg/036LiHaQcW6mkLia_NeJe?Nl]Jb486<H@Q0P<H`03
248<H`Q200D8@P066<H<H`aS36<mkacW0PaS00H@Q0Q2248<H`Q212442484Ii/0009WV`0SAS5F]Ekg
8@PLie:D;F]6<BU:=JdicT8@?NmF]AcW5:D<HaS67>LDYB48:DXmkcW>?Nm:DU:DBU96<D8@?NlaS248
9BTYBP039BT033W>DYA_Ng>LKg]Nme[FHaQW>EkgIcUS609_N`9[FPAW>@9cW004Kg]cW6Li;F/27>L0
0aS65:D@Q00248@636<2248010aS248aS0aS0PQ200H<H`Q2G_LHaPQ236<324801PaS2488@PQ21248
@PAWV`000VNK00Q:DTHa:DXHaSg_DYANmbU:0QcW00He[EJeE[DHaRDY7>L38@P01c6<BU9:DSW>:DY:
DU[F009F]@07?Nm:DSW>F]I>LcW>9BT00RU:00PicSF]:DX]Jcg_Lia_Nf]J0VLi00IJeUJeHaQS67>L
HaP2Kg/2JeX00fmkIcUcW003Li`2DY@02UJeCW=NmeJeAS52436<9BTLiaS61@aS0QBU10Q200H<Ha24
?Nl@Q0Q248@324800`@Q2488@P022484Ii/0009WV`0UAS4icR486<INmdYBCW=BU2DY8@Pmkf<HAS4D
YBe[:DXmkb48:DXmke[F;F/LiaS6E[EBU4HaE[E>Ld8@BU9F]DicE[E244Ha:DX00Re[01DU:Be[;F]>
Lf<HLia_Nf]JIcUNme[FHaQ_Ne[FJeYS66LiKg][FVmkIcT00W>L00A_Nd8@CW=>L`9F]@0>HaQW>F]J
IcUNmeJeCW<]JbU:8@PHaPaS<H`@Q0<<H`07248<H`@QLi`HaPaS48@020Q216NK0002Ii/02Sg_:DXQ
21S6Li`mkdicAS5Nmf]J0U[F0192436<7>LDYAS67>L@Q1S6@Q0LiaS636=BU4HaBU9F]E:D@Q02CW<0
1e:DE[EJeTHaG_M243F]00<YBP09;F]6<D8@F]I[FVLiHaQW>F<H009W>@9[FP03IcU_Nf<H009_N`0<
LiaW>F]J?Nm6<D8@AS5:DTHa@Q16<D8@0THa00U:DU[FF]INmf<H?NmF]EkgCW<00U:D0THa00A:DTic
>Li6<@8icP07?Nm6<DHaDYA>LcF]<H`016NK0002Ii/08QcW8@PaS1cWLi`mkeJeCW=BU5JeBU8icRe[
AS4aS1BUHaPe[FmkG_M:DRDY5:D@Q2489BT]JbU:=JdaS4HaBU8e[E:D0Tic0UJe00<mkb48CW<00T8@
00PicT8@>LhaS4YBAS5:DU[F0V<H00IcW6]JE[E[FVmkLi`3Kg/017>L>LhicSg_1D8@00<icSF]<H`0
0S6<00DicSF]>Li243g_00E24096<@@mk`04>Lhmkcg_@Q03?Nl00cW>Ii]WV`02Ii/0009WV`0K7>LH
aSW>7>McW3W>F]I6<E:DE[E>LdYB9BTmkb487>L]Jb48?NlicSF]<H`HaQBU<H`e[Be[008aS00:?Nm6
<DHa<Ha:DT8@AS52436<:DX26<H01c6<@Q16<D8@AS4e[Dic008mk`07BU9F]FLiKg]cW5JeIcT01Vmk
00<mkd8@@Q000d8@00=6<D8@?Nl00d8@0SW>0c6<0be[0S6<00`e[C6<=Jd]Jc6<BU8YBRe[:DXU:BU:
9BT2;F/00c6<Ii]WV`02Ii/0009WV`8Q2006?NlQ26mk>Li:DU:D0UJe00]242U:7>LaS48@:DXLiaS6
:DX]Jb48008YBP056<I243W><H`e[@02?Nl2BU801cW>AS5>LdHaBU8e[BU:008DY@0@7>LQ22DY>Li>
Ld8@BU9>Ld8@AS5243g_G_M[FV<HJeX2Kg/01W>LKg]cW6Li?Nm6<@924003?Nm6<DHa00924006>Lha
S3F]<H`e[C6<0cF]00<icSF]>Lh00SW>0Sg_00HicT8@?Nle[CW>?Nl2>Lh3?Nl00cW>Ii]WV`02Ii/0
009WV`8Q2008?NlQ26mk?Nm244icG_MF]@8e[@0?:DXicT8@@Q0e[AcW:DXmkbU:@Q0aS3g_>Lhe[BDY
008icP0;@Q0mkd8@=Je243g_>LhYBR48@Q0YBP029BT28@P29BT02RU:BU9244Ha@Q0aS2U:DYA245Je
16mk00A[FW>LJeXmk`A2400B?Nm2448@@Q0icQcW9BTHaRDY8@PU:AS69BTLia248@P]Ja240R4800PY
BS6<7>M242U:9BTLicF]0RU:0S6<16NK0002Ii/2<H`034YB=JeW>F]JHaQF]EkgF]I>LcW><H`YBP8i
cP09?NlaS1S67>Le[CW>=Je242U:00<icP04?Nle[CF]?Nl2@Q02AS402bDY>LiS64HaF]IcW5:D>LhY
BRDY8@P00RU:00Y6<Dic>Lhe[D8@?Nle[C6<DYA[FP=cW003Kg/mkd8@00=240@mk`8aS006?NlU:CF]
;F/LicW>0QS600D<HaS636<Q20Q2008HaP0;7>L@Q3W><H`HaS6<?Nle[CW>9BTQ2004Ii/0009WV`9B
U00;CW=BU6mkJeY_Nf]JF]IBU4YBDYA:DP02@Q03AS402cg_6<HaS3g_=JdmkacW;F/e[C6<@Q000SW>
01E244Ha;F]244YB8@Q245kg?NmF]F]JLia[FU:D<H`]JbDY:DXQ22e[AS400SW>00HmkcF]<H`aS6]J
Kg/2Li`00fmk?Nm24002?Nl2@Q02?Nl043W>:DXe[D8@?NlHaQcW48@]JaBU;F/<Ha24248Q20aS0QcW
00PaS1S6?Nle[AS67>Le[C6<0RDY00<]JfNKIi/00VNK0002Ii/01DicDYABU4icJeX00Vmk00EW>E[F
CW<aS5:D009>L`0>DYAF]E:DDYA6<CW>@Q1F]DicDYA6<D8@CW<mk`9:DP0?@Q1BU48@=JdicSg_9BTa
S5:D>LiNmfmkJeYcW6]J009_N`0>F]HicRDY6<HDYD8@AS4mkcW>?NlaS2U:=JeW>@9cW007@Q0mkcg_
?Nm243g_@Q000Sg_00XLicW>@Q1241BU;F/HaQBU6<HDY@<@Q00:6<H@Q2DY;F/icQS6@Q0aS124<H`2
=Jd2<H`00cW>Ii]WV`02Ii/0009WV`9BU09>L`09IcU_Nf]JIcUJeTic8@QJeUJe00=BU005CW=F]AcW
G_M24003DY@015JeCW=BU48@0e:D00eF]DicDYABU4YB<Ha:DTHa=JeS66mkHaQ_N`02JeX02fLiKg]_
NfLi?Nle[Cg_8@PYBTHa>Lh00RU:00LU:BU::DYJeT8@?Nm24003?Nl0148@?Nlmkc6<0cg_00TaS1S6
@Q0e[C6<?NlYBRDY>Lh00Re[00/aS2U:?NlQ248@CW<HaQBU<H`e[BU:008aS0AWV`000VNK00Q>Le:D
DYAF]FLiKg][FV<H0UJe00<U:E:DE[D00Tic00E:DTicF]H]Jd8@009BU004BU9>LdHaDY@4CW<00e:D
E[E:DP03CW<0248@;F/mkbe[HaQ_NfLiKg/2JeX036mkJeYcW6Li@Q0mkc6<8@PLiaBU<Ha:DPDU:@04
<H`LiacW:DX2>Lh4?Nl2>Lh013g_>LhicSg_0c6<00@e[CW>:DXicP@mk`04>Lhmkcg_<H`3=Jd3>Lh4
Ii/0009WV`=>L`03DYAW>F]J009W>@03E[EJeR48009BU003BU9>Ldic009BU003E[Dmke:D009BU00;
CW=6<DicCW=F]DicDYA>LeJeBU9>L`03DY@01AS6@Q0e[F]JKg/016]J00A_Nf]JKg]W>@8mk`0=<H`U
:AcW5:D]JcW>BU8U:B48:DXU:D8@6<H00Q2400DDYAS67>LU:Be[00<aS08mk`09@Q0mkd8@?Nm243g_
>LhLicW>008mk`08>Lhmkcg_@Q0mkcF]<H`e[@<icP03<HaWVfNK009WV`000VNK00I>LdYBCW=>LfLi
Li`2IcT2E[D012U:CW=BU4Ha0U:D00A>Lc6<G_Lmk`=BU09F]@05AS5>Le:DCW=F]@02DY@2BU801U:D
CW=>Lcg_@Q1:DP9_N`05IcU[FVmkLia[FP02Kg/02V<H?NlicSF]8@PHaQBU<H`icSF]0Sg_00@YBR48
@Q0DY@<@Q0<<H`0>48@<Ha246<HDYAS67>LQ22DY:DX]JbU:<H`YBP8aS00==JdaS2e[:DX]JbU:BU8U
:AcW6<HDYA2436<016NK0002Ii/024icBU9:DTicHaQW>F]JHaP2DY@02dicDYA>Ld8@DYA>Le:D7>MJ
eRU:E[D015:D00Te[D8@CW=6<E:DCW=F]DYBAS400e:D00M>Lcg_@Q1BU6<HIcU[FP04Kg/04G>LHaPm
kcF]:DXQ21cW48@]JcW>=Jd]JaS6;F]BU3W>6<H00Q240`aS0Q2400@8@Sg_48@@Q0<<H`0348@<H`aS
008@Q0P<H`0448@8@THa6<H436<4Ii/0009WV`0;CW=:DTicDYAW>FmkIcUS65JeCW=6<@02DY@01cg_
BU9BU5[FBU9BU2e[00=BU00;@Q16<BU:DYA>Ld8@DYA>LeJeBU96<@04CW<01DHa;F]F]DYBKg/00VLi
0Vmk0W>L01ENmd8@=JdYBRDY6<H@Q36<>Lhe[C6<5:D@Q1S6BU9243g_>Lh]JacW6<H00Q2400I241S6
48@@Q0aS48@736<248@536<248@00eJe9BT@Q00336<4Ii/0009WV`0;BU9>LdYBCW=W>FmkIcUS65Je
DYA24002CW<2@Q001E:DBU9BU5:D=Jd00Tic00MF]DHa@Q1:DTHa@Q1:DP02CW<01EJeAS56<E:DCW<0
0U:D00Q243F]F]I>LfmkF]INmf]J0fmk00iJeSg_>Lhe[BDY:DX@Q36<>LhaS2e[5:D@Q1S60SW>00`e
[Cg_AS5>Lcg_=JdYBSW>9BTQ21S65:D348@010aS48@@Q0aS0Q2400<YBPaS36<00Q240`aS00H8@TYB
5:D@Q1BU6<H4Ii/0009WV`04AS5:DTYBBU82IcT01F]JHaQF]Dic>Lh00Tic00A244HaCW<Li`9:DP03
?NmBU5:D00=BU00:E[DU:E:DDYA>LdYBDYA:DTHaCW<2DY@01Tic@Q1245Je>LicW09BU006Kg]cW6]J
Kg]F]D8@0SW>01LQ24ic5:DaS3W><H`]JaBU48@LicW>=JdicSg_;F/YBR48F]IF]Cg_>LiBU5Je009>
L`0<BU9>LdicBU8mkacW6<HaS4ic>Lhe[Cg_0T8@00I:DRe[>Li:DSW>BU82CW<4Ii/0009WV`=>L`08
BU9W>F]JJeYS65JeCW<YBP9BU00:?NmBU5Je<HaBU4HaCW=:DUJe@Q02DY@014icBU9BU4Ha0e:D00e6
<DicDYABU4icBU9243W>CW=246LiAS5BU003Kg/027>LBU8icSg_=JdaS2489BT2=Jd01C6<:DXDYA24
8@P00SW>020mkcW>?Nm243F]>Li>Ld8@AS5BU4ic?Nm>Le:DCW=Nme:DBU924248CW=6<Dic@Q1:DUJe
AS5F]CF]9BTDYE[F0TYB00<mkfNKIi/00VNK0002Ii/01TicAS5:DTYBIcU[FP9W>@03DYA>LcF]009B
U00G@Q1BU4YBDYAJeSg_CW=:DUJeCW=244icDYAF]D8@DYA:DTicDYA:DTicE[EBU002CW<01d8@=Je6
<Cg_HaPaS5Je009_N`9[FP07@Q0mkcF]=JdYBQBU?Nl00cF]00@YBQBU48@U:@8e[@8aS08mk`0D=Jda
S4icF]I>LdYBE[DmkdicDYAJeUkgCW=JeSW>E[E>LdYBDY@]J`9BU009BU8Q25:D9BT8@THa?Nm:DTHa
00AWV`000VNK01=:DTicAS5:DV<HJeYW>EJeDYA>Lcg_BU9>LdHaDY@U:DicG_Le[@03DY@064HaCW=>
Le:DCW=244icAS5:DUJeBU9>LdYBE[D]JaBU@Q0YBSW>;F][FVmkG_M[FP9_N`07JeY243g_>Lhe[BDY
7>L00SW>0SF]00HU:A2448@aS3F]9BT26<H01cF]?NlaS36<BU9>LdYB009>L`04?Nm:DTHaBU84CW<2
BU803TicDY@YBTHa@Q1F]BDY7>LYBPaSCW<e[DYB@Q04Ii/0009WV`06BU9>LdicAS5NmfLi0U[F00AB
U4Ha@Q16<@9>L`07=Je:DTicKg]245:DCW<00T8@14ic011F]DicDYA:DU:DBU9BU4HaCW<icRe[BU8Y
BVLi@Q1_N`9[FP0:G_M_Ng>LHaPmkd8@>Lhe[AcW6<H2>Lh01C6<;F/Q21BU48@00S6<00<U:ABU5:D0
0Sg_00<]Jc6<BU800Tic00Q6<EJeAS5>Ld8@E[E:DTic0T8@0dYB00EBU3F]BU8e[Dic008U:@04;F/@
Q5:D?Nl2BU84Ii/0009WV`9:DP0ACW=6<EJeF]IF]E:DCW=:DTHaCW=BU4ic6<IBU4icHaQ:DP02CW<0
1DHaCW=BU4icDY@00Tic010aS4icAS5>LdYBCW=6<D8@BU9S64Ha:DY_Ng>LKg]cW09_N`03G_M_Nf<H
0092408icP8Q2005=JdicS6<<H`Li`0248@01C6<=JdYBQS65:D00Sg_00@aS2e[BU9>L`9:DP09E[E>
Ld8@CW=BU4ic@Q0e[D8@00=:DP0=CW=244YB?Nm6<Be[>LhYBQ24AS5243g_@Q0016NK0002Ii/01dYB
CW=>Ldic?NmF]E:D009>L`96<@9BU006F]He[DicCW=F]E:D0Tic0e:D0Tic00ABU4ic>LiBU096<@09
CW=F]DYBBU9BU6]J@Q0U:Ekg00A_N`04JeY_Nf]JHaP2@Q003cg_=JdQ22DY<H`icS6<;F/LiaBU48@Y
BS6<=JdaS002>Lh00cg_<H`YBP02BU82CW<4BU801TicDY@YBSg_AS5>L`A:DP07AS5JeUkg<HaBU48@
5:D00UJe00=BU5JeIi/00fNK0002Ii/01E:DCW=>LcW>;F/01BDY00LHaTicDY@YBUJeBU96<@02DY@0
14icDYA6<Dic0U:D0dic00EJeU:DCW=>Ld8@00=>L`0=E[EcW48@DY@mkdYBKg]W>FmkIcU_NfLiHaP0
0T8@00TicSF]7>LYBRe[=JdaS2DY6<H00Q2400HU:C6<=JdicSg_=Jd2?Nl00bDYBU9:DP02BU800c6<
CW=>L`02BU801Dic@Q1244YBAS400TYB00e245:DCW=>LeJe;F]BU3F]7>M:DTicBU96<@04Ii/0009W
V`03DYA>Le:D00924003>Lhe[C6<008YBP8Q2006F]HLie:DDYA>LeJe0Tic00=6<D8@CW<01Dic01MB
U48@CW=BU4YBDYA245:DCW=W>F]JLia_NeJeCW=Nmf]JKg][FVmkE[E6<Cg_008e[@067>LYBR48=Jd]
Jb48112400<YBS6<<H`00SF]0SW>00@YBTYBBU9:DP9>L`=:DP07CW<icTYBBU9>Ld8@BU800THa0TYB
0Tic00PYBTic:DXLidicBU96<DYB16NK0002Ii/04E:DCW=244HaDYA6<Cg_>LhaS2DYBU9244ic<Ha>
LdYBDY@00dic00E245:DCW=>LdYB00A>L`039BUF]Dic00=:DP=>L`03F]IBU4ic009F]@9:DP04G_MW
>FmkF]H2?Nl023W><H`HaQcW:DXe[BDY7>L448@032e[=JdaS3W>=JdaS3W>:DY>LdYBCW<mk`A:DP08
<HaF]CW>CW=:DTHaBU96<@9:DP9>L`069BT]Je:D:DX<Hdic0dYB16NK0002Ii/2CW<2AS403TicAS4m
kcW>;F/U:DicAS4icTYBAS5>LeJeAS45CW<00dYBCW=>L`03CW<01SW>@Q1:DTic@Q1>L`=BU00DE[E6
<E:DCW=F]FLiBU96<DicHaQJeT8@?Nle[C6<7>LHaS6<=JdQ208HaP045:DHaQ249BT4:DX00bDY>LhU
:@05BU801TicBU9:DQcW?Nm:DP9>L`03AS5>LdHa00=:DP06CW<U:CW>F]HU:ABU0TYB0THa16NK0002
Ii/2BU82AS401Tic@Q1243F]:DXQ209:DP06:DXicT8@BU9JeSg_0THa011244icCW=BU4icBU9>LdYB
CW=BU1cW@Q1:DTicBU9>L`9:DP0<CW=F]EkgDYAF]GNmLiaW>EJe?Nm243W>0cF]00X@Q3g_?Nl]JcW>
6<HLicW>DY@HaP8icP@mk`06>LhaS4icAS5:DTic1DYB00A6<E:DDYA>L`A:DP96<@06CW<aS4icF]HU
:AS60TYB00=6<DYBIi/00fNK0002Ii/03DHaCW=>LdHaCW=243g_<H`U:B48CW=6<Cg_00=>L`05HaQ6
<DicBU96<@02BU800dHaBU96<@03CW<015:D?NmF]BU:0TYB00=BU4icCW<00Tic00]F]FmkE[E_Ng>L
Kg][FU[FCW=243F]008aS0057>LYBUkg9BTYBP026<H014HaCW<U:AcW0R4800<YBRDY:DX00RU:00i6
<DYBCW=6<DYBCW=:DTHaCW=:DTic@Q1>Le:D0dYB00Q6<DicE[D]JdYBF]HQ21cW0TYB00=6<DYBIi/0
0fNK0002Ii/3BU83CW<014YB=Jd]Jc6<14ic0TYB00AW>DicCW=240=>L`05BU9>LdYBAS5:DP02CW<0
0eJeAS4Li`02CW<05DHaCW=>Le:DE[EBU5JeCW=W>EJeLiaW>DicE[Eg_F<HMke241cWHaQF]@02AS40
24YB9BUJeVLi=JdQ23F]BU82CW<036mkE[E244YBCW=:DTic@Q0mkdicBU9>L`9:DP03?Nm>Ldic0096
<@0=BU9>LdYB@Q0aS4YBF]HQ21cWAS5:DTHaBU8016NK0002Ii/2BU83CW<01DYBAS4U:Be[?Nl01Tic
00AJeU:DCW=6<@=>L`03BU9>Ldic009>L`08AS5:DU:D8@Q>LdYBCW=:DP=>L`08DYAF]DYBBU9S66Li
LiaW>@9>L`9Nm`04MkdmkbU:Mkd2JeX02UJeNmhHaTYBG_MF]C6<6<IBU4ic0UJe00=>Lcg_CW<00TYB
00=>LbU:CW<01DYB00@mkdYBBU96<@A:DP069BTaS4HaHaPHaR480TYB0THa16NK0002Ii/02TicDYA:
DU:DBU9244YB8@P]Jd8@0dic01ABU4YBCW=F]DicBU9244YBCW=:DTicBU9>LdYBCW=BU4icBU8Q248@
0Tic00A6<DicCW=>L`9BU005BU9BU4icCW=:DP03CW<01TYBKg]cW3g_>LicW09_N`09:DYcW24836=_
NfLiE[DQ21S6009>L`06BU96<DicAS5>LdYB0dic00]244YBAS5:DU:DE[DmkdHa@Q1>LdYB009>L`06
6<HaS4YBCW<LibDY0TYB00=6<DicIi/00fNK0002Ii/01U:DCW=BU5JeDYA24096<@04<Ha244icBU82
CW<01DHaCW=:DTic@Q000dYB0Tic00a:DU:DCW=:DTicBU92436<AS5BU4icAS44CW<2BU801E:DCW=>
Ldic?Nl00Tic00YF]FmkLi`icSg_Kg][FW>L8@Q_N`8Li`9W>@04CW=24248AS43BU801Dic@Q1>Ldic
<H`00dYB00I>LdYBBU9>LeJe<H`5BU8025:D7>LicTYBAS4LibDYBU83AS44Ii/0009WV`ABU008E[De
[Be[:DXQ22e[DYA>L`9BU009@Q1>Ld8@CW<mkdicBU9BU4YB009>L`04AS5:DTYB@Q02CW<02TYBCW=>
Ldic@Q1>LdYBCW=BU4Ha0Tic029NmdYBBU9>Le:DCW=:DW_NLi`aS4HaG_MS64YB48ANmacW<HaNmf<H
E[EBU48@5:E6<DYBCW=:DUJe:DXLid8@BU96<@9:DPA>L`03:DX]JdYB00A>L`046<I6<DicCW<28@P0
14YB?Nm6<DYB16NK0002Ii/2E[D2DY@03dicDYA6<D8@;F/mkdicE[EBU4ic@Q1F]Cg_DYA24002CW<0
0dYBCW=>L`03CW<02dYBCW=>LdicAS5>Le:DCW=245:DBU800Tic00@mkdicCW=S60=>L`03E[E:DTic
009kgP0A:DYBU5kgHaPYBS6<DY@LicF]CW=:DTHaCW=BU248?Nm>L`02BU803T8@8@PLie:DBU96<DYB
AS5>LdYBCW=BU2U:7>L4BU80248@48@mke:DBU8LiaBUCW<2BU800cg_Ii]WV`02Ii/0009WV`03CW=B
U4ic009BU008E[EJeU:D=JeJeTHaCW=BU096<@03G_LicTic009:DPE>L`04AS5>LeJeCW<2DY@02dic
DYABU4icBU9BU5JeBU9BU48@DY@00Tic00=JeTYBCW<00dic00][FW>L8@QkgW>LMkdQ27_NKg/LifLi
009cW006DYA>Ldic@Q0HaTic0TYB00LmkdYB=Je>Ld8@BU9>L`04BU800dicBU8icP02BU82AS402b48
249245JeBU8Lia24?Nm>Ld8@BU8016NK0002Ii/00dicBU9>L`02DY@00dicDY@e[@03DY@2CW<01D8@
?Nm>LdHa=Jd00Tic0U:D0TYB00EBU4icE[E>Le:D009F]@0;CW=F]EJeE[EJeU:DE[EJeTic?NmJeP02
E[D015:DF]IF]E:D0UJe00=BU48@HaP00VLi00lYBSW>JeY[FQS6OomcW5:DCW=:DTHaBU9>LacW:DX0
0Tic00=:DTic?Nl01DYB00=>LdYBCW<00Tic00]:DTHaBU9F]AS6E[E:DUJe@Q0Lib4800A:DPAWV`00
0VNK00E>Le:DDYABU4ic009BU003@Q1BU4ic009>L`07BU9245[FDYA:DT8@CW<00U:D0dic0U:D00=F
]E:DDY@00UJe00=:DU:DE[D00U[F15Je00<icUJeF]H00UJe00IS65JeDYAF]E:DF]H2E[D02TicF]HH
aUJeBU9>LaS6E[E>LdHa0dYB00E6<Dic;F/U:Dic009:DP9>L`03BU96<DYB00A:DP9>L`9:DP06AS5:
DTic6<IF]Dic0TYB00HLibU:@Q1:DTHaCW<4Ii/0009WV`04E[EBU4icCW<2DY@4CW<2BU801d8@?Nm>
LeJe@Q1>Le:D009>L`05DYA>LdYBCW=BU002E[D2CW<00e:DBU9BU002E[D00e[FE[EF]@02E[D00cF]
E[EBU002E[D015:DIcUBU5:D0UJe0U:D00=F]D8@48@00TYB00@mkaS6E[E>L`9:DP9>L`05AS5BU48@
>Lh]J`03BU801TicBU9>LdHaBU96<@9:DP0:CW=BU4HaAS5:DTic<H`<HcF]BU82CW<00acW8@Q>L`02
BU800dHaIi]WV`02Ii/0009WV`03E[EBU4ic009BU004E[E>LdicCW<4BU801c6<CW=F]C6<CW=:DU:D
00=>L`03BU9>Ldic009BU006BU9>Le:DBU9F]E:D0UJe00UJeUJeE[EF]CF]E[EBU5kgDY@00eJe0U:D
00I>LeJeE[ENmb489BT2CW<01C6<6<IF]DYBAS400dYB00E>LcW>BU9>LacW00=:DP03@Q1:DTYB0096
<@0BBU9>LdYBBU9F]DHa@Q1:DU:D6<H48D8@AS5>Ld8@7>LYBTYB0THa00=:DVNKIi/00VNK0002Ii/2
DY@01U[FE[EF]EJeCW=6<@E:DP05AS4icTic8@Q6<@03CW<015:DBU9:DTYB0Tic0TYB00A>LdYB;F]J
eP=BU005E[E>Le:DE[De[@02CW<01EJeDYAF]EJeIcT015:D00]F]Cg_7>MF]DYBCW<aS1BUDYA244YB
009>L`07BU96<DYBDYA>LcW>5:D00Tic00=:DSW>BU800dYB01A6<DYBAS5JeTYBE[E>LdHa7>LaS4ic
AS5244YB7>L]JdYBAS5:DTHa16NK0002Ii/2CW<00e:DE[EBU002DY@00dHaBU9:DP03BU801DHa6<HQ
22DYBU800Tic00=BU4icBU800dYB00M>LdYBBU9>LeJe;F]JeP03E[D2DY@01UJeDY@e[E[FDYAF]@=B
U0IF]@038@P<He:D009>L`05<H`DYE:D@Q1>L`03BU803D8@DYA>Le:DCW<LidYBAS5:DTic@Q16<DYB
0096<@9:DP07E[E>LdYBBU8e[AS6E[D00TYB0T8@00HLic6<AS5:DTHaBU84Ii/0009WV`05BU9BU4Ha
BU9>L`04AS45BU802RDY6<I244icBU9>LdHaCW=:DTic0dYB00E>LdYBCW=F]E[F00=F]@0DF]I>Le[F
E[EJeS6<F]IBU4icDYA>Le:DE[ENmeJeDYAF]E[F8@PDY@9>L`06BU8YBQ24AS5244YB0Tic00@mkdYB
CW=BU09>L`06?NlDYDicAS5>Ld8@1DYB00Q6<E[FDYA>LdYB9BTDYDic0TYB00@mkdYB7>LaS096<@03
E[E6<FNK00=WV`000VNK0dHa0dYB0THa00]:DTHaBU9:DTHaBU8e[C6<CW=:DTic00E:DP9>L`9:DP9>
L`04DYAF]EkgE[D2F]H01TicHaQNme[F?NmBU0=>L`03DYA>Le:D009F]@9BU00>@Q0@Q5:DBU9>LdYB
9BTDYDic@Q1>LdYB?Nm240A>L`05BU9>LcW>5:E>L`02BU8013g_BU96<DYB0THa00iF]E:DCW=>Lb48
36=244YBAS4icTYB7>L]Jd8@0dYB16NK001ZIi/006YWV`00\
\>"],
  ImageRangeCache->{{{0, 105}, {105, 0}} -> {-2.65055, -2.65055, 1.06001, \
1.06001}}]
}, Open  ]],

Cell["\<\
Then, an image processing, such as Threshold[] is applied on this \
ImageData.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{\({W, H} = 
        Dimensions[RawImageData[G]];\), "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{"Show", "[", 
        RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
          
          StyleBox[\(RegionProcessing[Threshold[#1, 127, {0, 255}] &, G, 
              Rectangle[{1, 1}, {H, W}]]\),
            FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", "]"}], 
        "]"}], ";"}]}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
%%ImageSize: 106 106 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00898473 0.0238095 0.00898473 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.02381 .02381 translate
.95238 .95238 scale
106 string
106 106 8 [106 0 0 106 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  Mimage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P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{106, 106},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40001Z0000JQ000`40O003h00OJVNK001ZIi/006YW
V`00JVNK0002Ii/EOol00`00Oomoo`0ROol00`00Oomoo`05Ool00`00Oomoo`0@Ool60009Ool4Ii/0
009WVb]oo`03001oogoo03Ioo`AWV`000VNK?Woo00D007ooOomoo`00025oo`AWV`000VNK<Goo0P00
1Goo0`002goo1`000Woo00<007ooOol00Woo00@007ooOomoo`80009oo`03001oogoo009oo`<000AW
V`000VNK3Goo0`0000=oo`00Ool07goo00D007ooOomoo`0000Eoo`03001oogoo00Uoo`80009oo`<0
0003Ool0000000D000Yoo`800003OomWVfNK009WV`000VNK37oo1P0017oo2`000goo300000=oo`00
0000600027oo00<007ooOol03Woo16NK0002Ii/:Ool20002Ool40004Ool00`00Oomoo`02Oolo000:
Ool4Ii/0009WV`800003Ool0000000Aoo`<000=oo`03001oo`00009oo`<000EoodP000AWV`000VNK
0P0000=oo`00Ool01goo0P0017oo00<007ooOol00P001GooB00016NK0002Ii/60002Ool00`00Oomo
o`03Ool3000017oo000007oo0P001WooA`0016NK0002Ii/:0008Ool200000goo00000007Oom60004
Ii/0009WV`800003Ool0000000/000=oo`03001oo`0000L00003Ool0000003/000=oo`H000AWV`00
0VNK0P0000=oo`0000003`0000=oo`000000?P0000=oo`000000300016NK0002Ii/200000goo0000
000?00000goo0000000400000goo0000000g00000goo0000000<0004Ii/0009WV`800003Ool00000
00l00003Ool0000004@0009oo`03001oogoo00@000AWV`000VNK0P0000=oo`000000200000=oo`00
0000100000=oo`000000A0001Goo100016NK0002Ii/200000goo0000000800000goo000000040000
0goo0000001400000goo000000060004Ii/0009WV`800003Ool0000000l00005Ool00000001oo`1;
0004Ii/0009WV`800003Ool0000000l00003Ool0000004d000AWV`000VNK0P0000=oo`0000003`00
00=oo`000000@`0000=oo`0000001`0016NK0002Ii/200000goo0000000?00000goo0000001=0004
Ii/0009WV`800003Ool0000000T00003Ool0000000<00003Ool0000004d000AWV`000VNK00=oo`00
00002`0000=oo`0000000`0000=oo`000000C@0016NK0002Ii/2Ool300000goo0000000;0002Oom?
0004Ii/0009WV`9oo`8000Eoo`03001oo`0000H000=oodl000AWV`000VNK0Woo00<007ooOol047oo
1@002goo?`0016NK0002Ii/EOol30003Ool20009Ool300000goo0000000X00000goo000000050000
0goo000000050004Ii/0009WVaEoo`<000=oo`80011oobL00003Ool0000000H00003Ool0000000@0
00AWV`000VNK00@007oo000000aoo`03001oogoo009oo`<000=oo`80015ooc80009oo`8000AWV`00
0VNK00Aoo`00000000aoo`03001oogoo009oo`<001Qooc00009oo`8000AWV`000VNK1P001Woo1@00
17oo0`006Goo;`000Woo0P0016NK0002Ii/@00001Goo00000000Ool00`006Goo<00000=oo`000000
16NK0002Ii/@0002Ool2000017oo000000006Woo;`0000=oo`00000016NK0002Ii/C0002Ool30000
0goo0000000IOol00`00Ool0000]0004Ii/0009WV`h00003Ool000000080009oo`T001IoobD00003
Ool0000000P000AWV`000VNK4@0000Aoo`00001oo``001Ioo`03001oo`0002X000AWV`000VNK5000
00=oo`00000030005Goo;00016NK0002Ii/500000goo000000050008Ool?00000goo001oo`0BOol0
0`00Ool0000X0004Ii/0009WV`9oo`/000aoo`X000Aoo`80011oob/000AWV`000VNK3@0027oo0P00
00Aoo`00001oo`P000Moo`03001oogoo00aoo`03001oo`0002P000AWV`000VNK30001Woo00<007oo
Ool01@0000=oo`0000001P001goo0P003goo:@0016NK0002Ii/<0006Ool00`00Ool0000:000=Ool3
000<Ool00`00Ool0000V0004Ii/0009WV`/000Yoo`X00003Ool007oo00moo`03001oogoo00Yoo`@0
00eoo`H00003Ool0000000`000AWV`000VNK2`002Woo2P0000=oo`00Ool07Goo0P0047oo00D007oo
000007oo00P0009oo`@000AWV`000VNK2P002goo2P0000=oo`00Ool05Goo00<007ooOol06Goo0P00
00=oo`00Ool02Goo00<007ooOol016NK0002Ii/9000<Ool:00000goo001oo`0DOol4000JOol00`00
Oomoo`0=Ool4Ii/0009WV`L00003Ool0000000<000Qoo`X00003Ool007oo01Ioo`@000=oo`03001o
ogoo029oo`AWV`000VNK4@000Woo3@006Woo0`000Woo00<007ooOol08Woo16NK0002Ii/200000goo
0000000K000COol00`00Oomoo`06Ool5000SOol4Ii/0009WV`9oo`<00004Ool000000004Ool60000
0goo00000009000GOol20004Ool<000LOol4Ii/0009WV`Ioo`L00004Ool00000Ool2000017oo0000
07oo20006Goo0P000Woo5@000Woo00@007ooOol000aoo`03001WVfNK009WV`000VNK1Woo00<007oo
00002P0000=oo`0000001P0000=oo`0000006goo:P0016NK0002Ii/5Ool01@00Oomoogoo00000goo
2P000Woo0`0000Aoo`000000015oo`03001oogoo00MooaL00005Ool00000001oo`0=0004Ii/0009W
V`04001oogooOol20002Ool00`00Ool0000>00000goo00000008000JOolV0004Ii/0009WV`=oo`80
0003Ool007oo00<000=oo`P00003Ool0000000Eoo`T001QooaP00003Ool0000000X000AWV`000VNK
0Woo0P000goo10000Woo1`000Woo0P001Woo00<007ooOol020007Woo7@0016NK0002Ii/017oo0000
000017oo0`000Woo1`0000Aoo`00000000aoo`H0025oo`d00003Ool0000000T000AWV`000VNK1000
00=oo`00Ool01Woo1`0000Aoo`00000000ioo`D002ioo`04001oo`000005Ool20004Ii/0009WV`@0
0003Ool007oo00Aoo`800005Ool00000Ool00003Ool90002Ool00`00Oomoo`03Ool20003Ool01000
Ool0000047oo0P001Woo200000=oo`00Ool02Goo100000=oo`00Ool00P0016NK0002Ii/400000goo
001oo`05Ool00`00Ool0000300000goo000000080003Ool00`00Oomoo`02Ool50004Ool00`00Ool0
000>Ool00`00Oomoo`09Ool?00000goo000000070004Ii/0009WV`@00003Ool007oo00Aoo`<00003
Ool0000000L00004Ool000000004Ool00`00Oomoo`02Ool80007Ool00`00Oomoo`08Ool00`00Oomo
o`06Ool?000017oo001oogoo1`0000=oo`00Ii/00fNK0002Ii/200000goo001oo`05Ool40002Ool5
00000goo00000005000017oo001oo`000Woo0`0000=oo`0000001P0017oo0P002Woo00<007ooOol0
1Woo4`0000=oo`0000001P0016NK0002Ii/200000goo001oo`06Ool<00000goo000000050005Ool2
0005Ool60002Ool20002Ool2000>Ool300000goo0000000G0004Ii/0009WVa9oo`<00003Ool00000
00@00003Ool00000009oo`04001oogoo0002Ool00`00Oomoo`03Ool600000goo00000004000=Ool3
00000goo0000000G0004Ii/0009WV`Yoo`03001oogoo00Ioo`03001oogoo00]oo`800005Ool00000
Ool00008Ool40003Ool5000;Ool30002Ool?00000goo000000060004Ii/0009WV`Yoo`03001oogoo
00Eoo`03001oogoo00moo`04001oogoo000;Ool400000goo000000040009Ool30002Ool200000goo
00000008000017oo001oogoo1`0016NK0002Ii/:Ool00`00Oomoo`05Ool00`00Oomoo`0@Ool00`00
Ool0000;Ool600000goo00000009000017oo001oogoo0P0000Aoo`00001oo`X00004Ool007ooOol7
0004Ii/0009WV`Yoo`03001oogoo00Ioo`03001oogoo00moo`03001oo`0000]oo`L00003Ool00000
00800003Ool0000000T000Moo`@00004Ool000000002Ool80004Ii/0009WV`Yoo`03001oogoo00Ao
o`03001oo`00015oo`03001oogoo00Yoo`T0009oo`800003Ool0000001/00003Ool0000000@000AW
V`000VNK4Goo00<007oo00001Goo00<007ooOol05goo2`0000=oo`0000007@0000=oo`0000000`00
16NK0002Ii/COol00`00Oomoo`03Ool00`00Oomoo`0;Ool00`00Oomoo`09Ool<0002Ool700000goo
0000000C00000goo000000030004Ii/0009WVa=oo`03001oogoo015oo`03001oogoo00Uooa00009o
oaX00003Ool00000008000AWV`000VNK2Woo00<007ooOol00goo00@007ooOol000Ioo`03001oogoo
00aoo`03001oogoo00Moo`<00003Ool0000000d0009oo`8000Qoo`@00004Ool000000003Ool20000
0goo001oo`02Ool4Ii/0009WV`Yoo`04001oogoo0002Ool00`00Oomoo`0DOol00`00Oomoo`08OolB
00000goo0000000=Ool00`00Oomoo`06Ool30004Ool4Ii/0009WV`Yoo`03001oogoo00Eoo`03001o
ogoo019oo`05001oogooOol00007OolD000<Ool00`00Oomoo`02Ool01P00Oomoogoo001oo`8000Ao
o`AWV`000VNK2Woo00<007ooOol00Woo00@007ooOol0015oo`800004Ool000000009OolA00000goo
0000000AOol01000Oomoogoo100000Aoo`00Oomoo`AWV`000VNK3Woo00<007ooOol04goo0P0000=o
o`00Ool02Woo50004Goo00@007oo001oo`@000Aoo`AWV`000VNK3Woo00<007ooOol02goo00<007oo
Ool027oo00<007ooOol02Goo4@0000=oo`0000002goo00<007ooOol01Goo00<007oo00000`000Woo
00<007ooIi/00fNK0002Ii/>Ool00`00Oomoo`0;Ool00`00Oomoo`08Ool00`00Oomoo`09OolA0000
0goo0000000:Ool20009Ool01000Oomoo`0017oo16NK0002Ii/3Ool80002Ool00`00Oomoo`0HOol0
0`00Oomoo`08OolA00000goo00000004Ool00`00Oomoo`0>Ool01000Ool0000017oo16NK0002Ii/5
Ool700000goo001oo`0TOolD0009Ool00`00Oomoo`09Ool01000Ool0000017oo16NK0002Ii/6Ool4
0003Ool00`00Oomoo`0=Ool00`00Oomoo`0BOolE0008Ool00`00Ool00009Ool200000goo00000004
Ool4Ii/0009WV`Ioo`@0009oo`03001oogoo00ioo`03001oogoo01=ooa@000Qoo`03001oogoo00Uo
o`800003Ool0000000Aoo`AWV`000VNK1goo0`000Woo0P000goo00<007ooOol02Woo00<007ooOol0
47oo300000=oo`000000100000=oo`00000057oo00<007ooOol00P0017oo16NK0002Ii/7Ool3000D
Ool00`00Ool0000AOol500000goo000000020002Ool9000DOol00`00Oomoo`020004Ool4Ii/0009W
V`Moo`<001Ioo`03001oogoo019oo`03001oogoo00=oo`03001oogoo00<0015oo`03001oogoo00Io
o`03001oogoo008000Aoo`AWV`000VNK1goo0P005Woo00<007ooOol04Woo0P001Goo00@007ooOomo
o`8000Eoo`03001oogoo009oo`03001oogoo00Aoo`03001oogoo00Eoo`80009oo`8000Aoo`AWV`00
0VNK1goo0P005Woo00<007ooOol04goo00H007ooOomoo`00Ool20003Ool2000HOol20002Ool20004
Ool4Ii/0009WV`Qoo`03001oogoo01Aoo`03001oogoo019oo`8000=oo`04001oo`000004Ool00`00
Oomoo`06Ool00`00Oomoo`06Ool00`00Oomoo`04Ool20002Ool20004Ool4Ii/0009WV`Eoo`D002Yo
o`03001oogoo009oo`04001oo`000005Ool00`00Oomoo`03Ool20009Ool20005Ool01000Oomoogoo
0P0017oo16NK0002Ii/8Ool20006Ool00`00Oomoo`0QOol01000Oomoogoo0P0000=oo`0000001Goo
00<007ooOol00goo0P002Goo0P001Goo0P000Woo0P0017oo16NK0002Ii/8Ool00`00Oomoo`05Ool0
0`00Oomoo`0QOol01@00Oomoogoo00000Woo00<007ooOol01Goo00L007ooOomoo`00Ool0000:Ool0
0`00Oomoo`02Ool20003Ool20004Ool4Ii/0009WV`Moo`03001oogoo00Aoo`04001oogoo000UOol2
0002Ool00`00Oomoo`06Ool20004Ool00`00Oomoo`0<Ool00`00Oomoo`02Ool20004Ool4Ii/0009W
VbQoo`03001oogoo00aoo`05001oogooOol00008Ool2000COol00`00Oomoo`02Ool20004Ool4Ii/0
009WV`eoo`03001oogoo01Qoo`03001oogoo00aoo`03001oogoo008000Uoo`80015oo`<000=oo`80
00Aoo`AWV`000VNK3Goo00@007ooOol001Moo`03001oogoo00]oo`80009oo`8000Moo`04001oogoo
000AOol20004Ool20004Ool4Ii/0009WV`ioo`03001oo`0000ioo`03001oogoo00Ioo`03001oogoo
00]oo`04001oogooOol2000:Ool20003Ool00`00Oomoo`0:Ool20004Ool20004Ool4Ii/0009WV`io
o`<000ioo`03001oogoo00Ioo`03001oogoo00Yoo`8000=oo`8000]oo`03001oogoo00eoo`8000Eo
o`8000Aoo`AWV`000VNK3Woo0P0067oo00<007ooOol02Woo0P000goo0P001Goo00<007ooOol00goo
0P003Woo0P000goo00@007oo000000Aoo`AWV`000VNK3Woo0P009Goo00<007ooOol00Woo0P0017oo
00<007ooOol01Goo0P003Goo0P000goo00@007oo000000Aoo`AWV`00JVNK001ZIi/00001\
\>"],
  ImageRangeCache->{{{0, 105}, {105, 0}} -> {-2.65055, -2.65055, 1.06001, \
1.06001}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Loading JPE for MDC2001", "Subtitle"],

Cell["\<\
After loading DIP package, you can create a JPE application using \
J/Link.\
\>", "Text"],

Cell[BoxData[
    \(<< JLink`\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"InstallJava", "[", 
      RowBox[{"CommandLine", "->", 
        StyleBox["\"\<C:\\JDK_Forte\\jdk1.3.1\\bin\\java.exe\>\"",
          FontColor->RGBColor[1, 0, 0]]}], "]"}]], "Input"],

Cell[BoxData[
    \(LinkObject["C:\\JDK_Forte\\jdk1.3.1\\bin\\java.exe", 2, 2]\)], "Output"]
}, Open  ]],

Cell["Loading the following package, JPE's desktop is shown.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< JPEMDC`\)], "Input"],

Cell[BoxData[
    \("Welcome to the Java Photo Editor for MDC2001!"\)], "Print"],

Cell[BoxData[
    \("Loading JavaPhotoEditor..."\)], "Print"],

Cell[BoxData[
    \("Finished loading JavaPhotoEditor"\)], "Print"],

Cell[BoxData[
    \("Loaded the class JPEMDC.MathJPanel"\)], "Print"],

Cell[BoxData[
    \("Java Photo Editor: Creating default GUI..."\)], "Print"],

Cell[BoxData[
    \("Java Photo Editor: Ready to use. Enjoy!"\)], "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Operations", "Subtitle"],

Cell["\<\
About:
shows a creator info.

New:
asks the size of the new image in the dialog, then plots the mathematica \
graphics.

Import:
loads image file using Java's image aquisition.

ImageRead:
loads image file using DIP's function ImageRead[ ].

Filter:
applies the selected rectangle some filtering function defined in DIP.

Threshold:
applies Threshold[ ] to selected rect or shape.

Grab:
sends a part of image to the frontend notebook. Image is assigned to the \
symbol $GrabbedImageData in the form of ImageData, which is DIP's specific \
data format. \
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Limitations", "Subtitle"],

Cell["\<\
When the internal frame is created, the canvas is not updated on \
Windows because of some reason related with Java thread. You can just drag \
the internal frame to show an image.

Because of the handler of closing internal frame is not fully implemented. \
Using area selection tools after closing some frame causes an unwanted \
behavior. This is not a bug. Just the implementation is neglected in current \
version of JPE.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quit", "Subtitle"],

Cell[BoxData[
    \(UnshareFrontEnd[]\)], "Input"],

Cell[BoxData[
    \(Quit[]\)], "Input"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
AutoGeneratedPackage->None,
WindowSize->{587, 639},
WindowMargins->{{33, Automatic}, {Automatic, 2}},
Magnification->1,
StyleDefinitions -> "Default.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "2.2"->{
    Cell[2998, 104, 122, 3, 30, "Input",
      CellTags->"2.2"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"2.2", 90857, 1473}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 139, 5, 225, "Title"],
Cell[1869, 59, 364, 7, 107, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2258, 70, 95, 5, 122, "Subtitle"],
Cell[2356, 77, 143, 5, 52, "Text"],
Cell[2502, 84, 52, 0, 33, "Text"],
Cell[2557, 86, 38, 0, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2632, 91, 56, 0, 64, "Subtitle"],
Cell[2691, 93, 75, 0, 33, "Text"],
Cell[2769, 95, 52, 1, 30, "Input"],
Cell[2824, 98, 171, 4, 52, "Text"],
Cell[2998, 104, 122, 3, 30, "Input",
  CellTags->"2.2"],

Cell[CellGroupData[{
Cell[3145, 111, 194, 4, 30, "Input"],
Cell[3342, 117, 85, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3464, 123, 55, 1, 30, "Input"],
Cell[3522, 126, 51006, 711, 114, 23580, 369, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[54543, 840, 102, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[54670, 847, 423, 9, 110, "Input"],
Cell[55096, 858, 32562, 483, 114, 23580, 369, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[87707, 1347, 43, 0, 64, "Subtitle"],
Cell[87753, 1349, 99, 3, 33, "Text"],
Cell[87855, 1354, 42, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[87922, 1359, 209, 4, 30, "Input"],
Cell[88134, 1365, 92, 1, 29, "Output"]
}, Open  ]],
Cell[88241, 1369, 70, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[88336, 1373, 43, 1, 30, "Input"],
Cell[88382, 1376, 80, 1, 25, "Print"],
Cell[88465, 1379, 61, 1, 25, "Print"],
Cell[88529, 1382, 67, 1, 25, "Print"],
Cell[88599, 1385, 69, 1, 25, "Print"],
Cell[88671, 1388, 77, 1, 25, "Print"],
Cell[88751, 1391, 74, 1, 25, "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[88874, 1398, 30, 0, 64, "Subtitle"],
Cell[88907, 1400, 577, 24, 413, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89521, 1429, 31, 0, 64, "Subtitle"],
Cell[89555, 1431, 450, 9, 128, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[90042, 1445, 24, 0, 64, "Subtitle"],
Cell[90069, 1447, 50, 1, 44, "Input"],
Cell[90122, 1450, 39, 1, 30, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

