(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     92001,       2090]*)
(*NotebookOutlinePosition[     92680,       2113]*)
(*  CellTagsIndexPosition[     92636,       2109]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["init.m for JPEMDC2001`", "Title"],

Cell["Junzo Sato", "Subtitle"],

Cell["\<\
Copyright \[Copyright] 2001, Junzo Sato. All rights reserved.

Junzo Sato
jsato@fc.kuh.kumamoto-u.ac.jp\
\>", "Text"],

Cell[BoxData[{
    \(\(\(Needs["\<JPEMDC2001`JavaPhotoEditor`\>"]\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(Needs["\<JPEMDC2001`MathJPanel`\>"]\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(\(Off[General::spell1]\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(Print["\<Java Photo Editor: Creating default GUI...\>"]\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(deskW = 800;\)\), "\[IndentingNewLine]", 
    \(\(deskH = 600;\)\), "\[IndentingNewLine]", 
    \(\(Unprotect[frame];\)\), "\[IndentingNewLine]", 
    \(frame = 
      NewMathJFrame["\<Java Photo Editor\>", deskW, deskH, 0, 0]\), "\n", 
    \(If[frame === $Failed, Abort[]]\), "\[IndentingNewLine]", 
    \(\(Protect[frame];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(Unprotect[pane, glass, layer, menuBar];\)\), "\[IndentingNewLine]", 
    \(pane = frame@getContentPane[]\), "\n", 
    \(glass = frame@getGlassPane[]\), "\n", 
    \(layer = frame@getLayeredPane[]\), "\n", 
    \(menuBar = frame@getJMenuBar[]\), "\[IndentingNewLine]", 
    \(\(Protect[pane, glass, layer, menuBar];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(CenterizeFrameOnScreen[frame]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(desktop = NewJDesktopPane[pane]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \($JavaPhotoEditorMaterial\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(JavaBlock[\[IndentingNewLine]desktoppicture = 
        NewImageIcon[\[IndentingNewLine]StringJoin[$JavaPhotoEditorMaterial, \
"\<desktop.gif\>"]]; \[IndentingNewLine]lbl = 
        NewJLabel[Null, "\<\>", desktoppicture]; \[IndentingNewLine]lbl@
        setBounds[0, 0, deskW, deskH]; \[IndentingNewLine]desktop@
        setOpaque[False]; \[IndentingNewLine]desktop@
        add[lbl, 
          JavaNew["\<java.lang.Integer\>", \(-1\)]];\[IndentingNewLine]]\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(internalFrameActivatedFuncTools[event_] := 
      Module[\[IndentingNewLine]{f, c}, \[IndentingNewLine]f = 
          event@getSource[]; \[IndentingNewLine]c = 
          GetImageHolder[f]; \[IndentingNewLine]$TargetCanvas = 
          c; \[IndentingNewLine]ResetTool[
          c]; \[IndentingNewLine]RemoveInstalledTool[f, 
          c]; \[IndentingNewLine]Switch[$CurrentTool, \
\[IndentingNewLine]$MarqueeTool, 
          InstallMarqueeTool[f, c], \[IndentingNewLine]$LineTool, 
          InstallLineTool[f, 
            c]\[IndentingNewLine]]; \[IndentingNewLine]ReleaseObject[
          event];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(mouseDraggedFuncMarqueeTool[event_, x_, y_, click_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({l, t, r, b}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"If", "[", 
              RowBox[{\($Dragging === False\), ",", "\[IndentingNewLine]", 
                
                StyleBox[\( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)*) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                StyleBox[\( (*\ init\ dragging\ env\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                StyleBox[\( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)*) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                StyleBox[\( (*\ 
                    make\ sure\ that\ which\ canvas\ is\ the\ target\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                RowBox[{\($TargetCanvas = 
                    GetImageHolder[GetSelectedInternalFrame[desktop]]\), ";", 
                  "\[IndentingNewLine]", 
                  
                  StyleBox[\( (*\ 
                      remove\ old\ tool' s\ image\ if\ it\ exists\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($TargetCanvas@removeOverlay[]\), 
                  ";", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ create\ new\ overlay\ offscreen\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($TargetCanvas@createOverlay[]\), 
                  ";", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ get\ graphics\ object\ of\ it\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($OverlayGraphics = 
                    canvas@getOverlayGraphics[]\), ";", 
                  "\[IndentingNewLine]", \(If[
                    Null === $OverlayGraphics, \
\[IndentingNewLine]ReleaseObject[event]; \[IndentingNewLine]Return[]]\), ";", 
                  "\[IndentingNewLine]", 
                  
                  StyleBox[\( (*\ \(set\ XOR\  ... \)\ not\ paint\ mode\ *) \
\),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($TargetCanvas@
                    setXORMode[$TargetCanvas@getBackground[]]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ left\ top\ corner\ of\ the\ image\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], 
                  RowBox[{"$LeftTop", "=", 
                    RowBox[{"$TargetCanvas", "@", 
                      RowBox[{
                        StyleBox["getLeftTop",
                          FontColor->RGBColor[0, 0, 1]], "[", "]"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ set\ dragging\ flag\ on\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($Dragging = True\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ keep\ current\ point\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($StartPoint = {x, y}\), 
                  ";", \( (*\ \(on\ pane\  ... \)\ not\ image\ *) \), 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ nothing\ is\ selected\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($Bounds = {0, 0, 0, \(-1\)}\)}], 
                ",", "\[IndentingNewLine]", 
                
                StyleBox[\( (*\(--\(--\(--\(--\(--\(--\(---\)\)\)\)\)\)\)*) \
\),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                StyleBox[\( (*\ do\ dragging\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                StyleBox[\( (*\(--\(--\(--\(--\(--\(--\(---\)\)\)\)\)\)\)*) \
\),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                StyleBox[\( (*\ erase\ old\ marquee\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                RowBox[{\(If[$Bounds[\([4]\)] =!= \(-1\), \
\[IndentingNewLine]$TargetCanvas@
                      drawRect[\[IndentingNewLine]$Bounds[\([1]\)], \
$Bounds[\([2]\)], \[IndentingNewLine]$Bounds[\([3]\)], $Bounds[\([4]\)]]; \
\[IndentingNewLine]$StatusPanel@
                      setText[\[IndentingNewLine]StringJoin["\<{w,h}=\>", 
                          ToString[{$Bounds[\([3]\)], $Bounds[\([4]\)]}]]\
\[IndentingNewLine]]\[IndentingNewLine] (*\($TargetCanvas@
                          drawString[\[IndentingNewLine]StringJoin["\<{w,h}=\>\
", ToString[{$Bounds[\([3]\)], $Bounds[\([4]\)]}]], \[IndentingNewLine]4, 
                            14\[IndentingNewLine]];\)*) \[IndentingNewLine]]\)\
, ";", 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], 
                  StyleBox[\( (*\ get\ right\ edge\ *) \),
                    FontWeight->"Plain"], 
                  "\[IndentingNewLine]", \(l = Min[$StartPoint[\([1]\)], x]\),
                   ";", "\[IndentingNewLine]", \(t = 
                    Min[$StartPoint[\([2]\)], y]\), ";", 
                  "\[IndentingNewLine]", \(r = Max[$StartPoint[\([1]\)], x]\),
                   ";", 
                  "\[IndentingNewLine]", \(b = Max[$StartPoint[\([2]\)], y]\),
                   ";", 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], 
                  StyleBox[\( (*\ get\ bounds\ in\ image\ coordinates\ *) \),
                    FontWeight->"Plain"], 
                  "\[IndentingNewLine]", \($Bounds = {l - $LeftTop[\([1]\)], 
                      t - $LeftTop[\([2]\)], r - l, b - t}\), ";", 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], 
                  StyleBox[\( (*\ draw\ marquee\ *) \),
                    FontWeight->"Plain"], 
                  "\[IndentingNewLine]", \($TargetCanvas@
                    drawRect[\[IndentingNewLine]$Bounds[\([1]\)], \
$Bounds[\([2]\)], \[IndentingNewLine]$Bounds[\([3]\)], $Bounds[\([4]\)]]\), 
                  ";", "\[IndentingNewLine]", \($StatusPanel@
                    setText[\[IndentingNewLine]StringJoin["\<{w,h}=\>", 
                        ToString[{$Bounds[\([3]\)], $Bounds[\([4]\)]}]]\
\[IndentingNewLine]]\), ";", 
                  "\[IndentingNewLine]", \( (*\($TargetCanvas@
                        drawString[\[IndentingNewLine]StringJoin["\<{w,h}=\>",\
 ToString[{$Bounds[\([3]\)], $Bounds[\([4]\)]}]], \[IndentingNewLine]4, 
                          14\[IndentingNewLine]];\)*) \), 
                  "\[IndentingNewLine]", \($TargetCanvas@repaintNow[]\), 
                  ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(mouseReleasedFuncMarqueeTool[event_, x_, y_, click_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"If", "[", 
              RowBox[{\($Dragging === True\), ",", "\[IndentingNewLine]", 
                StyleBox[\( (*\ dragging\ ended\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], \($Dragging = False\)}], 
              "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(mouseClickedFuncMarqueeTool[event_, x_, y_, click_] := 
      Module[\[IndentingNewLine]{}, \[IndentingNewLine]$TargetCanvas@
          removeOverlay[]; \[IndentingNewLine]$Bounds = {0, 0, 
            0, \(-1\)}; \[IndentingNewLine]ReleaseObject[
          event];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(internalFrameDeactivatedFuncMarqueeTool[event_] := 
      Module[\[IndentingNewLine]{}, \[IndentingNewLine]$TargetCanvas@
          removeOverlay[]; \[IndentingNewLine]$Bounds = {0, 0, 
            0, \(-1\)}; \[IndentingNewLine]ReleaseObject[
          event];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(mouseDraggedFuncLineTool[event_, x_, y_, click_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({l, t, r, b}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"If", "[", 
              RowBox[{\($Dragging === False\), ",", "\[IndentingNewLine]", 
                
                StyleBox[\( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)*) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                StyleBox[\( (*\ init\ dragging\ env\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                StyleBox[\( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)*) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                StyleBox[\( (*\ 
                    make\ sure\ that\ which\ canvas\ is\ the\ target\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                RowBox[{\($TargetCanvas = 
                    GetImageHolder[GetSelectedInternalFrame[desktop]]\), ";", 
                  "\[IndentingNewLine]", 
                  
                  StyleBox[\( (*\ 
                      remove\ old\ tool' s\ image\ if\ it\ exists\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($TargetCanvas@removeOverlay[]\), 
                  ";", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ create\ new\ overlay\ offscreen\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($TargetCanvas@createOverlay[]\), 
                  ";", "\[IndentingNewLine]", 
                  StyleBox[\( (*\ get\ graphics\ object\ of\ it\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($OverlayGraphics = 
                    canvas@getOverlayGraphics[]\), ";", 
                  "\[IndentingNewLine]", \(If[
                    Null === $OverlayGraphics, \
\[IndentingNewLine]ReleaseObject[event]; \[IndentingNewLine]Return[]]\), ";", 
                  "\[IndentingNewLine]", 
                  
                  StyleBox[\( (*\ \(set\ XOR\  ... \)\ not\ paint\ mode\ *) \
\),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($TargetCanvas@
                    setXORMode[$TargetCanvas@getBackground[]]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ left\ top\ corner\ of\ the\ image\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], 
                  RowBox[{"$LeftTop", "=", 
                    RowBox[{"$TargetCanvas", "@", 
                      RowBox[{
                        StyleBox["getLeftTop",
                          FontColor->RGBColor[0, 0, 1]], "[", "]"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ set\ dragging\ flag\ on\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($Dragging = True\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\( (*\ keep\ current\ point\ *) \),
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], \($StartPoint = {x, y}\), 
                  ";", \( (*\ \(on\ pane\  ... \)\ not\ image\ *) \), 
                  "\[IndentingNewLine]", 
                  
                  StyleBox[\( (*\ 
                      init\ with\ start\ point\ in\ image\ coordinates\ *) \),
                    
                    FontWeight->"Plain"], 
                  StyleBox["\[IndentingNewLine]",
                    
                    FontWeight->
                      "Plain"], \($Points = {{x - $LeftTop[\([1]\)], 
                        y - $LeftTop[\([2]\)]}}\)}], ",", 
                "\[IndentingNewLine]", 
                
                StyleBox[\( (*\(--\(--\(--\(--\(--\(--\(---\)\)\)\)\)\)\)*) \
\),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                StyleBox[\( (*\ do\ dragging\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                StyleBox[\( (*\(--\(--\(--\(--\(--\(--\(---\)\)\)\)\)\)\)*) \
\),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                StyleBox[\( (*\ erase\ old\ info\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], 
                
                RowBox[{\(If[
                    Length[$Points] =!= 1, \[IndentingNewLine]$StatusPanel@
                      setText[\[IndentingNewLine]StringJoin["\<{x,y}=\>", 
                          ToString[{$Points[\([\(-1\), 
                                  1]\)], $Points[\([\(-1\), 
                                  2]\)]}]]\[IndentingNewLine]]\
\[IndentingNewLine] (*\($TargetCanvas@
                          drawString[\[IndentingNewLine]StringJoin["\<{x,y}=\>\
", ToString[{$Points[\([\(-1\), 1]\)], $Points[\([\(-1\), 
                                      2]\)]}]], \[IndentingNewLine]4, 
                            14];\)*) \[IndentingNewLine]]\), ";", 
                  StyleBox["\[IndentingNewLine]",
                    FontWeight->"Plain"], 
                  
                  StyleBox[\( (*\ 
                      draw\ line\ from\ old\ position\ to\ new\ position\ *) \
\),
                    FontWeight->"Plain"], 
                  "\[IndentingNewLine]", \(If[{$Points[\([\(-1\), 
                            1]\)], $Points[\([\(-1\), 
                            2]\)]} =!= {x - $LeftTop[\([1]\)], 
                        y - $LeftTop[\([2]\)]}, \
\[IndentingNewLine]$TargetCanvas@
                      drawLine[\[IndentingNewLine]$Points[\([\(-1\), 
                            1]\)], $Points[\([\(-1\), 
                            2]\)], \[IndentingNewLine]x - $LeftTop[\([1]\)], 
                        y - $LeftTop[\([2]\)]]; \
\[IndentingNewLine]AppendTo[$Points, {x - $LeftTop[\([1]\)], 
                        y - $LeftTop[\([2]\)]}];\[IndentingNewLine]]\), ";", 
                  "\[IndentingNewLine]", \($StatusPanel@
                    setText[\[IndentingNewLine]StringJoin["\<{x,y}=\>", 
                        ToString[{$Points[\([\(-1\), 
                                1]\)], $Points[\([\(-1\), 
                                2]\)]}]]\[IndentingNewLine]]\), ";", 
                  "\[IndentingNewLine]", \( (*\($TargetCanvas@
                        drawString[\[IndentingNewLine]StringJoin["\<{x,y}=\>",\
 ToString[{$Points[\([\(-1\), 1]\)], $Points[\([\(-1\), 
                                    2]\)]}]], \[IndentingNewLine]4, 
                          14];\)*) \), 
                  "\[IndentingNewLine]", \($TargetCanvas@repaintNow[]\), 
                  ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(mouseReleasedFuncLineTool[event_, x_, y_, click_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"If", "[", 
              RowBox[{\($Dragging === True\), ",", "\[IndentingNewLine]", 
                StyleBox[\( (*\ dragging\ ended\ *) \),
                  FontWeight->"Plain"], 
                StyleBox["\[IndentingNewLine]",
                  FontWeight->"Plain"], \($Dragging = False\)}], 
              "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(mouseClickedFuncLineTool[event_, x_, y_, click_] := 
      Module[\[IndentingNewLine]{}, \[IndentingNewLine]$TargetCanvas@
          removeOverlay[]; \[IndentingNewLine]$Points = {{0, 
              0}}; \[IndentingNewLine]ReleaseObject[
          event];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(internalFrameDeactivatedFuncLineTool[event_] := 
      Module[\[IndentingNewLine]{}, \[IndentingNewLine]$TargetCanvas@
          removeOverlay[]; \[IndentingNewLine]$Points = {{0, 
              0}}; \[IndentingNewLine]ReleaseObject[
          event];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseMotionListenerMarqueeTool = 
        JavaNew["\<com.wolfram.jlink.MathMouseMotionListener\>"];\)\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseMotionListenerMarqueeTool@
        setHandler["\<mouseDragged\>", 
          ToString[mouseDraggedFuncMarqueeTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseListenerMarqueeTool = 
        JavaNew["\<com.wolfram.jlink.MathMouseListener\>"];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseListenerMarqueeTool@
        setHandler["\<mouseReleased\>", 
          ToString[mouseReleasedFuncMarqueeTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseListenerMarqueeTool@
        setHandler["\<mouseClicked\>", 
          ToString[mouseClickedFuncMarqueeTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"internalFrameListenerMarqueeTool", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.MathSwingInternalFrameListener\>"]\),
        FontColor->RGBColor[1, 0, 0]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(internalFrameListenerMarqueeTool@
        setHandler["\<internalFrameDeactivated\>", 
          ToString[internalFrameDeactivatedFuncMarqueeTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(internalFrameListenerMarqueeTool@
        setHandler["\<internalFrameActivated\>", 
          ToString[internalFrameActivatedFuncTools]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseMotionListenerLineTool = 
        JavaNew["\<com.wolfram.jlink.MathMouseMotionListener\>"];\)\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseMotionListenerLineTool@
        setHandler["\<mouseDragged\>", 
          ToString[mouseDraggedFuncLineTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseListenerLineTool = 
        JavaNew["\<com.wolfram.jlink.MathMouseListener\>"];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseListenerLineTool@
        setHandler["\<mouseReleased\>", 
          ToString[mouseReleasedFuncLineTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(mouseListenerLineTool@
        setHandler["\<mouseClicked\>", 
          ToString[mouseClickedFuncLineTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (*\ InternalFrame\ *) \)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"internalFrameListenerLineTool", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.MathSwingInternalFrameListener\>"]\),
        FontColor->RGBColor[1, 0, 0]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(internalFrameListenerLineTool@
        setHandler["\<internalFrameDeactivated\>", 
          ToString[internalFrameDeactivatedFuncLineTool]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(internalFrameListenerLineTool@
        setHandler["\<internalFrameActivated\>", 
          ToString[internalFrameActivatedFuncTools]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(marqueeOn = 
      NewImageIcon[\[IndentingNewLine]StringJoin[$JavaPhotoEditorMaterial, \
"\<MarqueeOn.gif\>"]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(marqueeOff = 
      NewImageIcon[\[IndentingNewLine]StringJoin[$JavaPhotoEditorMaterial, \
"\<MarqueeOff.gif\>"]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(lineOn = 
      NewImageIcon[\[IndentingNewLine]StringJoin[$JavaPhotoEditorMaterial, \
"\<LineOn.gif\>"]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(lineOff = 
      NewImageIcon[\[IndentingNewLine]StringJoin[$JavaPhotoEditorMaterial, \
"\<LineOff.gif\>"]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(radioMarquee = 
      NewJRadioButton[Null, "\<\>", True, marqueeOn]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(radioLine = NewJRadioButton[Null, "\<\>", False, lineOff]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(toolGroup = JavaNew["\<javax.swing.ButtonGroup\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(toolGroup@add[radioMarquee]\), "\[IndentingNewLine]", 
    \(toolGroup@add[radioLine]\), "\[IndentingNewLine]", 
    \(radioMarquee@setSelected[True]\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(\(LoadClass["\<java.awt.event.ItemEvent\>"];\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(handlerRadioMarquee[event_, stateChanged_] := 
        JavaBlock[
          Module[\[IndentingNewLine]{b}, \[IndentingNewLine]b = 
              event@getSource[]; \[IndentingNewLine]If[
              stateChanged === 
                java`awt`event`ItemEvent`SELECTED, \[IndentingNewLine]b@
                setIcon[
                  marqueeOn]; \[IndentingNewLine]SwitchToMarqueeTool[], \
\[IndentingNewLine]\(b@
                  setIcon[
                    marqueeOff];\)\[IndentingNewLine]]; \
\[IndentingNewLine]ReleaseObject[
              event];\[IndentingNewLine]]];\)\), "\[IndentingNewLine]", 
    \(\(listenerRadioMarquee = 
        JavaNew["\<com.wolfram.jlink.MathItemListener\>"];\)\), "\
\[IndentingNewLine]", 
    \(\(listenerRadioMarquee@
        setHandler["\<itemStateChanged\>", 
          ToString[handlerRadioMarquee]];\)\), "\[IndentingNewLine]", 
    \(\(radioMarquee@addItemListener[listenerRadioMarquee];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(handlerRadioLine[event_, stateChanged_] := 
        JavaBlock[
          Module[\[IndentingNewLine]{b}, \[IndentingNewLine]b = 
              event@getSource[]; \[IndentingNewLine]If[
              stateChanged === 
                java`awt`event`ItemEvent`SELECTED, \[IndentingNewLine]b@
                setIcon[
                  lineOn]; \[IndentingNewLine]SwitchToLineTool[], \
\[IndentingNewLine]\(b@
                  setIcon[
                    lineOff];\)\[IndentingNewLine]]; \
\[IndentingNewLine]ReleaseObject[
              event];\[IndentingNewLine]]];\)\), "\[IndentingNewLine]", 
    \(\(listenerRadioLine = 
        JavaNew["\<com.wolfram.jlink.MathItemListener\>"];\)\), "\
\[IndentingNewLine]", 
    \(\(listenerRadioLine@
        setHandler["\<itemStateChanged\>", 
          ToString[handlerRadioLine]];\)\), "\[IndentingNewLine]", 
    \(\(radioLine@addItemListener[listenerRadioLine];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(toolsPalette = 
      NewJInternalFrame[\[IndentingNewLine]desktop, 
        javax`swing`JLayeredPane`PALETTEULAYER, \
\[IndentingNewLine]"\<Tools\>", \[IndentingNewLine]0, 0, 128 + 32*2 + 13, 
        32 + 34, \[IndentingNewLine]False, False, False, False]\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\($StatusPanel = 
        NewJLabel[Null, "\<{x,y}\>"];\)\), "\[IndentingNewLine]", 
    \(\($StatusPanel@
        setBackground[java`awt`Color`white];\)\), "\[IndentingNewLine]", 
    \(\($StatusPanel@setOpaque[True];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(JavaBlock[\[IndentingNewLine]toolsPalette@\(getContentPane[]@
          setLayout[\[IndentingNewLine]JavaNew["\<java.awt.FlowLayout\>", 
              java`awt`FlowLayout`LEFT, 0, 
              0]\[IndentingNewLine]]\); \
\[IndentingNewLine]\[IndentingNewLine]toolsPalette@\(getContentPane[]@
          add[radioMarquee]\); \[IndentingNewLine]radioMarquee@
        setPreferredSize[
          JavaNew["\<java.awt.Dimension\>", 32, 
            32]]; \[IndentingNewLine]\[IndentingNewLine]toolsPalette@\(\
getContentPane[]@add[radioLine]\); \[IndentingNewLine]radioLine@
        setPreferredSize[
          JavaNew["\<java.awt.Dimension\>", 32, 
            32]]; \[IndentingNewLine]\[IndentingNewLine]toolsPalette@\(\
getContentPane[]@add[$StatusPanel]\); \[IndentingNewLine]$StatusPanel@
        setPreferredSize[
          JavaNew["\<java.awt.Dimension\>", 128, 
            32]]; \[IndentingNewLine]$StatusPanel@
        setMaximumSize[
          JavaNew["\<java.awt.Dimension\>", 128, 
            32]]; \[IndentingNewLine]$StatusPanel@
        setMinimumSize[
          JavaNew["\<java.awt.Dimension\>", 128, 
            32]]; \[IndentingNewLine]\[IndentingNewLine]toolsPalette@
        pack[]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(tok = ShareFrontEnd[]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(frame@
      onClose["\<UnshareFrontEnd[\>" <> ToString[tok] <> "\<]\>"]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[{
    \(\(Unprotect[menuBar];\)\), "\[IndentingNewLine]", 
    \(\(menuBar = NewJMenuBar[frame];\)\), "\[IndentingNewLine]", 
    \(\(Protect[menuBar];\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(menuAbout = NewJMenu[menuBar, "\<About\>", "\<A\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemAbout = 
      NewJMenuItem[
        menuAbout, "\<About Java Photo Editor...\>", "\<A\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerAbout", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerAbout[event_, command_]\), ":=", 
      RowBox[{"JavaBlock", "[", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          RowBox[{\({str, icon}\), ",", "\[IndentingNewLine]", 
            
            RowBox[{\(str = 
                StringJoin[$JavaPhotoEditorMaterial, \
"\<AboutJavaPhotoEditor.gif\>"]\), ";", 
              "\[IndentingNewLine]", \(icon = NewImageIcon[str]\), ";", 
              "\[IndentingNewLine]", 
              StyleBox[\( (*\ About\ Dialog\ is\ \(\(shown\)\(.\)\)\ *) \),
                FontWeight->"Plain"], 
              "\[IndentingNewLine]", \
\(ShowMessageDialog[\[IndentingNewLine]frame, \[IndentingNewLine]icon, \
\[IndentingNewLine]{JavaNew["\<java.lang.String\>", "\<OK\>"]}, \
\[IndentingNewLine]"\<About\>", \
\[IndentingNewLine]javax`swing`JOptionPane`INFORMATIONUMESSAGE, \
\[IndentingNewLine]javax`swing`JOptionPane`DEFAULTUOPTION, \
\[IndentingNewLine]Null, \[IndentingNewLine]"\<About\>"\[IndentingNewLine]]\),
               ";", "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
          "\[IndentingNewLine]", "]"}], "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerAbout@
        setHandler["\<actionPerformed\>", 
          ToString[handlerAbout]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemAbout@addActionListener[listenerAbout];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(menuMathCanvas = 
      NewJMenu[menuBar, "\<MathCanvas\>", "\<M\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(GatewayArch[] := 
      Module[\[IndentingNewLine]{s = 0.8, l = 0.3, d = 80, pts, pts1, pts2, 
          tris, rect, cover, rects}, \[IndentingNewLine]pts = 
          N[Table[{x, 0, Cosh[E] - Cosh[x]}, {x, \(-E\), E, 
                2  E/d}]]; \[IndentingNewLine]pts1 = 
          N[Table[{x, \(-l\) - \((l/\((E/s)\)^2)\) x^2, 
                0.96  Cosh[E]/
                    Cosh[E/s] \((Cosh[E/s] - Cosh[x])\)}, {x, \(-E\)/s, E/s, 
                2 \( E/s\)/d}]]; \[IndentingNewLine]pts2 = 
          N[Table[{x, l + \((l/\((E/s)\)^2)\) x^2, 
                0.96  Cosh[E]/
                    Cosh[E/s] \((Cosh[E/s] - Cosh[x])\)}, {x, \(-E\)/s, E/s, 
                2 \( E/s\)/d}]]; \[IndentingNewLine]tris = 
          Transpose[{pts, pts1, pts2}]; \[IndentingNewLine]rect[p1_, p2_, 
            p3_, p4_] := {p1, p2, p4, 
            p3}; \[IndentingNewLine]cover[{{p1_, p2_, p3_}, {p4_, p5_, 
                p6_}}] := {\[IndentingNewLine]rect[p1, p2, p4, 
              p5], \[IndentingNewLine]rect[p2, p3, p5, 
              p6], \[IndentingNewLine]rect[p3, p1, p6, 
              p4]\[IndentingNewLine]}; \[IndentingNewLine]rects = 
          Flatten[Map[Polygon, 
              Map[cover, 
                Partition[tris, 2, 
                  1]], {2}]]; \[IndentingNewLine]Graphics3D[{GrayLevel[ .8], 
            rects}]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(newcommand = "\<Show[GatewayArch[],ViewPoint->{1.611, -2.975, \
0.066},Lighting\[Rule]True,Boxed\[Rule]False]\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemNewMathCanvas = 
      NewJMenuItem[menuMathCanvas, "\<New...\>", "\<N\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerNewMathCanvas", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(handlerNewMathCanvas[event_, command_]\), ":=", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          
          RowBox[{\({size, internal, mathCanvas}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(JavaShow[frame]\), ";", 
              "\[IndentingNewLine]", \(size = AskSize[frame]\), ";", 
              "\[IndentingNewLine]", \(If[
                MemberQ[Map[NumberQ, size], 
                  False], \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[
                  Null], \[IndentingNewLine]If[
                  size[\([1]\)] \[LessEqual] 0 || 
                    size[\([2]\)] \[LessEqual] 
                      0, \[IndentingNewLine]ReleaseObject[
                    event]; \[IndentingNewLine]Return[
                    Null]\[IndentingNewLine]]\[IndentingNewLine]]\), ";", 
              "\[IndentingNewLine]", \(mathCanvas = 
                JavaNew["\<JPEMDC2001.MathJPanel\>"]\), ";", 
              "\[IndentingNewLine]", \(If[
                mathCanvas === $Failed, \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[
                  Null]\[IndentingNewLine]]\), ";", 
              "\[IndentingNewLine]", \(internal = 
                NewJInternalFrame[\[IndentingNewLine]desktop, 
                  Null, \[IndentingNewLine]"\<MathCanvas\>", \
\[IndentingNewLine]0, 0, size[\([1]\)] + 13, 
                  size[\([2]\)] + 34, \[IndentingNewLine]True, True, True, 
                  True, \[IndentingNewLine]NewImageIcon[
                    StringJoin[$JavaSwingMaterial, "\<NB(S).GIF\>"]]\
\[IndentingNewLine]]\), ";", "\[IndentingNewLine]", 
              RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
                
                RowBox[{\(NewJScrollPane[internal@getContentPane[], 
                    mathCanvas]\), ";", 
                  "\[IndentingNewLine]", \(mathCanvas@setLocation[0, 0]\), 
                  ";", "\[IndentingNewLine]", \(mathCanvas@
                    setSize[size[\([1]\)], size[\([2]\)]]\), ";", 
                  "\[IndentingNewLine]", \( (**) \), 
                  "\[IndentingNewLine]", \(mathCanvas@setUsesFE[True]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\(mathCanvas@setMathCommand[newcommand]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[";",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[0, 0, 1]], \( (**) \), 
                  "\[IndentingNewLine]", \(internal@toFront[]\), ";", 
                  "\[IndentingNewLine]", \(internal@setSelected[True]\), ";", 
                  "\[IndentingNewLine]", \(internal@layout[]\), ";", 
                  "\[IndentingNewLine]", \(internal@repaint[]\), ";", 
                  "\[IndentingNewLine]", \(desktop@repaint[]\), ";", 
                  "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}], 
                "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", \($TargetCanvas = mathCanvas\), ";", 
              "\[IndentingNewLine]", \( (*\ 
                update\ frame\ and\ panel\ list\ *) \), 
              "\[IndentingNewLine]", \($JavaPhotoEditorMathJPanelFrames = 
                Append[$JavaPhotoEditorMathJPanelFrames, internal]\), ";", 
              "\[IndentingNewLine]", \($JavaPhotoEditorMathJPanels = 
                Append[$JavaPhotoEditorMathJPanels, mathCanvas]\), ";", 
              "\[IndentingNewLine]", \( (*\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
*) \), "\[IndentingNewLine]", \( (*\ 
                Install\ the\ tool\ to\ this\ canvas\ *) \), 
              "\[IndentingNewLine]", \(ResetTool[mathCanvas]\), ";", 
              "\[IndentingNewLine]", \(Switch[$CurrentTool, \
\[IndentingNewLine]$MarqueeTool, 
                InstallMarqueeTool[internal, 
                  mathCanvas], \[IndentingNewLine]$LineTool, 
                InstallLineTool[internal, mathCanvas]\[IndentingNewLine]]\), 
              ";"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      "\n", \( (*\ 
        set\ menu\ action\ handler\ *) \)}], "\[IndentingNewLine]", \
\(listenerNewMathCanvas@
        setHandler["\<actionPerformed\>", 
          ToString[handlerNewMathCanvas]];\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemNewMathCanvas@
        addActionListener[listenerNewMathCanvas];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemImportMathCanvas = 
      NewJMenuItem[menuMathCanvas, "\<Import...\>", "\<I\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerImportMathCanvas", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(handlerImportMathCanvas[event_, command_]\), ":=", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          
          RowBox[{\({pathAndName = Null, img = Null, imgWidth, 
              imgHeight, \[IndentingNewLine]internal, mathCanvas}\), ",", 
            "\[IndentingNewLine]", 
            
            RowBox[{\(JavaBlock[\[IndentingNewLine]JavaShow[
                  frame]; \[IndentingNewLine]pathAndName = 
                  GetFilePathAndName["\<Select a file:\>", "\<Open\>", \
$JavaSwingMaterial]; \[IndentingNewLine]If[
                  pathAndName === Null, \[IndentingNewLine]ReleaseObject[
                    event]; \[IndentingNewLine]Return[
                    Null]];\[IndentingNewLine]]\), ";", "\[IndentingNewLine]",
               
              RowBox[{"img", "=", 
                RowBox[{\(java`awt`Toolkit`getDefaultToolkit[]\), "@", 
                  RowBox[{"getImage", "[", 
                    StyleBox[\(pathAndName[\([1]\)]\),
                      FontColor->RGBColor[1, 0, 0]], "]"}]}]}], ";", 
              "\[IndentingNewLine]", \(imgWidth = img@getWidth[]\), ";", 
              "\[IndentingNewLine]", \(imgHeight = img@getHeight[]\), ";", 
              "\[IndentingNewLine]", \(If[\((imgWidth \[LessEqual] 
                      0)\) || \((imgHeight \[LessEqual] 
                      0)\), \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[Null]]\), ";", 
              "\[IndentingNewLine]", \(mathCanvas = 
                JavaNew["\<JPEMDC2001.MathJPanel\>"]\), ";", 
              "\[IndentingNewLine]", \(If[
                mathCanvas === $Failed, \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[
                  Null]\[IndentingNewLine]]\), ";", "\[IndentingNewLine]", 
              RowBox[{"internal", "=", 
                RowBox[{"NewJInternalFrame", "[", "\[IndentingNewLine]", 
                  RowBox[{
                  "desktop", ",", "Null", ",", "\[IndentingNewLine]", 
                    StyleBox[\(pathAndName[\([2]\)]\),
                      FontColor->RGBColor[1, 0, 0]], ",", 
                    "\[IndentingNewLine]", "0", ",", "0", 
                    ",", \(imgWidth + 13\), ",", \(imgHeight + 34\), ",", 
                    "\[IndentingNewLine]", "True", ",", "True", ",", "True", 
                    ",", "True", ",", 
                    "\[IndentingNewLine]", \(NewImageIcon[
                      StringJoin[$JavaSwingMaterial, "\<NB(S).GIF\>"]]\)}], 
                  "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
              
              RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
                
                RowBox[{\(NewJScrollPane[internal@getContentPane[], 
                    mathCanvas]\), ";", 
                  "\[IndentingNewLine]", \(mathCanvas@setLocation[0, 0]\), 
                  ";", "\[IndentingNewLine]", \(mathCanvas@
                    setSize[imgWidth, imgHeight]\), ";", 
                  "\[IndentingNewLine]", \( (**) \), 
                  "\[IndentingNewLine]", \(mathCanvas@setUsesFE[True]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\(mathCanvas@setImage[img]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[";",
                    FontColor->RGBColor[0, 0, 1]], 
                  "\[IndentingNewLine]", \( (**) \), 
                  "\[IndentingNewLine]", \(internal@toFront[]\), ";", 
                  "\[IndentingNewLine]", \(internal@setSelected[True]\), ";", 
                  "\[IndentingNewLine]", \(internal@layout[]\), ";", 
                  "\[IndentingNewLine]", \(internal@repaint[]\), ";", 
                  "\[IndentingNewLine]", \(desktop@repaint[]\), ";", 
                  "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}], 
                "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", \($TargetCanvas = mathCanvas\), ";", 
              "\[IndentingNewLine]", \( (*\ 
                update\ frame\ and\ panel\ list\ *) \), 
              "\[IndentingNewLine]", \($JavaPhotoEditorMathJPanelFrames = 
                Append[$JavaPhotoEditorMathJPanelFrames, internal]\), ";", 
              "\[IndentingNewLine]", \($JavaPhotoEditorMathJPanels = 
                Append[$JavaPhotoEditorMathJPanels, mathCanvas]\), ";", 
              "\[IndentingNewLine]", \( (*\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
*) \), "\[IndentingNewLine]", \( (*\ 
                Install\ the\ tool\ to\ this\ canvas\ *) \), 
              "\[IndentingNewLine]", \(ResetTool[mathCanvas]\), ";", 
              "\[IndentingNewLine]", \(Switch[$CurrentTool, \
\[IndentingNewLine]$MarqueeTool, 
                InstallMarqueeTool[internal, 
                  mathCanvas], \[IndentingNewLine]$LineTool, 
                InstallLineTool[internal, mathCanvas]\[IndentingNewLine]]\), 
              ";"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      "\n", \( (*\ 
        set\ menu\ action\ handler\ *) \)}], "\[IndentingNewLine]", \
\(listenerImportMathCanvas@
        setHandler["\<actionPerformed\>", 
          ToString[handlerImportMathCanvas]];\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemImportMathCanvas@
        addActionListener[listenerImportMathCanvas];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemImageReadMathCanvas = 
      NewJMenuItem[menuMathCanvas, "\<ImageRead...\>", "\<R\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerImageReadMathCanvas", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[{
    RowBox[{
      RowBox[{\(handlerImageReadMathCanvas[event_, command_]\), ":=", 
        RowBox[{"Module", "[", "\[IndentingNewLine]", 
          
          RowBox[{\({pathAndName = Null, p, imgData = Null, img = Null, 
              imgWidth, imgHeight, \[IndentingNewLine]internal, mathCanvas}\),
             ",", "\[IndentingNewLine]", 
            
            RowBox[{\(JavaBlock[\[IndentingNewLine]JavaShow[
                  frame]; \[IndentingNewLine]pathAndName = 
                  GetFilePathAndName["\<Select a file:\>", "\<Open\>", \
$JavaSwingMaterial];\[IndentingNewLine]]\), ";", 
              "\[IndentingNewLine]", \(If[
                pathAndName === Null, \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[
                  Null]\[IndentingNewLine]]\), ";", "\[IndentingNewLine]", 
              
              StyleBox[\(If[$SystemID === "\<PowerMac\>", \
\[IndentingNewLine]p = 
                    StringDrop[pathAndName[\([1]\)], 
                      1]; \[IndentingNewLine]p = 
                    StringDrop[
                      p, \(-StringLength[pathAndName[\([2]\)]]\) - 
                        1]; \[IndentingNewLine]p = 
                    StringReplace[
                      p, "\</\>" \[Rule] "\<:\>"], \[IndentingNewLine]p = 
                    StringDrop[
                      pathAndName[\([1]\)], \(-StringLength[
                            pathAndName[\([2]\)]]\) - 
                        1]\[IndentingNewLine]]\),
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["\[IndentingNewLine]",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox[
                RowBox[{"imgData", "=", 
                  RowBox[{"ImageRead", "[", 
                    StyleBox[\(pathAndName[\([2]\)], Path -> {p}\),
                      FontColor->RGBColor[1, 0, 0]], "]"}]}],
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox[";",
                FontColor->RGBColor[0, 0, 1]], 
              StyleBox["\[IndentingNewLine]",
                FontColor->RGBColor[0, 0, 1]], \(If[
                imgData === Null, \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[
                  Null]\[IndentingNewLine]]\), ";", 
              "\[IndentingNewLine]", \(img = ImageDataToJavaImage[imgData]\), 
              ";", "\[IndentingNewLine]", \(imgWidth = img@getWidth[]\), ";", 
              "\[IndentingNewLine]", \(imgHeight = img@getHeight[]\), ";", 
              "\[IndentingNewLine]", \(If[\((imgWidth \[LessEqual] 
                      0)\) || \((imgHeight \[LessEqual] 
                      0)\), \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[Null]]\), ";", 
              "\[IndentingNewLine]", \(mathCanvas = 
                JavaNew["\<JPEMDC2001.MathJPanel\>"]\), ";", 
              "\[IndentingNewLine]", \(If[
                mathCanvas === $Failed, \[IndentingNewLine]ReleaseObject[
                  event]; \[IndentingNewLine]Return[
                  Null]\[IndentingNewLine]]\), ";", "\[IndentingNewLine]", 
              RowBox[{"internal", "=", 
                RowBox[{"NewJInternalFrame", "[", "\[IndentingNewLine]", 
                  RowBox[{
                  "desktop", ",", "Null", ",", "\[IndentingNewLine]", 
                    StyleBox[\(pathAndName[\([2]\)]\),
                      FontColor->RGBColor[1, 0, 0]], ",", 
                    "\[IndentingNewLine]", "0", ",", "0", 
                    ",", \(imgWidth + 13\), ",", \(imgHeight + 34\), ",", 
                    "\[IndentingNewLine]", "True", ",", "True", ",", "True", 
                    ",", "True", ",", 
                    "\[IndentingNewLine]", \(NewImageIcon[
                      StringJoin[$JavaSwingMaterial, "\<NB(S).GIF\>"]]\)}], 
                  "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
              
              RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
                
                RowBox[{\(NewJScrollPane[internal@getContentPane[], 
                    mathCanvas]\), ";", 
                  "\[IndentingNewLine]", \(mathCanvas@setLocation[0, 0]\), 
                  ";", "\[IndentingNewLine]", \(mathCanvas@
                    setSize[imgWidth, imgHeight]\), ";", 
                  "\[IndentingNewLine]", \( (**) \), 
                  "\[IndentingNewLine]", \(mathCanvas@setUsesFE[True]\), ";", 
                  "\[IndentingNewLine]", 
                  StyleBox[\(mathCanvas@setImage[img]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[";",
                    FontColor->RGBColor[0, 0, 1]], 
                  "\[IndentingNewLine]", \( (**) \), 
                  "\[IndentingNewLine]", \(internal@toFront[]\), ";", 
                  "\[IndentingNewLine]", \(internal@setSelected[True]\), ";", 
                  "\[IndentingNewLine]", \(internal@layout[]\), ";", 
                  "\[IndentingNewLine]", \(internal@repaint[]\), ";", 
                  "\[IndentingNewLine]", \(desktop@repaint[]\), ";", 
                  "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}], 
                "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", \($TargetCanvas = mathCanvas\), ";", 
              "\[IndentingNewLine]", \( (*\ 
                update\ frame\ and\ panel\ list\ *) \), 
              "\[IndentingNewLine]", \($JavaPhotoEditorMathJPanelFrames = 
                Append[$JavaPhotoEditorMathJPanelFrames, internal]\), ";", 
              "\[IndentingNewLine]", \($JavaPhotoEditorMathJPanels = 
                Append[$JavaPhotoEditorMathJPanels, mathCanvas]\), ";", 
              "\[IndentingNewLine]", \( (*\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
*) \), "\[IndentingNewLine]", \( (*\ 
                Install\ the\ tool\ to\ this\ canvas\ *) \), 
              "\[IndentingNewLine]", \(ResetTool[mathCanvas]\), ";", 
              "\[IndentingNewLine]", \(Switch[$CurrentTool, \
\[IndentingNewLine]$MarqueeTool, 
                InstallMarqueeTool[internal, 
                  mathCanvas], \[IndentingNewLine]$LineTool, 
                InstallLineTool[internal, mathCanvas]\[IndentingNewLine]]\), 
              ";", "\[IndentingNewLine]", \( (*\ 
                Calling\ Share[]\ requires\ more\ time . \
\[IndentingNewLine]But\ it' 
                  s\ nice\ to\ dealloc\ useless\ memory\ at\ this\ \
\(\(point\)\(.\)\)\ *) \), "\[IndentingNewLine]", \(Share[]\), ";"}]}], 
          "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      "\n", \( (*\ 
        set\ menu\ action\ handler\ *) \)}], "\[IndentingNewLine]", \
\(listenerImageReadMathCanvas@
        setHandler["\<actionPerformed\>", 
          ToString[handlerImageReadMathCanvas]];\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemImageReadMathCanvas@
        addActionListener[listenerImageReadMathCanvas];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(menuEffect = NewJMenu[menuBar, "\<Effect\>", "\<E\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(submenuFilter = NewJMenu[Null, "\<Filter\>", "\<F\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(menuEffect@insert[submenuFilter, 0]\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    StyleBox[\(kBox = 1;\),
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(kGaussian = 2;\),
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(kHighpass = 3;\),
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(kUnsharp = 4;\),
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(kSmoothing = 5;\),
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    StyleBox[\(\(kLaplacianOfGaussian = 6;\)\(\[IndentingNewLine]\)
      \( (**) \)\),
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    RowBox[{
      StyleBox[\(kThreshold = 7;\),
        FontColor->RGBColor[1, 0, 0]], 
      "\[IndentingNewLine]", \( (**) \)}], "\[IndentingNewLine]", \
\(kReplicateScale = 8;\), "\[IndentingNewLine]", \(kAreaAveragingScale = 
        9;\)}], "Input",
  InitializationCell->True,
  FontColor->RGBColor[1, 0, 0]],

Cell[BoxData[
    RowBox[{\(GetROIBounds[]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({x, y}\), ",", "\[IndentingNewLine]", 
          
          StyleBox[\(Switch[$CurrentTool, \[IndentingNewLine]$MarqueeTool, 
              Return[$Bounds], \[IndentingNewLine] \
(**) \[IndentingNewLine]$LineTool, \[IndentingNewLine]x = 
                Min[\(Transpose[$Points]\)[\([1]\)]]; \[IndentingNewLine]y = 
                Min[\(Transpose[$Points]\)[\([2]\)]]; \
\[IndentingNewLine]Return[{x, y, 
                  Max[\(Transpose[$Points]\)[\([1]\)]] + 1 - x, 
                  Max[\(Transpose[$Points]\)[\([2]\)]] + 1 - 
                    y}]\[IndentingNewLine]]\),
            FontColor->RGBColor[0, 0, 1]]}], 
        StyleBox["\[IndentingNewLine]",
          FontColor->RGBColor[0, 0, 1]], "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyBoxFilter[tid_]\),
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[":=",
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[\(DiscreteConvolve[tid, BoxFilter[8, 8], 
          Centered \[Rule] True]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyGaussianFilter[tid_]\),
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[":=",
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[\(DiscreteConvolve[tid, GaussianFilter[8, 8], 
          Centered \[Rule] True]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyHighpassFilter[tid_]\),
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[":=",
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[\(DiscreteConvolve[tid, HighpassFilter[8, 8], 
          Centered \[Rule] True]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyUnsharpFilter[tid_]\),
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[":=",
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[\(DiscreteConvolve[tid, 
          UnsharpFilter[3, 3, UnsharpRatio \[Rule] 4.0], 
          Centered \[Rule] True]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplySmoothingFilter[tid_]\),
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[":=",
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[\(DiscreteConvolve[tid, SmoothingFilter[15, 7, 15, 7], 
          Centered \[Rule] True]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyLaplacianOfGaussianFilter[tid_]\),
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[":=",
        FontColor->RGBColor[1, 0, 0]], 
      StyleBox[\(DiscreteConvolve[tid, LoGFilter[15, 15], 
          Centered \[Rule] True]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyThreshold[tid_, bnd_]\),
        FontColor->RGBColor[1, 0, 0]], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({pts}\), ",", "\[IndentingNewLine]", 
          RowBox[{"Switch", "[", 
            RowBox[{
            "$CurrentTool", ",", "\[IndentingNewLine]", "$MarqueeTool", ",", 
              "\[IndentingNewLine]", 
              
              StyleBox[\(RegionProcessing[\[IndentingNewLine]Threshold[#1, 
                      127, {0, 
                        255}] &, \[IndentingNewLine]tid, \
\[IndentingNewLine]Rectangle[{1, 1}, {bnd[\([4]\)], bnd[\([3]\)]}]]\),
                FontColor->RGBColor[0, 0, 1]], ",", "\[IndentingNewLine]", 
              "$LineTool", ",", "\[IndentingNewLine]", 
              
              RowBox[{\(pts = 
                  Transpose[
                    RotateRight[
                      Transpose[$Points] - {bnd[\([1]\)] - 1, 
                          bnd[\([2]\)] - 1}]]\), ";", 
                "\[IndentingNewLine]", \(pts = 
                  Transpose[{bnd[\([4]\)] + 
                        1 - \(Transpose[pts]\)[\([1]\)], \(Transpose[
                          pts]\)[\([2]\)]}]\), ";", "\[IndentingNewLine]", 
                
                StyleBox[\(RegionProcessing[\[IndentingNewLine]Threshold[#1, 
                        127, {0, 
                          255}] &, \[IndentingNewLine]tid, \
\[IndentingNewLine]Polygon[pts]]\),
                  FontColor->RGBColor[0, 0, 1]]}]}], "\[IndentingNewLine]", 
            "]"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(LoadClass["\<java.awt.Toolkit\>"];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyJavaReplicateScaleFilter[src_, bnd_]\),
        FontColor->RGBColor[1, 0, 0]], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({tk, crop, result}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(tk = java`awt`Toolkit`getDefaultToolkit[]\), ";", 
            "\[IndentingNewLine]", \(If[tk === Null, Return[Null]]\), ";", 
            "\[IndentingNewLine]", \(crop = 
              CropImage[tk, src, bnd[\([1]\)], bnd[\([2]\)], bnd[\([3]\)], 
                bnd[\([4]\)]]\), ";", 
            "\[IndentingNewLine]", \(If[crop === Null, Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\(ReplicateScale[tk, crop, Round[2*bnd[\([3]\)]], 
                Round[2*bnd[\([4]\)]], True]\),
              FontColor->RGBColor[0, 0, 1]]}]}], "\[IndentingNewLine]", 
        "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      StyleBox[\(ApplyJavaAreaAveragingScaleFilter[src_, bnd_]\),
        FontColor->RGBColor[1, 0, 0]], ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({tk, crop, result}\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(tk = java`awt`Toolkit`getDefaultToolkit[]\), ";", 
            "\[IndentingNewLine]", \(If[tk === Null, Return[Null]]\), ";", 
            "\[IndentingNewLine]", \(crop = 
              CropImage[tk, src, bnd[\([1]\)], bnd[\([2]\)], bnd[\([3]\)], 
                bnd[\([4]\)]]\), ";", 
            "\[IndentingNewLine]", \(If[crop === Null, Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\(AreaAveragingScale[tk, crop, Round[bnd[\([3]\)]/2], 
                Round[bnd[\([4]\)]/2], True]\),
              FontColor->RGBColor[0, 0, 1]]}]}], "\[IndentingNewLine]", 
        "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectBoxFilter = 
      NewJMenuItem[submenuFilter, "\<Box Filter\>", "\<B\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectBoxFilter", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectBoxFilter[event_, command_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kBox]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectBoxFilter@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectBoxFilter]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectBoxFilter@
        addActionListener[listenerEffectBoxFilter];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectGaussianFilter = 
      NewJMenuItem[submenuFilter, "\<Gaussian Filter\>", "\<G\>"]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectGaussianFilter", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectGaussianFilter[event_, command_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kGaussian]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectGaussianFilter@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectGaussianFilter]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectGaussianFilter@
        addActionListener[listenerEffectGaussianFilter];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectHighpassFilter = 
      NewJMenuItem[submenuFilter, "\<Highpass Filter\>", "\<H\>"]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectHighpassFilter", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectHighpassFilter[event_, command_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kHighpass]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectHighpassFilter@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectHighpassFilter]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectHighpassFilter@
        addActionListener[listenerEffectHighpassFilter];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectUnsharpFilter = 
      NewJMenuItem[submenuFilter, "\<Unsharp Filter\>", "\<U\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectUnsharpFilter", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectUnsharpFilter[event_, command_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kUnsharp]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectUnsharpFilter@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectUnsharpFilter]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectUnsharpFilter@
        addActionListener[listenerEffectUnsharpFilter];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectSmoothingFilter = 
      NewJMenuItem[submenuFilter, "\<Smoothing Filter\>", "\<S\>"]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectSmoothingFilter", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectSmoothingFilter[event_, command_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kSmoothing]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            "\[IndentingNewLine]", \(ReleaseObject[event]\), ";"}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectSmoothingFilter@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectSmoothingFilter]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectSmoothingFilter@
        addActionListener[listenerEffectSmoothingFilter];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectLaplacianOfGaussianFilter = 
      NewJMenuItem[
        submenuFilter, "\<Laplacian Of Gaussian Filter\>", "\<L\>"]\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectLaplacianOfGaussianFilter", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectLaplacianOfGaussianFilter[event_, command_]\), ":=",
       
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kLaplacianOfGaussian]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[1, 0, 0]], \(ReleaseObject[event]\), 
            ";"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectLaplacianOfGaussianFilter@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectLaplacianOfGaussianFilter]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectLaplacianOfGaussianFilter@
        addActionListener[
          listenerEffectLaplacianOfGaussianFilter];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemEffectThreshold = 
      NewJMenuItem[menuEffect, "\<Threshold\>", "\<T\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerEffectThreshold", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(handlerEffectThreshold[event_, command_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({}\), ",", "\[IndentingNewLine]", 
          RowBox[{
            StyleBox[\(DoEffect[kThreshold]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[1, 0, 0]], \(ReleaseObject[event]\), 
            ";"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerEffectThreshold@
        setHandler["\<actionPerformed\>", 
          ToString[handlerEffectThreshold]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemEffectThreshold@
        addActionListener[listenerEffectThreshold];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(DoEffect[flavor_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({frm, canvas, roiBounds = {0, 0, 0, 0}, srcJavaImage, 
            targetImageData, \[IndentingNewLine]resultImageData, 
            resultJavaImage}\), ",", "\[IndentingNewLine]", 
          StyleBox[\( (*\ get\ frame\ *) \),
            FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
          
          RowBox[{\(frm = GetSelectedInternalFrame[desktop]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ get\ canvas\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(canvas = GetImageHolder[frm]\),
             ";", "\[IndentingNewLine]", \(If[canvas === $Failed, 
              ReleaseObject[event]; Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                check\ to\ see\ if\ this\ canvas\ is\ the\ target\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(If[canvas =!= $TargetCanvas, 
              ReleaseObject[event]; Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                get\ region\ of\ interest\ bounds\ {left, top, width, 
                    height}\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(roiBounds = GetROIBounds[]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ check\ bounds\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(If[
              roiBounds[\([3]\)] \[LessEqual] 0 || 
                roiBounds[\([4]\)] \[LessEqual] 0, ReleaseObject[event]; 
              Return[Null]]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            StyleBox[\( (*\ set\ title\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(frm@
              setTitle[StringJoin["\<Running...\>", frm@getTitle[]]]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ fetch\ source\ and\ target\ image\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(srcJavaImage = canvas@getImage[]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), 
            "\[IndentingNewLine]", \(targetImageData = 
              JavaImageToImageData[\[IndentingNewLine]srcJavaImage, \
\[IndentingNewLine]roiBounds[\([1]\)], roiBounds[\([2]\)], 
                roiBounds[\([3]\)], roiBounds[\([4]\)]]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            StyleBox[\( (*\ apply\ filter\ *) \),
              FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
            RowBox[{"resultImageData", "=", 
              RowBox[{"Switch", "[", 
                RowBox[{"flavor", ",", "\[IndentingNewLine]", 
                  StyleBox["kBox",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[\(ApplyBoxFilter[targetImageData]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox["kGaussian",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[\(ApplyGaussianFilter[targetImageData]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox["kHighpass",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[\(ApplyHighpassFilter[targetImageData]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox["kUnsharp",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[\(ApplyUnsharpFilter[targetImageData]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["kSmoothing",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[\(ApplySmoothingFilter[targetImageData]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox["kLaplacianOfGaussian",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  
                  StyleBox[\(ApplyLaplacianOfGaussianFilter[
                      targetImageData]\),
                    FontColor->RGBColor[0, 0, 1]], 
                  StyleBox[",",
                    FontColor->RGBColor[0, 0, 1]], 
                  "\[IndentingNewLine]", \( (**) \), 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox["kThreshold",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[",",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[\(ApplyThreshold[targetImageData, roiBounds]\),
                    FontColor->RGBColor[0, 0, 1]]}], "\[IndentingNewLine]", 
                "]"}]}], ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                get\ result\ java\ image\ and\ draw\ result\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(resultJavaImage = 
              ImageDataToJavaImage[resultImageData]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ reset\ tool\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(ResetTool[canvas]\), ";", 
            "\[IndentingNewLine]", \(canvas@
              addJavaImage[resultJavaImage, roiBounds[\([1]\)], 
                roiBounds[\([2]\)]]\), ";", "\[IndentingNewLine]", 
            StyleBox[\( (*\ reset\ title\ of\ the\ frame\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(frm@
              setTitle[
                StringDrop[frm@getTitle[], 
                  StringLength["\<Running...\>"]]]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(DoJavaEffect[flavor_]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({frm, canvas, roiBounds = {0, 0, 0, 0}, srcJavaImage, 
            resultJavaImage, \[IndentingNewLine]r, th}\), ",", 
          "\[IndentingNewLine]", 
          StyleBox[\( (*\ get\ frame\ *) \),
            FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
          
          RowBox[{\(frm = GetSelectedInternalFrame[desktop]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ get\ canvas\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(canvas = GetImageHolder[frm]\),
             ";", "\[IndentingNewLine]", \(If[canvas === $Failed, 
              ReleaseObject[event]; Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                check\ to\ see\ if\ this\ canvas\ is\ the\ target\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(If[canvas =!= $TargetCanvas, 
              ReleaseObject[event]; Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                get\ region\ of\ interest\ bounds\ {left, top, width, 
                    height}\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(roiBounds = GetROIBounds[]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ check\ bounds\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(If[
              roiBounds[\([3]\)] \[LessEqual] 0 || 
                roiBounds[\([4]\)] \[LessEqual] 0, ReleaseObject[event]; 
              Return[Null]]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            StyleBox[\( (*\ set\ title\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(frm@
              setTitle[StringJoin["\<Running...\>", frm@getTitle[]]]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ fetch\ source\ and\ target\ image\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(srcJavaImage = canvas@getImage[]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            StyleBox[\( (*\ apply\ java\ filter\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(resultJavaImage = 
              Switch[flavor, \[IndentingNewLine]kReplicateScale, 
                ApplyJavaReplicateScaleFilter[srcJavaImage, 
                  roiBounds], \[IndentingNewLine]kAreaAveragingScale, 
                ApplyJavaAreaAveragingScaleFilter[srcJavaImage, 
                  roiBounds]\[IndentingNewLine]]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(----\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            StyleBox[\( (*\ reset\ tool\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(ResetTool[canvas]\), ";", 
            "\[IndentingNewLine]", \(canvas@
              addJavaImage[
                resultJavaImage, \[IndentingNewLine]roiBounds[\([1]\)], \
\[IndentingNewLine]roiBounds[\([2]\)]]\), ";", 
            "\[IndentingNewLine]", \( (*\ paste\ more\ copies\ *) \), 
            "\[IndentingNewLine]", \(If[
              flavor === kAreaAveragingScale, \[IndentingNewLine]canvas@
                addJavaImage[
                  resultJavaImage, \[IndentingNewLine]Round[
                    roiBounds[\([1]\)] + 
                      roiBounds[\([3]\)]/
                        2], \[IndentingNewLine]roiBounds[\([2]\)]]; \
\[IndentingNewLine]canvas@repaintNow[]; \[IndentingNewLine]canvas@
                addJavaImage[
                  resultJavaImage, \[IndentingNewLine]roiBounds[\([1]\)], \
\[IndentingNewLine]Round[
                    roiBounds[\([2]\)] + 
                      roiBounds[\([4]\)]/2]]; \[IndentingNewLine]canvas@
                repaintNow[]; \[IndentingNewLine]canvas@
                addJavaImage[
                  resultJavaImage, \[IndentingNewLine]Round[
                    roiBounds[\([1]\)] + 
                      roiBounds[\([3]\)]/2], \[IndentingNewLine]Round[
                    roiBounds[\([2]\)] + 
                      roiBounds[\([4]\)]/2]]; \[IndentingNewLine]canvas@
                repaintNow[];\[IndentingNewLine]]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ reset\ title\ of\ the\ frame\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(frm@
              setTitle[
                StringDrop[frm@getTitle[], 
                  StringLength["\<Running...\>"]]]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["$GrabbedImageData",
          FontColor->RGBColor[1, 0, 0]], "=", "Null"}], ";"}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{\(GrabToFrontend[]\), ":=", 
      RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{\({frm, canvas, roiBounds = {0, 0, 0, 0}, srcJavaImage}\), 
          ",", "\[IndentingNewLine]", 
          StyleBox[\( (*\ get\ frame\ *) \),
            FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
          
          RowBox[{\(frm = GetSelectedInternalFrame[desktop]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ get\ canvas\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(canvas = GetImageHolder[frm]\),
             ";", "\[IndentingNewLine]", \(If[canvas === $Failed, 
              ReleaseObject[event]; Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                check\ to\ see\ if\ this\ canvas\ is\ the\ target\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(If[canvas =!= $TargetCanvas, 
              ReleaseObject[event]; Return[Null]]\), ";", 
            "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ 
                get\ region\ of\ interest\ bounds\ {left, top, width, 
                    height}\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(roiBounds = GetROIBounds[]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ check\ bounds\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(If[
              roiBounds[\([3]\)] \[LessEqual] 0 || 
                roiBounds[\([4]\)] \[LessEqual] 0, ReleaseObject[event]; 
              Return[Null]]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)*) \), "\[IndentingNewLine]", 
            
            StyleBox[\( (*\ set\ title\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(frm@
              setTitle[StringJoin["\<Running...\>", frm@getTitle[]]]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ fetch\ source\ and\ target\ image\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(srcJavaImage = canvas@getImage[]\), ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(-\(-\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)*) \), 
            "\[IndentingNewLine]", 
            RowBox[{
              StyleBox["$GrabbedImageData",
                FontColor->RGBColor[1, 0, 0]], 
              "=", \(JavaImageToImageData[\[IndentingNewLine]srcJavaImage, \
\[IndentingNewLine]roiBounds[\([1]\)], roiBounds[\([2]\)], 
                roiBounds[\([3]\)], roiBounds[\([4]\)]]\)}], ";", 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(-\(-\(--\(--\(--\(--\(--\(----\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)*) \), 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ show\ graphics\ in\ a\ new\ notebook\ *) \),
              FontColor->RGBColor[0, 0, 1]], "\[IndentingNewLine]", 
            
            StyleBox[\(EvaluateInNewNotebook["\<Show[Graphics[$\
GrabbedImageData]]\>"]\),
              FontColor->RGBColor[1, 0, 0]], 
            StyleBox[";",
              FontColor->RGBColor[1, 0, 0]], 
            "\[IndentingNewLine]", \( \
(*\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(--\(\
--\(--\(--\(--\(--\(--\(--\(--\(-\(--\(--\(--\(--\(--\(--\(---\)\)\)\)\)\)\)\)\
\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)\)*) \), 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ reset\ tool\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            StyleBox["\[IndentingNewLine]",
              FontColor->RGBColor[0, 0, 1]], \(ResetTool[canvas]\), ";", 
            "\[IndentingNewLine]", 
            StyleBox[\( (*\ reset\ title\ of\ the\ frame\ *) \),
              FontColor->RGBColor[0, 0, 1]], 
            "\[IndentingNewLine]", \(frm@
              setTitle[
                StringDrop[frm@getTitle[], 
                  StringLength["\<Running...\>"]]]\)}]}], 
        "\[IndentingNewLine]", "]"}]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(menuGrab = NewJMenu[menuBar, "\<Grab\>", "\<G\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(itemGrabGrabToFrontend = 
      NewJMenuItem[menuGrab, "\<Grab To Frontend\>", "\<F\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"listenerGrabGrabToFrontend", "=", 
      StyleBox[\(JavaNew["\<JPEMDC2001.ThreadMathActionListener\>"]\),
        FontColor->RGBColor[0, 0, 1]]}]], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(handlerGrabGrabToFrontend[event_, command_] := 
      Module[\[IndentingNewLine]{}, \[IndentingNewLine]GrabToFrontend[]; \
\[IndentingNewLine]ReleaseObject[event];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(listenerGrabGrabToFrontend@
        setHandler["\<actionPerformed\>", 
          ToString[handlerGrabGrabToFrontend]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(itemGrabGrabToFrontend@
        addActionListener[listenerGrabGrabToFrontend];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(\(On[General::spell1]\)\(\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(\(\(Print["\<Java Photo Editor: Ready to use. Enjoy!\>"]\)\(\
\[IndentingNewLine]\)
    \)\), "\[IndentingNewLine]", 
    \(JavaShow[frame]\)}], "Input",
  InitializationCell->True]
}, Open  ]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
AutoGeneratedPackage->Automatic,
WindowSize->{584, 668},
WindowMargins->{{127, Automatic}, {Automatic, -4}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 39, 0, 115, "Title"],
Cell[1769, 54, 30, 0, 64, "Subtitle"],
Cell[1802, 56, 127, 5, 90, "Text"],
Cell[1932, 63, 208, 4, 70, "Input",
  InitializationCell->True],
Cell[2143, 69, 208, 4, 70, "Input",
  InitializationCell->True],
Cell[2354, 75, 391, 8, 130, "Input",
  InitializationCell->True],
Cell[2748, 85, 382, 7, 130, "Input",
  InitializationCell->True],
Cell[3133, 94, 90, 2, 30, "Input",
  InitializationCell->True],
Cell[3226, 98, 92, 2, 30, "Input",
  InitializationCell->True],
Cell[3321, 102, 85, 2, 30, "Input",
  InitializationCell->True],
Cell[3409, 106, 520, 10, 170, "Input",
  InitializationCell->True],
Cell[3932, 118, 681, 13, 270, "Input",
  InitializationCell->True],
Cell[4616, 133, 8079, 157, 1330, "Input",
  InitializationCell->True],
Cell[12698, 292, 732, 14, 190, "Input",
  InitializationCell->True],
Cell[13433, 308, 346, 6, 150, "Input",
  InitializationCell->True],
Cell[13782, 316, 342, 6, 130, "Input",
  InitializationCell->True],
Cell[14127, 324, 7912, 158, 1230, "Input",
  InitializationCell->True],
Cell[22042, 484, 729, 14, 190, "Input",
  InitializationCell->True],
Cell[22774, 500, 336, 6, 130, "Input",
  InitializationCell->True],
Cell[23113, 508, 332, 6, 130, "Input",
  InitializationCell->True],
Cell[23448, 516, 166, 4, 50, "Input",
  InitializationCell->True],
Cell[23617, 522, 186, 4, 50, "Input",
  InitializationCell->True],
Cell[23806, 528, 152, 3, 50, "Input",
  InitializationCell->True],
Cell[23961, 533, 182, 4, 50, "Input",
  InitializationCell->True],
Cell[24146, 539, 180, 4, 50, "Input",
  InitializationCell->True],
Cell[24329, 545, 223, 4, 50, "Input",
  InitializationCell->True],
Cell[24555, 551, 212, 4, 70, "Input",
  InitializationCell->True],
Cell[24770, 557, 202, 4, 70, "Input",
  InitializationCell->True],
Cell[24975, 563, 163, 4, 50, "Input",
  InitializationCell->True],
Cell[25141, 569, 180, 4, 50, "Input",
  InitializationCell->True],
Cell[25324, 575, 149, 3, 30, "Input",
  InitializationCell->True],
Cell[25476, 580, 176, 4, 50, "Input",
  InitializationCell->True],
Cell[25655, 586, 174, 4, 50, "Input",
  InitializationCell->True],
Cell[25832, 592, 84, 2, 30, "Input",
  InitializationCell->True],
Cell[25919, 596, 220, 4, 50, "Input",
  InitializationCell->True],
Cell[26142, 602, 206, 4, 70, "Input",
  InitializationCell->True],
Cell[26351, 608, 199, 4, 70, "Input",
  InitializationCell->True],
Cell[26553, 614, 172, 4, 50, "Input",
  InitializationCell->True],
Cell[26728, 620, 174, 4, 50, "Input",
  InitializationCell->True],
Cell[26905, 626, 166, 4, 50, "Input",
  InitializationCell->True],
Cell[27074, 632, 168, 4, 50, "Input",
  InitializationCell->True],
Cell[27245, 638, 129, 3, 30, "Input",
  InitializationCell->True],
Cell[27377, 643, 118, 2, 30, "Input",
  InitializationCell->True],
Cell[27498, 647, 111, 2, 30, "Input",
  InitializationCell->True],
Cell[27612, 651, 212, 4, 70, "Input",
  InitializationCell->True],
Cell[27827, 657, 1112, 23, 370, "Input",
  InitializationCell->True],
Cell[28942, 682, 973, 21, 330, "Input",
  InitializationCell->True],
Cell[29918, 705, 318, 6, 110, "Input",
  InitializationCell->True],
Cell[30239, 713, 283, 6, 70, "Input",
  InitializationCell->True],
Cell[30525, 721, 1281, 25, 410, "Input",
  InitializationCell->True],
Cell[31809, 748, 82, 2, 30, "Input",
  InitializationCell->True],
Cell[31894, 752, 135, 4, 30, "Input",
  InitializationCell->True],
Cell[32032, 758, 208, 4, 70, "Input",
  InitializationCell->True],
Cell[32243, 764, 112, 2, 30, "Input",
  InitializationCell->True],
Cell[32358, 768, 155, 4, 30, "Input",
  InitializationCell->True],
Cell[32516, 774, 198, 4, 30, "Input",
  InitializationCell->True],
Cell[32717, 780, 1168, 22, 370, "Input",
  InitializationCell->True],
Cell[33888, 804, 157, 4, 30, "Input",
  InitializationCell->True],
Cell[34048, 810, 108, 2, 30, "Input",
  InitializationCell->True],
Cell[34159, 814, 129, 3, 30, "Input",
  InitializationCell->True],
Cell[34291, 819, 1421, 26, 430, "Input",
  InitializationCell->True],
Cell[35715, 847, 178, 3, 70, "Input",
  InitializationCell->True],
Cell[35896, 852, 139, 3, 30, "Input",
  InitializationCell->True],
Cell[36038, 857, 206, 4, 30, "Input",
  InitializationCell->True],
Cell[36247, 863, 4514, 80, 1150, "Input",
  InitializationCell->True],
Cell[40764, 945, 133, 3, 30, "Input",
  InitializationCell->True],
Cell[40900, 950, 145, 3, 30, "Input",
  InitializationCell->True],
Cell[41048, 955, 209, 4, 50, "Input",
  InitializationCell->True],
Cell[41260, 961, 5362, 93, 1270, "Input",
  InitializationCell->True],
Cell[46625, 1056, 139, 3, 30, "Input",
  InitializationCell->True],
Cell[46767, 1061, 151, 3, 50, "Input",
  InitializationCell->True],
Cell[46921, 1066, 212, 4, 50, "Input",
  InitializationCell->True],
Cell[47136, 1072, 7009, 126, 1590, "Input",
  InitializationCell->True],
Cell[54148, 1200, 145, 3, 50, "Input",
  InitializationCell->True],
Cell[54296, 1205, 114, 2, 30, "Input",
  InitializationCell->True],
Cell[54413, 1209, 114, 2, 30, "Input",
  InitializationCell->True],
Cell[54530, 1213, 96, 2, 30, "Input",
  InitializationCell->True],
Cell[54629, 1217, 944, 21, 230, "Input",
  InitializationCell->True],
Cell[55576, 1240, 877, 17, 250, "Input",
  InitializationCell->True],
Cell[56456, 1259, 340, 9, 50, "Input",
  InitializationCell->True],
Cell[56799, 1270, 350, 9, 50, "Input",
  InitializationCell->True],
Cell[57152, 1281, 350, 9, 50, "Input",
  InitializationCell->True],
Cell[57505, 1292, 385, 10, 70, "Input",
  InitializationCell->True],
Cell[57893, 1304, 360, 9, 50, "Input",
  InitializationCell->True],
Cell[58256, 1315, 358, 9, 50, "Input",
  InitializationCell->True],
Cell[58617, 1326, 1643, 34, 410, "Input",
  InitializationCell->True],
Cell[60263, 1362, 99, 2, 30, "Input",
  InitializationCell->True],
Cell[60365, 1366, 949, 19, 190, "Input",
  InitializationCell->True],
Cell[61317, 1387, 957, 19, 190, "Input",
  InitializationCell->True],
Cell[62277, 1408, 144, 3, 30, "Input",
  InitializationCell->True],
Cell[62424, 1413, 208, 4, 50, "Input",
  InitializationCell->True],
Cell[62635, 1419, 511, 11, 110, "Input",
  InitializationCell->True],
Cell[63149, 1432, 177, 4, 50, "Input",
  InitializationCell->True],
Cell[63329, 1438, 137, 3, 30, "Input",
  InitializationCell->True],
Cell[63469, 1443, 156, 4, 50, "Input",
  InitializationCell->True],
Cell[63628, 1449, 213, 4, 50, "Input",
  InitializationCell->True],
Cell[63844, 1455, 521, 11, 110, "Input",
  InitializationCell->True],
Cell[64368, 1468, 187, 4, 50, "Input",
  InitializationCell->True],
Cell[64558, 1474, 147, 3, 50, "Input",
  InitializationCell->True],
Cell[64708, 1479, 156, 4, 50, "Input",
  InitializationCell->True],
Cell[64867, 1485, 213, 4, 50, "Input",
  InitializationCell->True],
Cell[65083, 1491, 521, 11, 110, "Input",
  InitializationCell->True],
Cell[65607, 1504, 187, 4, 50, "Input",
  InitializationCell->True],
Cell[65797, 1510, 147, 3, 50, "Input",
  InitializationCell->True],
Cell[65947, 1515, 152, 3, 50, "Input",
  InitializationCell->True],
Cell[66102, 1520, 212, 4, 50, "Input",
  InitializationCell->True],
Cell[66317, 1526, 519, 11, 110, "Input",
  InitializationCell->True],
Cell[66839, 1539, 185, 4, 50, "Input",
  InitializationCell->True],
Cell[67027, 1545, 145, 3, 50, "Input",
  InitializationCell->True],
Cell[67175, 1550, 158, 4, 50, "Input",
  InitializationCell->True],
Cell[67336, 1556, 214, 4, 50, "Input",
  InitializationCell->True],
Cell[67553, 1562, 523, 11, 110, "Input",
  InitializationCell->True],
Cell[68079, 1575, 189, 4, 70, "Input",
  InitializationCell->True],
Cell[68271, 1581, 149, 3, 50, "Input",
  InitializationCell->True],
Cell[68423, 1586, 189, 5, 50, "Input",
  InitializationCell->True],
Cell[68615, 1593, 224, 4, 50, "Input",
  InitializationCell->True],
Cell[68842, 1599, 608, 13, 130, "Input",
  InitializationCell->True],
Cell[69453, 1614, 209, 4, 70, "Input",
  InitializationCell->True],
Cell[69665, 1620, 180, 4, 50, "Input",
  InitializationCell->True],
Cell[69848, 1626, 140, 3, 30, "Input",
  InitializationCell->True],
Cell[69991, 1631, 208, 4, 50, "Input",
  InitializationCell->True],
Cell[70202, 1637, 575, 12, 110, "Input",
  InitializationCell->True],
Cell[70780, 1651, 177, 4, 50, "Input",
  InitializationCell->True],
Cell[70960, 1657, 137, 3, 30, "Input",
  InitializationCell->True],
Cell[71100, 1662, 8665, 169, 1050, "Input",
  InitializationCell->True],
Cell[79768, 1833, 5858, 110, 1130, "Input",
  InitializationCell->True],
Cell[85629, 1945, 180, 5, 30, "Input",
  InitializationCell->True],
Cell[85812, 1952, 4822, 94, 750, "Input",
  InitializationCell->True],
Cell[90637, 2048, 110, 2, 30, "Input",
  InitializationCell->True],
Cell[90750, 2052, 148, 3, 30, "Input",
  InitializationCell->True],
Cell[90901, 2057, 211, 4, 50, "Input",
  InitializationCell->True],
Cell[91115, 2063, 244, 4, 110, "Input",
  InitializationCell->True],
Cell[91362, 2069, 183, 4, 50, "Input",
  InitializationCell->True],
Cell[91548, 2075, 143, 3, 30, "Input",
  InitializationCell->True],
Cell[91694, 2080, 291, 7, 110, "Input",
  InitializationCell->True]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

